Released 3.0.0

2007-04-18  Vivien Malerba <malerba@gnome-db.org>

	* configure.in: set version to 3.0.0 for release

2007-03-30  Vivien Malerba <malerba@gnome-db.org>

	* libgnomedb/data-entries/gnome-db-format-entry.c: fix for bug #423405

2007-03-29  Vivien Malerba <malerba@gnome-db.org>

	* libgnomedb/data-entries/gnome-db-format-entry.c: fixed a bug which, when entering
	a string, would convert any '_' to a ' ' when using gnome_db_format_entry_set_text()
	
2007-03-27  Armin Burgmeier  <armin@openismus.com>

	* libgnomedb/gnome-db-basic-form.c:
	(gnome_db_basic_form_fill): Don't leak the plugin name.

2007-03-27  Vivien Malerba <malerba@gnome-db.org>

	* libgnomedb/gnome-db-data-entry.c: change the "GnomeDbDataEntry::contents_valid" signal
	to G_SIGNAL_RUN_LAST
	* libgnomedb/data-entries/gnome-db-format-entry.c: fix for bug #422979

2007-03-27  Armin Burgmeier  <armin@openismus.com>

	* libgnomedb/data-entries/gnome-db-data-cell-renderer-textual.c:
	(gnome_db_data_cell_renderer_textual_init): Initialize n_decimals to
	-1 instead of 0.

2007-03-27  Armin Burgmeier  <armin@openismus.com>

	* libgnomedb/data-entries/gnome-db-data-cell-renderer-textual.c: Added
	an options property that is set in
	gnome_db_data_cell_renderer_textual_new(), so that this function is
	nothing more than a wrapper around g_object_new().

2007-03-26  Armin Burgmeier  <armin@openismus.com>

	* libgnomedb/data-entries/gnome-db-entry-string.c:
	(gnome_db_entry_string_init): Initialize nb_decimals to -1 instead of
	0 so that the number of decimals is unlimited (as the comment says)
	and not zero.

2007-03-26  yselkowitz  <yselkowitz@users.sourceforge.net>

	* doc/C/libgnomedb-3.0-docs.sgml: Don't continuously regenerate demos.h,
	by removing the PHONY target.

2007-03-26  yselkowitz  <yselkowitz@users.sourceforge.net>

	* doc/C/libgnomedb-3.0-docs.sgml: Fix libgnomedb versioning in gtk-docs.

2.99.6: 3.0 RC1

2007-03-23  Vivien Malerba <malerba@gnome-db.org>

	* control-center/Makefile.am:
	* po/POTFILES.in: corrections to have "make distcheck" work
	* glade3/gnomedb.xml: s/GnomeDbEntryPassmd5/GnomeDbEntryPassword/

2007-03-22  yselkowitz  <yselkowitz@users.sourceforge.net>

	* configure.in:
	Rename GNOME_DB_EXPLICIT_TRANSLATION_DOMAIN library name too.

2007-03-20  yselkowitz  <yselkowitz@users.sourceforge.net>

	* Makefile.am:
	* configure.in:
	* control-center/Makefile.am:
	* doc/C/Makefile.am:
	* extra/Makefile.am:
	* extra/demos/Makefile.am:
	* glade/Makefile.am:
	* glade3/Makefile.am:
	* libgnomedb-3.0.pc.in:
	* libgnomedb-extra-3.0.pc.in:
	* libgnomedb-extra/Makefile.am:
	* libgnomedb-graph-3.0.pc.in:
	* libgnomedb-graph/Makefile.am:
	* libgnomedb/Makefile.am:
	* libgnomedb/data-entries/Makefile.am:
	* libgnomedb/data-entries/gnome-db-data-cell-renderer-boolean.c:
	* libgnomedb/data-entries/gnome-db-data-cell-renderer-combo.c:
	* libgnomedb/data-entries/gnome-db-data-cell-renderer-info.c:
	* libgnomedb/data-entries/gnome-db-data-cell-renderer-textual.c:
	* libgnomedb/data-entries/marshal.list:
	* libgnomedb/data-entries/plugins/Makefile.am:
	* providers/evolution/Makefile.am:
	* testing/Makefile.am:
	Rename all libraries from -3 to -3.0.
	Change libgnomedb_handlers into a convenience lib and merge it into
	libgnomedb.  Fixes compilation with -Wl,--as-needed or -Wl,-z,defs 
	and obsoletes the Win32 bootstrapping; patch in bug 419063.

	* libgnomedb/data-entries/plugins/*:
	Moved to libgnomedb/plugins to accomodate the merge.

	* win32/Makefile.am:
	* win32/dummy.la:
	* win32/libgnomedb_handlers-3.def: Removed.

	Patch in bug #419063

2007-03-20  Vivien Malerba <malerba@gnome-db.org>

	* libgnomedb/gnome-db-data-entry.[ch]:
	* libgnomedb/marshal.list:
	* libgnomedb/data-entries/gnome-db-entry-wrapper.h: added a new mechanism
	to allow users to add custom code to tell if a value contained in a
	GnomeDbDataEntry is valid or not
	* doc/C: updates

2007-03-15  Murray Cumming  <murrayc@murrayc-desktop>

	* Makefile.am:
	* configure.in:
	* doc/C/tmpl/gnome-db-entry-password.sgml:
	* doc/C/tmpl/gnome-db-entry-string.sgml:
	* doc/C/tmpl/gnome-db-format-entry.sgml:
	* gnomedb-sharp/.cvsignore:
	* gnomedb-sharp/Application.cs:
	* gnomedb-sharp/AssemblyInfo.cs.in:
	* gnomedb-sharp/DataStore.custom:
	* gnomedb-sharp/GnomeDb.metadata:
	* gnomedb-sharp/Makefile.am:
	* gnomedb-sharp/doc/Makefile.am:
	* gnomedb-sharp/doc/gnomedb-sharp-docs.source:
	* gnomedb-sharp/gnomedb-api.raw:
	* gnomedb-sharp/gnomedb-sharp-3.0.pc.in:
	* gnomedb-sharp/gnomedb-sharp.dll.config.in:
	* gnomedb-sharp/gnomedb-sources.xml:
	Removed the gnomedb-sharp language bindings.
	Please revive them as a separate module from the 
	libgnomedb_3_0_before_removing_gnomedb_sharp tag if you would like to maintain 
	them.
	(I thought I had committed this a few days ago, at the same time as I 
	did it for libgda.)

2007-03-10  Vivien Malerba <malerba@gnome-db.org>

	* libgnomedb/gnome-db-tools.c:
	* libgnomedb/data-entries/gnome-db-data-cell-renderer-textual.[ch]: the cell renderer
	now correclty handles the number of decimals, the presence of the thousands separator,
	and the currency options

2007-03-09  Vivien Malerba <malerba@gnome-db.org>

	* libgnomedb/data-entries/gnome-db-entry-string.c: correctly disconnect the "focus-out-event"
	signal in desctuctor
	* libgnomedb/data-entries/Makefile.am:
	* libgnomedb/data-entries/gnome-db-format-entry.[ch]: created a new GnomeDbFormatEntry widget
	which adds several formatting features on top of a GtkEntry widget
	* libgnomedb/data-entries/plugins/gnome-db-entry-cidr.c:
	* libgnomedb/data-entries/gnome-db-entry-string.c:
	* libgnomedb/data-entries/gnome-db-entry-common-time.c: make use of the GnomeDbFormatEntry
	widget for date and time editing
	* libgnomedb/data-entries/gnome-db-data-cell-renderer-textual.c: use GnomeDbEntryDate,
	GnomeDbEntryTime, or GnomeDbEntryTimeStamp when possible
	* libgnomedb/data-entries/plugins/gnome-db-entry-passmd5.c: corrected a long standing bug
	where unmodified passwords would be re-encoded
	* libgnomedb/data-entries/plugins/libmain.c:
	* libgnomedb/data-entries/plugins/gnome-db-entry-passmd5.[ch]:
	* libgnomedb/data-entries/plugins/gnome-db-entry-password.xml.in: added an option to select
	the type of encoding (plain or MD5 at the moment)
	* libgnomedb/data-entries/plugins/gnome-db-entry-password.[ch]: renamed from
	gnome-db-entry-passmd5.[ch]
	* libgnomedb/data-entries/plugins/gnome-db-data-cell-renderer-password.[ch]: new files to
	render correctly passwords in GtkTreeView widgets
	* testing/test-handlers.c: new features: test GnomeDbDataEntry widgets in forms and also
	test the associated GtkCellRenderer objects in GtkTreeView widgets
	* libgnomedb/gnome-db-data-import.c: correctly unref object obtained using g_object_get()
	* fixed the svn:ignore property of some directories

2007-03-08  Murray Cumming  <murrayc@murrayc.com>

	* control-center/dsn-properties-dialog.c:
	(do_connect_dialog_for_dsn), (dsn_properties_dialog): Fix warnings 
	about incompatible widget types.

2007-03-06  Pema Geyleg  <pema.geyleg@gmail.com>

	* configure.in: Added 'dz' to ALL_LINGUAS

2007-03-03  Murray Cumming  <murrayc@murrayc-desktop>

	* Added the gda-sharp.snk file from bug #390609, 
	which is needed for the gda-sharp bindings. I have no 
	idea what this binary file is, however.

2007-03-02  yselkowitz  <yselkowitz@users.sourceforge.net>

	* Makefile.am:
	* configure.in:
	* doc/C/tmpl/gnome-db-connection-properties.sgml:
	* doc/C/tmpl/gnome-db-data-cell-renderer-boolean.sgml:
	* doc/C/tmpl/gnome-db-data-cell-renderer-combo.sgml:
	* doc/C/tmpl/gnome-db-data-cell-renderer-info.sgml:
	* doc/C/tmpl/gnome-db-data-cell-renderer-textual.sgml:
	* doc/C/tmpl/gnome-db-data-source-selector.sgml:
	* doc/C/tmpl/gnome-db-data-widget-info.sgml:
	* doc/C/tmpl/gnome-db-dsn-spec.sgml:
	* doc/C/tmpl/gnome-db-form.sgml:
	* doc/C/tmpl/gnome-db-grid.sgml:
	* gnomedb-sharp/Application.cs:
	* gnomedb-sharp/AssemblyInfo.cs.in:
	* gnomedb-sharp/Makefile.am:
	* gnomedb-sharp/doc/Makefile.am:
	* gnomedb-sharp/doc/gnomedb-sharp-docs.source:
	* gnomedb-sharp/gnomedb-sharp-3.0.pc.in:
	* gnomedb-sharp/gnomedb-sharp.dll.config.in:
	Correct library name for DllImport calls.
	Modify gnomedb-sharp build system to install in the GAC.
	Build and install monodoc documentation.

2007-02-22  Murray Cumming  <murrayc@murrayc.com>

	* po/POTFILES.in: Remove examples/SampleApp/src/gladeui.glade because this 
	is not disted.

2007-02-22  Thomas Klausner  <wiz@danbala.tuwien.ac.at>

	* Makefile.am: Always recurse to the docs directory, instead of making it 
	conditional on --enable-gtk-doc, so that the docs can always be installed. 
	If we need a conditional then we need it somewhere else.
	Patch in bug #329937	

2007-02-14  Armin Burgmeier  <armin@arbur.net>

	* libgnomedb/gnome-db-raw-grid.c: Prevent endless recursion when write
	to database fails in GNOME_DB_DATA_WIDGET_WRITE_ON_VALUE_CHANGE mode.

2007-02-15  Murray Cumming  <murrayc@murrayc.com>

	* doc/C/example.sgml:
	* doc/C/libgnomedb-3.0-docs.sgml:
	* doc/C/tmpl/gnome-db-combo.sgml:
	* doc/C/tmpl/gnome-db-data-model.sgml:
	* doc/C/tmpl/gnome-db-data-proxy.sgml:
	* doc/C/tmpl/gnome-db-form.sgml:
	* doc/C/tmpl/gnome-db-gray-bar.sgml:
	* doc/C/tmpl/gnome-db-grid.sgml:
	* doc/C/tmpl/gnome-db-model-wrapper.sgml:
	* doc/C/tmpl/gnome-db-raw-form.sgml:
	* doc/C/tmpl/gnome-db-raw-grid.sgml:
	* doc/C/tmpl/gnome-db-result-set.sgml:
	* doc/C/tmpl/libgnomedb-unused.sgml:
	* libgnomedb-graph/gnome-db-canvas.c:
	* libgnomedb/gnome-db-data-store.c:
	(gnome_db_data_store_get_property): Search/Replace GnomeDbDataModel with GdaDataModel, 
	because I am quite sure that is what is meant.
	Spell-correct retreive to retrieve.

2007-02-14  Murray Cumming  <murrayc@murrayc.com>

	* libgnomedb/gnome-db-login-dialog.c:
	* libgnomedb/gnome-db-login-dialog.h: gnome_db_login_dialog_get_login_widget(): Change the 
	return type from GtkWidget to GnomeDbLogin*, because that is what it always returns.
	* libgnomedb/gnome-db-tools.h: Add G_BEGIN_DECLS and G_END_DECLS so that extern C is used, 
	to fix linker errors when using these functions from C++.

2.99.5:

2007-02-12  Murray Cumming  <murrayc@murrayc.com>

	* libgnomedb-extra/sel-onequery.c:
	(module_onequery_render_qfield_type):
	* libgnomedb-extra/sel-onetarget.c:
	(module_onetarget_render_qfield_type): Rename use of gda_query_field_value_is_parameter() 
	to gda_query_field_value_get_is_parameter().

2.99.4:

2007-02-12  Murray Cumming  <murrayc@murrayc.com>

	* libgnomedb-extra/Makefile.am: Added extra-marshal.list and the private headers to 
	the dist.

2007-02-10  Kraii  <kraai@ftbfs.org>

	* NEWS:
	* doc/C/example.sgml:
	* doc/C/query-fields.sgml:
	* doc/C/query.sgml:
	* libgnomedb-extra/gnome-db-selector.c:
	* libgnomedb/data-entries/plugins/gnome-db-entry-cidr.c:
	* libgnomedb/gnome-db-data-widget-info.c: Correct spellings ending with full to 
	ful. Patch in Bug #406263.

2007-02-09  Vivien Malerba <malerba@gnome-db.org>

	* libgnomedb/gnome-db-raw-grid.c:
	* libgnomedb/gnome-db-raw-form.c: take into account the new "reset" signal from the
	GdaDataProcy object to refresh correctly the display
	* libgnomedb/gnome-db-basic-form.c: allow to set the "paramlist" more than once
	* libgnomedb/utility.c: use a GtkTextView to display error messages instead of a GtkLabel
	* libgnomedb/gnome-db-data-widget.c:
	* libgnomedb/gnome-db-raw-grid.c:
	* libgnomedb/gnome-db-raw-form.c: added a "iter_changed" signal to signal when the
	GdaDataModelIter object used to track the currently selected/displayed row has
	changed

2007-02-09  Murray Cumming  <murrayc@murrayc.com>

	* libgnomedb/data-entries/gnome-db-data-cell-renderer-boolean.c:
	(gnome_db_data_cell_renderer_boolean_class_init):
	* libgnomedb/data-entries/gnome-db-data-cell-renderer-info.c:
	(gnome_db_data_cell_renderer_info_class_init):
	* libgnomedb/data-entries/gnome-db-data-cell-renderer-textual.c:
	(gnome_db_data_cell_renderer_textual_class_init):
	* libgnomedb/data-entries/plugins/gnome-db-data-cell-renderer-pict.
	c: (gnome_db_data_cell_renderer_pict_class_init):
	* libgnomedb/gnome-db-basic-form.c:
	(gnome_db_basic_form_class_init):
	* libgnomedb/gnome-db-data-entry.h:
	* libgnomedb/gnome-db-data-widget.c:
	(gnome_db_data_widget_iface_init):
	* libgnomedb/gnome-db-dsn-assistant.c:
	(gnome_db_dsn_assistant_class_init):
	* libgnomedb/gnome-db-raw-grid.c: (gnome_db_raw_grid_class_init):
	Register the correct argument types for signals, and use more appropriate 
	marshallers.
	* libgnomedb/marshal.list: Mention the actually used marshallers.

2007-02-09  Murray Cumming  <murrayc@murrayc.com>

	* libgnomedb/gnome-db-data-entry.c:
	* libgnomedb/gnome-db-data-entry.h: get_attributes() and set_attributes() 
	vfuncs: Use GdaValueAttribute instead of guint.
	* libgnomedb/data-entries/gnome-db-entry-combo.c:
	(gnome_db_entry_combo_get_attributes):
	* libgnomedb/data-entries/gnome-db-entry-shell.c:
	(gnome_db_entry_shell_refresh_attributes):
	* libgnomedb/data-entries/gnome-db-entry-wrapper.c:
	(gnome_db_entry_wrapper_get_attributes):
	* libgnomedb/gnome-db-basic-form.c: (entry_contents_modified): 
	Use GdaValueAttribute instead of guint for attributes.

2007-02-09  Murray Cumming  <murrayc@murrayc.com>

	* libgnomedb-extra/Makefile.am: Generate gnome-db-extra-enum-types.[h|c],
	similar to how the existing libgnomedb/gnome-db-enum-types.[h|c] are 
	generated.
	* libgnomedb-extra/gnome-db-selector-private.h:
	* libgnomedb-extra/gnome-db-selector.c:
	(gnome_db_selector_class_init), (gnome_db_selector_set_property),
	(gnome_db_selector_new), (gnome_db_selector_set_mode_columns):
	* libgnomedb-extra/gnome-db-selector.h: Use GnomeDbSelectorMode 
	and GnomeDbSelectorColumn instead of guint for function parameters and 
	properties, using g_param_spec_flags() instead of g_param_spec_uint(). 
	Added GNOME_DB_SELECTOR_NONE and GNOME_DB_SELECTOR_COLUMN_NONE to use instead 
	of the existing 0 for default property values.

	* libgnomedb/data-entries/gnome-db-data-cell-renderer-boolean.c:
	(gnome_db_data_cell_renderer_boolean_class_init):
	* libgnomedb/data-entries/gnome-db-data-cell-renderer-combo.c:
	(gnome_db_data_cell_renderer_combo_class_init),
	(gnome_db_data_cell_renderer_combo_get_property),
	(gnome_db_data_cell_renderer_combo_set_property):
	* libgnomedb/data-entries/gnome-db-data-cell-renderer-info.c:
	(gnome_db_data_cell_renderer_info_class_init),
	(gnome_db_data_cell_renderer_info_get_property),
	(gnome_db_data_cell_renderer_info_set_property):
	* libgnomedb/data-entries/gnome-db-data-cell-renderer-textual.c:
	(gnome_db_data_cell_renderer_textual_class_init),
	(gnome_db_data_cell_renderer_textual_set_property):
	* libgnomedb/data-entries/plugins/gnome-db-data-cell-renderer-pict.
	c: (gnome_db_data_cell_renderer_pict_class_init):
	* libgnomedb/gnome-db-data-entry.c:
	(gnome_db_data_entry_set_attributes):
	* libgnomedb/gnome-db-data-entry.h:
	* libgnomedb/gnome-db-data-widget-info.c:
	(gnome_db_data_widget_info_class_init),
	(gnome_db_data_widget_info_new),
	(gnome_db_data_widget_info_set_property),
	(gnome_db_data_widget_info_get_property), (modif_buttons_make),
	(modif_buttons_update):
	Use GdaValueAttribute instead of guint for function parameteres, and 
	for properties, using g_param_spec_flags() instead of g_param_spec_uint().

	* libgnomedb/gnome-db-form.c: (gnome_db_form_init):
	* libgnomedb/gnome-db-grid.c: (gnome_db_grid_init):
	* libgnomedb/gnome-db-server-operation.c: (fill_create_widget),
	(create_table_fields_array_create_widget):
	* libgnomedb/gnome-db-data-widget-info.h:
	Rename GNOME_DB_DATA_WIDGET_INFO_ROW_MODIF_BUTTONS to 
	GNOME_DB_DATA_WIDGET_INFO_ROW_MODIFY_BUTTONS, because MODIF is not a 
	familiar abbreviation. This has already been done elsewhere.

	* libgnomedb/gnome-db-data-source-selector.c:
	(gnome_db_data_source_selector_init): Add a cast to fix a warning.

2007-02-08  Murray Cumming  <murrayc@murrayc.com>

	* libgnomedb-graph/gnome-db-canvas-entity.c:
	(gnome_db_canvas_entity_class_init),
	(gnome_db_canvas_entity_dispose),
	(gnome_db_canvas_entity_set_property): Use g_param_spec_object() instead 
	of g_param_spec_pointer for the PROP_ENTITY GdaEntity property and the 
	PROP_TARGET GdaQueryTarget property.
	* libgnomedb-graph/gnome-db-canvas-field.c:
	(gnome_db_canvas_field_class_init),
	(gnome_db_canvas_field_finalize),
	(gnome_db_canvas_field_set_property),
	(gnome_db_canvas_field_get_property): Use g_param_spec_object() instead 
	of g_param_spec_pointer for the  PROP_GRAPH_ITEM GdaGraphItem property.
	* libgnomedb-graph/gnome-db-canvas-item.c: 
	(gnome_db_canvas_item_class_init), (gnome_db_canvas_item_finalize),
	(gnome_db_canvas_item_set_property): Use g_param_spec_object() instead 
	of g_param_spec_pointer for the PROP_FIELD GdaEntityField property.
	* libgnomedb-graph/gnome-db-canvas-text.c:
	(gnome_db_canvas_text_class_init), (gnome_db_canvas_text_dispose),
	(gnome_db_canvas_text_set_property): Use g_param_spec_object() instead 
	of g_param_spec_pointer for the PROP_GDA_OBJECT GdaObject property.
	* libgnomedb/data-entries/gnome-db-data-cell-renderer-boolean.c:
	(gnome_db_data_cell_renderer_boolean_class_init),
	(gnome_db_data_cell_renderer_boolean_get_property),
	(gnome_db_data_cell_renderer_boolean_set_property): Use g_param_spec_boxed) instead 
	of g_param_spec_pointer for the PROP_VALUE GValue property.
	* libgnomedb/data-entries/plugins/gnome-db-data-cell-renderer-pict.
	c: (gnome_db_data_cell_renderer_pict_class_init),
	(gnome_db_data_cell_renderer_pict_get_property),
	(gnome_db_data_cell_renderer_pict_set_property): Use g_param_spec_boxed) instead 
	of g_param_spec_pointer for the PROP_VALUE GValue property.
	* libgnomedb/gnome-db-transaction-status.c:
	(gnome_db_transaction_status_class_init),
	(gnome_db_transaction_status_set_property),
	(gnome_db_transaction_status_get_property): Use g_param_spec_object() instead 
	of g_param_spec_pointer for the PROP_ENTITY GdaEntity property.

2007-02-08  Murray Cumming  <murrayc@murrayc.com>

	* libgnomedb/data-entries/gnome-db-data-cell-renderer-boolean.c:
	(gnome_db_data_cell_renderer_boolean_class_init),
	(gnome_db_data_cell_renderer_boolean_dispose),
	(gnome_db_data_cell_renderer_boolean_finalize),
	(gnome_db_data_cell_renderer_boolean_set_property): Use g_param_spec_object() 
	instead of g_param_spec_pointer() for the GdaDataHandler now that it has a 
	GObject prerequisite in libgda. Added finalize and dispose to do unreffing and 
	freeing like the other cell renderers.
	* libgnomedb/data-entries/gnome-db-data-cell-renderer-combo.c:
	(gnome_db_data_cell_renderer_combo_class_init),
	(gnome_db_data_cell_renderer_combo_dispose),
	(gnome_db_data_cell_renderer_combo_set_property): Unref/Ref the GdaParameterList in 
	set_property().
	* libgnomedb/data-entries/gnome-db-data-cell-renderer-info.c:
	(gnome_db_data_cell_renderer_info_class_init),
	(gnome_db_data_cell_renderer_info_dispose),
	(gnome_db_data_cell_renderer_info_set_property):  Unref/Ref the GnomeDbDataStore in 
	set_property() and unref it in dispose.
	* libgnomedb/data-entries/gnome-db-data-cell-renderer-textual.c:
	(gnome_db_data_cell_renderer_textual_class_init),
	(gnome_db_data_cell_renderer_textual_set_property): Use g_param_spec_object() 
	instead of g_param_spec_pointer() for the GdaDataHandler now that it has a 
	GObject prerequisite in libgda. Unref/Ref it in set_property() and unref it in dispose.

2007-02-07  Armin Burgmeier  <armin@openismus.com>

	* libgnomedb-extra/gnome-db-sql-console.c: Added a construct only
	property for the message parameter in gnome_db_sql_console_new().

2007-02-06  Armin Burgmeier  <armin@openismus.com>

	* libgnomedb-extra/gnome-db-dbms-update-viewer.c:
	* libgnomedb-extra/gnome-db-error-dialog.c:
	* libgnomedb-extra/gnome-db-editor.c:
	* libgnomedb-extra/gnome-db-sql-console.c:
	* libgnomedb/gnome-db-data-import.c:
	* libgnomedb/gnome-db-login-dialog.c:
	* libgnomedb/gnome-db-dsn-spec.c:
	* libgnomedb/gnome-db-grid.c:
	* libgnomedb/gnome-db-data-source-selector.c:
	* libgnomedb/gnome-db-connection-properties.c:
	* libgnomedb/gnome-db-form.c: Changed *_new methods to do nothing more
	than calling g_object_new by introducing properties and moving code to
	*_init.

2007-02-06  Murray Cumming  <murrayc@murrayc.com>

	* gnomedb-sharp/gnomedb-sharp.dll.config.in: Hopefully corrected this 
	as recommended by Hans de Goede in bug #366710.

2007-02-02  Johannes Schmid <johannes.schmid@openismus.com>

	reviewed by: Murray Cumming <murray@murrayc.com>

	* libgnomedb/data-entries/gnome-db-data-cell-renderer-boolean.c:
	(gnome_db_data_cell_renderer_boolean_class_init),
	(gnome_db_data_cell_renderer_boolean_set_property),
	(gnome_db_data_cell_renderer_boolean_new):
	* libgnomedb/data-entries/gnome-db-data-cell-renderer-combo.c:
	(gnome_db_data_cell_renderer_combo_init),
	(gnome_db_data_cell_renderer_combo_class_init),
	(gnome_db_data_cell_renderer_combo_set_property),
	(gnome_db_data_cell_renderer_combo_new):
	* libgnomedb/data-entries/gnome-db-data-cell-renderer-info.c:
	(gnome_db_data_cell_renderer_info_class_init),
	(gnome_db_data_cell_renderer_info_set_property),
	(gnome_db_data_cell_renderer_info_new):
	* libgnomedb/data-entries/gnome-db-data-cell-renderer-textual.c:
	(gnome_db_data_cell_renderer_textual_class_init),
	(gnome_db_data_cell_renderer_textual_set_property),
	(gnome_db_data_cell_renderer_textual_new):
	Added construct properties and stripped _new down to g_object_new()

	* libgnomedb/gnome-db-data-source-selector.c:
	* libgnomedb/gnome-db-server-operation.c:
	(create_table_fields_array_create_widget):
	* libgnomedb/gnome-db-util.c: (gnome_db_option_menu_get_selection),
	(gnome_db_select_file_dialog):
	Fixed some compiler warnings because of missing casts

2007-02-05  Murray Cumming  <murray@murrayc.com>

	* libgnomedb/data-entries/gnome-db-entry-boolean.c:
	(connect_signals):
	* libgnomedb/data-entries/gnome-db-entry-common-time.c:
	(focus_out_cb), (connect_signals):
	* libgnomedb/data-entries/gnome-db-entry-none.c: (connect_signals):
	* libgnomedb/data-entries/gnome-db-entry-string.c: (focus_out_cb),
	(connect_signals):
	* libgnomedb/data-entries/gnome-db-entry-wrapper.h:
	* libgnomedb/data-entries/plugins/gnome-db-entry-cidr.c:
	(connect_signals):
	* libgnomedb/data-entries/plugins/gnome-db-entry-filesel.c:
	(connect_signals):
	* libgnomedb/data-entries/plugins/gnome-db-entry-passmd5.c:
	(connect_signals):
	* libgnomedb/data-entries/plugins/gnome-db-entry-pict.c:
	(connect_signals):
	* libgnomedb/data-entries/plugins/gnome-db-entry-text.c:
	(focus_out_cb), (connect_signals):
	Rename modif_cb to modify_cb, and activ_cb to activate_cb, because that is 
	clearer. Unnecessary abbreviations just obscure.

2007-02-02  Murray Cumming <murray@murrayc.com>

	* libgnomedb/data-entries/gnome-db-data-cell-renderer-info.c:
	(gnome_db_data_cell_renderer_info_render):
	Use the returned object of gtk_style_attach() becauase the documentation says 
	that we should.
	Bug #399481 from Christian Persch.

2007-02-02  Leonardo Boshell  <lb@kmc.com.co>

	* Makefile.am: Install the main icon under $(datadir)/pixmaps directly,
	instead of a subdirectory.
	* configure.in: Do not create the .desktop file from AC_OUTPUT, since it
	should be created by intltool. Added -3.0 suffix to omf file to avoid
	collisions with files installed by libgnomedb-1.2.x.
	* control-center/Makefile.am: Use -3.0 suffix.
	* control-center/database-properties.desktop.in: Update to fix the icon
	and exec locations.
	* data/Makefile.am:
	* doc/C/Makefile.am:
	* doc/Makefile.am:
	* doc/libgnomedb-C.omf.in:
	* glade/Makefile.am:
	* libgnomedb/Makefile.am: Use -3.0 suffix.

2007-02-02  Johannes Schmid <johannes.schmid@openismus.com>

	reviewed by: Murray Cumming <murray@murrayc.com>
  
	* libgnomedb/data-entries/gnome-db-data-entry-combo.h:
	* libgnomedb/data-entries/gnome-db-data-entry-combo.c:
	Added private _construct method to be used by the C++ binding (#400665)

2007-01-31  Vivien Malerba <malerba@gnome-db.org>

	* configure.in:
	* doc/Makefile.am: detect if scrollkeeper is not present, and don't use it
	in that case (previously scrollkeeper was mandatory)
	* configure.in: detect Maemo platform libraries and set HAVE_MAEMO if found
	* libgnomedb/gnome-db-raw-grid.c:
	* libgnomedb/gnome-db-basic-form.c: 
	* libgnomedb/gnome-db-raw-form.c: bug fix: don't show a data entry if 
	gnome_db_data_widget_column_hide() has been called 
	* libgnomedb/gnome-db-raw-grid.c: improved column title for parameters restricted
	by a data model
	* libgnomedb/data-entries/gnome-db-data-cell-renderer-combo.c: added a "show_expander"
	attribute
	* libgnomedb/gnome-db-raw-grid.c: hide expander for parameters restricted by a data model
	* testing/test-dyn-widgets.c: added an option to select the write mode of the Form and Grid
	tests
	* libgnomedb/gnome-db-data-widget.h: added some comments on enum
	* libgnomedb/utility.h:
	* libgnomedb/utility.c: more functions, renamed to respect the gnome_db_ prefix,
	renaming also impacts other files
	* libgnomedb/gnome-db-raw-form.c: 
	* libgnomedb/gnome-db-raw-grid.c: make the widgets report any error when applying
	the modifications stored in the proxy

2007-01-28  Vincent Geddes  <vgeddes@metroweb.co.za>

	Adapt to latest glade3 API changes:
	* configure.in: pkg-config check for gladeui-1.0 instead of libgladeui-1.0.
	* glade3/glade3-gnomedb.c: Include gladeui/glade.h instead of 
	glade.h and glade-gtk.h
	Bug #400836

2007-01-28  Murray Cumming  <murrayc@murrayc.com>

	* configure.in: Comment-out the AC_ARG_PROGRAM line, because the 
	"invoked multiple times" warning suggests that it is unnecessary.
	* extra/demos/Makefile.am: Replace INCLUDES with AM_CPPFLAGS, 
	as suggested by the warning.

2007-01-27  Vivien Malerba <malerba@gnome-db.org>

	* control-center/database-capplet.[ch]: removed unused files
	* libgnomedb-extra/Makefile.am:
	* libgnomedb-extra/extra_marshal.list: new files
	* libgnomedb-extra/gnome-db-dbms-update-viewer.[ch]:
	* libgnomedb-extra/gnome-db-editor.[ch]:
	* libgnomedb-extra/gnome-db-error-dialog.[ch]:
	* libgnomedb-extra/gnome-db-error.[ch]:
	* libgnomedb-extra/gnome-db-gray-bar.[ch]:
	* libgnomedb-extra/gnome-db-report-editor.[ch]:
	* libgnomedb-extra/gnome-db-selector.[ch]:
	* libgnomedb-extra/gnome-db-selector-private.[ch]:
	* libgnomedb-extra/gnome-db-sql-console.[ch]:
	* libgnomedb-extra/libgnomedb-extra.[ch]:
	* libgnomedb-extra/sel-aggregates.[ch]:
	* libgnomedb-extra/sel-data-types.[ch]:
	* libgnomedb-extra/sel-functions.[ch]:
	* libgnomedb-extra/sel-graphs.[ch]:
	* libgnomedb-extra/sel-onequery.[ch]:
	* libgnomedb-extra/sel-onetable.[ch]:
	* libgnomedb-extra/sel-onetarget.[ch]:
	* libgnomedb-extra/sel-queries.[ch]:
	* libgnomedb-extra/sel-tables.[ch]: files moved from libgnomedb/ to create
	the libgnomedb-extra library.
	* examples/SampleApp: example uses libglade and no more glade-generated code
	* other files: updates due to the new libgnomedb-extra library

2.99.3:

2007-01-27  Murray Cumming  <murrayc@murrayc.com>

	* docs/C/libgnomedb.types: Do not mention gnome_db_dsn_assistant_get_type.
	Hopefully this will be picked up by gtkdoc-scanobj instead, where it is used.
	* docs/C/Makefile.am: Conditionally add gnome-db-dsn-assistant.h 
	to IGNORE_HFILES, to stop gtkdoc-scanobj from trying to use it when it is 
	not built, if GTK+ is not >= 2.10.

	This fixed from svn build for GTK+ 2.8, such as on debian Etch.
	Bug #389821 from Mark Johnson.

2007-01-23  Murray Cumming  <murrayc@murrayc.com>

	* po/POTFILES.in: Update for the latest files, though intltool-update complains that the 
	files do not exist during distcheck.

2007-01-23  Murray Cumming  <murrayc@murrayc.com>

	* libgnomedb-graph/gnome-db-canvas-cursor.c:
	* libgnomedb-graph/gnome-db-canvas-db-relations.c:
	* libgnomedb-graph/gnome-db-canvas-item.c:
	* libgnomedb-graph/gnome-db-canvas-query-struct.c:
	* libgnomedb-graph/gnome-db-canvas-tip.c:
	* libgnomedb-graph/gnome-db-canvas.c:
	* libgnomedb/data-entries/gnome-db-data-cell-renderer-info.c:
	* libgnomedb/data-entries/gnome-db-data-cell-renderer-textual.c: Specify full path to marshal.h, 
	to partly fix the distcheck.

2007-01-23  Murray Cumming  <murrayc@murrayc.com>

	* configure.in: Removed check-news from the AM_INIT_AUTOMAKE() call, 
	because this makes it impossible to test distcheck without actually changing NEWS, 
	so distcheck is often broken.

2007-01-23  Murray Cumming  <murrayc@murrayc.com>

	* configure.in: Use only glade > 3.1, if any, because they changed the 
	pkg-config module name.

2007-01-23  Murray Cumming  <murrayc@murrayc.com>

	* win32/Makefile:
	* win32/Makefile.in: Removed these generated files from svn.

2007-01-20  Vivien Malerba <malerba@gnome-db.org>

	* moved libgnomedb/graph to libgnomedb-graph
	* the libgnomedb-graph.so library now has its own .pc file, and is
	separated from the libgnomedb.so library, so it's only used if
	necessary (to remove memory footprint)
	* application should also include
	<libgnomedb-graph/libgnomedb-graph.h> to use that library

2007-01-20  Vivien Malerba <malerba@gnome-db.org>

	* data/gnome-db-database-login_48x48.png: removed
	* libgnomedb/gnome-db-login-dialog.c: use the standard GTK_STOCK_DIALOG_AUTHENTICATION
	stock item for the login dialog
	* dsn-config.c: minor correction when no DSN exist and one is added
	* libgnomedb/data-entries/plugins/gbase64.[ch]: removed files
	* libgnomedb/data-entries/plugins/common-pict.c:
	* libgnomedb/data-entries/plugins/gnome-db-entry-pict.c:
	* libgnomedb/data-entries/plugins/Makefile.am: enable BASE64 encoding only if GLib
	version >= 2.12
	* extra/demos/Makefile.am
	* extra/Makefile.am:
	* configure.in:
	* control-center/main.c:
	* control-center/dsn-config.c:
	* control-center/Makefile.am:
	* glade3/Makefile.am:
	* libgnomedb/data-entries/plugins/Makefile.am:
	* libgnomedb/data-entries/Makefile.am:
	* libgnomedb/libgnomedb.h:
	* libgnomedb/graph/Makefile.am:
	* libgnomedb/gnome-db-login-dialog.c:
	* libgnomedb/gnome-db-login.c:
	* libgnomedb/gnome-db-data-source-selector.c:
	* libgnomedb/gnome-db-editor.c:
	* libgnomedb/Makefile.am:
	* libgnomedb/gnome-db-init.c:
	* Makefile.am:
	* glade/glade-gnomedb.c:
	* glade/Makefile.am:
	* testing/Makefile.am:
	* testing/test-dyn-widgets.c: allow to build libgnomedb even if there is
	no GConf, no libgnomecanvas, and removed dependency on libgnomeui
	* API changes: renamed GnomeDbDsnConfigDruid to GnomeDbDsnAssistant, GnomeDbDsnConfig
	to GnomeDbDsnEditor, and gnome_db_dsn_editor_[gs]et_info to gnome_db_dsn_editor_[gs]et_dsn
	* libgnomedb/Makefile.am: install gnome-db-plugin.h
	* libgnomedb/gnome-db-server-operation.c: added a "opt_header" property which, if set to TRUE,
	will avoid display the section header if there is only one section to display

2007-01-18  Johannes Schmid <jhs@gnome.org>

	* libgnomedb/Makefile.am:
	Install gnome-db-enum-types.h

2007-01-18  Murray Cumming  <murrayc@murrayc.com>

	* examples/SampleApp/src/interface.c: (create_app1):
	* extra/demos/console.c: (do_console):
	* extra/gnome-db-browser.c: (sql_console_cb):
	* libgnomedb/gnome-db-dsn-config-druid.c: (druid_finished_cb):
	* libgnomedb/gnome-db-sql-console.c: (run_internal_cmde):
	* libgnomedb/graph/gnome-db-canvas-db-relations.c:
	(drag_action_question_dlg):
	* libgnomedb/graph/gnome-db-canvas-join.c:
	(join_properties_type_changed_cb):
	* libgnomedb/graph/gnome-db-canvas-query-struct.c:
	Correct some English strings. Bug #315612 from Clytie Siddall.

2007-01-17  Murray Cumming  <murrayc@murrayc.com>

	* configure.in:
	* libgnomedb-3.0.pc.in:
	* libgnomedb/Makefile.am:
	* libgnomedb/data-entries/Makefile.am:
	* libgnomedb/data-entries/plugins/Makefile.am:
	* libgnomedb/graph/Makefile.am:
	* win32/Makefile:
	* win32/Makefile.in: Rename GNOMEDB_*_VERSION to 
	GNOMEDB_ABI_*_VERSION, and do not use the tarball release version to 
	calculate it. This removes the risk of us breaking ABI with a 3.2 version that 
	is meant to just add API.

2007-01-17  Murray Cumming  <murrayc@murrayc.com>

	* libgnomedb/gnome-db-raw-grid.c: (menu_save_as_cb):
	* libgnomedb/graph/gnome-db-canvas-query-struct.c:
	(drag_action_dcb): In error strings, correct spellings:
	comitted->committed
	joinned->joined
	Bug #352123 from Clytie Siddall.

2007-01-17  Murray Cumming  <murrayc@murrayc.com>

	* examples/SampleApp/src/main.c: (prepare_main_window):
	* libgnomedb/gnome-db-basic-form.c:
	(gnome_db_basic_form_class_init),
	(gnome_db_basic_form_set_property), (gnome_db_basic_form_fill),
	(gnome_db_basic_form_show_entry_actions):
	* libgnomedb/gnome-db-basic-form.h:
	* libgnomedb/gnome-db-dsn-spec.c: (adapt_form_widget):
	* libgnomedb/gnome-db-raw-form.c: (gnome_db_raw_form_initialize),
	(gnome_db_raw_form_show_column_actions):
	* libgnomedb/gnome-db-server-operation.c: (fill_create_widget):
	* testing/test-dyn-widgets.c: (cust_forms_grids_test_prepare):
	Renamed gnome_db_basic_form_show_entries_actions() to 
	gnome_db_basic_form_show_entry_actions(). It does refer to multiple 
	entries, but the name is not quite gramatically correct and looks like it refers to 
	one entry but with incorrect spelling. The new name is not perfect but at least does 
	not look wrong.
	Also changed property description as noticed in bug #352123 from Clytie Siddall. 

2007-01-17  Murray Cumming  <murrayc@murrayc.com>

	* libgnomedb/Makefile.am: Do not install headers for no-public API.

2007-01-17  Min Sik Kim  minskim@bawi.org>

	* libgnomedb/utility.c:
	* libgnomedb/utility.h: Remove unused functions:
	utility_table_field_attrs_stringify(), 
	utility_table_field_attrs_parse(),
	utility_build_encoded_id(), 
	utility_build_encoded_id().
	Exported libgda functions also exist for these.
	Bug #383533

2007-01-17  Murray Cumming  <murrayc@murrayc.com>

	* data/Makefile.am: Ifdef the 16x16 and 22x22 SUBDIRS because they seem to be 
	for, and require, glade-3.

2007-01-17  Murray Cumming  <murrayc@murrayc.com>

	* libgnomedb/gnome-db-transaction-status.c:
	(create_widget_for_tstatus), (gnome_db_transaction_status_refresh): 
	Add ifdefs, using GTK_MINOR_VERSION, to allow this to build with GTK+ 2.8.
	I have not seen the actual UI, but I suspect that the use of GtkLinkButton is not 
	a good idea anyway. Bug #389821 from Mark Johnson.

2007-01-16  Yselkowitz  <yselkowitz@users.sourceforge.net>

	* Makefile.am:
	* configure.in:
	* examples/SampleApp/po/Makefile.in.in:
	* glade/Makefile.am:
	* glade3/Makefile.am:
	* glade3/glade3-gnomedb.c:
	* gnomedb-sharp/gnomedb-sharp.dll.config.in:
	* libgnomedb/Makefile.am:
	* libgnomedb/data-entries/Makefile.am:
	* libgnomedb/data-entries/plugins/Makefile.am:
	* libgnomedb/graph/Makefile.am:
	* win32/Makefile:
	* win32/Makefile.am:
	* win32/Makefile.in:
	* win32/dummy.la:
	* win32/libgnomedb_handlers-3.def: win32 build fixes. 
	Bug #321663

2007-01-16  Jeroen Zwartepoorte  <jeroen.zwartepoorte@gmail.com>

	* extra/gnome-db-browser.c: (build_data_types_page),
	(build_tables_views_page):
	* libgnomedb/gnome-db-selector.c: (gnome_db_selector_initialize):
	* libgnomedb/graph/gnome-db-canvas.c:
	(gnome_db_canvas_set_in_scrolled_window): Use GTK_SHADOW_IN on scrolled windows, 
	as specified by the HIG.

2007-01-16  Alex Smith  <alex@alex-smith.me.uk>

	* control-center/Makefile.am:
	* extra/Makefile.am:
	* glade/Makefile.am:
	* libgnomedb/Makefile.am:
	* libgnomedb/data-entries/plugins/Makefile.am:
	* libgnomedb/graph/Makefile.am:
	* testing/Makefile.am: Use AM_CPPFLAGS instead of INCLUDES, so that CFLAGS 
	is not ignored. Bug #354476.

2006-01-16  Armin Burgmeier  <armin@openismus.com>

	* libgnomedb/Makefile.am:
	* configure.in: Use glib-mkenums to create gnome-db-enum-types.h and
	gnome-db-enum-types.c. This fixes #129035.

2007-01-16  Mark Johnson  <mrj001@shaw.ca>

	* libgnomedb/gnome-db-combo.c:
	* libgnomedb/gnome-db-data-source-selector.c: Include gtk/gtkcelllayout.h to fix 
	compiler warnings.

2007-01-16  Hans de Goede  <j.w.r.degoede@hhs.nl>

	* libgnomedb/gnome-db-basic-form.h:
	* libgnomedb/gnome-db-stock.c:
	* libgnomedb/sel-graphs.c: Add missing function prototypes, sometimes by 
	adding includes, to fix compiler warnings. Bug #366710.

2007-01-16  Johannes Schmid <johannes.schmid@openismus.com>
 
	* libgnomedb/gnome-db-selector.c
	* libgnomedb/gnome-db-login-dialog.c
	* libgnomedb/gnome-db-find-dialog.c
	* libgnomedb/gnome-db-gray-bar.c:
	 
	Added construct properties to allow wrapping with libgnomedbmm (#391514)

2007-01-16  Murray Cumming  <murrayc@murrayc.com>

	* libgnomedb/gnome-db-dbms-update-viewer.c:
	* libgnomedb/gnome-db-dbms-update-viewer.h: Corrected the GnomeDbmsUpdateViewer 
	struct name to GnomeDbDbmsUpdateViewer. Bug #389191.

2007-01-16  Murray Cumming  <murrayc@murrayc.com>

	* Makefile.am: Revert an unwanted commit.

2007-01-14  Vivien Malerba <malerba@gnome-db.org>

	* libgnomedb/gnome-db-transaction-status.c: Added a warning when the
	transaction is locked
	* libgnomedb/data-entries/plugins/common-pict.c: correctly resize pictures
	when they are encoded strings

2007-01-14  Murray Cumming  <murrayc@murrayc.com>

	Revert previous change because it apprently breaks things. We will 
	investigate and try again later. 

2007-01-12  Murray Cumming  <murrayc@murrayc.com>
 
	* extra/demos/main.c: (create_tree):
	* libgnomedb/data-entries/gnome-db-data-cell-renderer-boolean.c:
	(gnome_db_data_cell_renderer_boolean_class_init):
	* libgnomedb/data-entries/gnome-db-data-cell-renderer-combo.c:
	(gnome_db_data_cell_renderer_combo_class_init):
	* libgnomedb/data-entries/gnome-db-data-cell-renderer-textual.c:
	(gnome_db_data_cell_renderer_textual_class_init):
	* libgnomedb/data-entries/gnome-db-entry-wrapper.c:
	(gnome_db_entry_wrapper_get_handler):
	* libgnomedb/data-entries/plugins/gnome-db-data-cell-renderer-pict.
	c: (gnome_db_data_cell_renderer_pict_class_init):
	* libgnomedb/gnome-db-data-store.c: (data_store_get_column_type),
	(data_store_get_value):
	* libgnomedb/gnome-db-data-widget.c:
	(gnome_db_data_widget_iface_init):
	* libgnomedb/gnome-db-raw-grid.c: (gnome_db_raw_grid_class_init):
	* libgnomedb/gnome-db-selector.c: (gnome_db_selector_initialize):
	* libgnomedb/graph/gnome-db-canvas-item.c:
	(gnome_db_canvas_item_class_init):
	* libgnomedb/graph/gnome-db-canvas.c: (gnome_db_canvas_class_init):
	* libgnomedb/marshal.list: Reduce use of POINTER as a type for 
	signal parameters, using a specific type instead. But some remain.

2006-01-12  Vivien Malerba <malerba@gnome-db.org>
	
	* libgnomedb/data-entries/plugins/gnome-db-data-cell-renderer-pict.c: bug fixed when binary data was not
	correctly read from the database
	* libgnomedb/data-entries/plugins/common-pict.[ch]:
	* libgnomedb/data-entries/plugins/gnome-db-data-cell-renderer-pict.c:
	* libgnomedb/data-entries/plugins/gnome-db-entry-pict.c: fixed a bug when using strings to store
	pictures, and one with serialized pictures

2006-01-07  Vivien Malerba <malerba@gnome-db.org>
	
	* libgnomedb/data-entries/gnome-db-entry-wrapper.c: corrected internal
	check problem
	* examples:
	* examples/SampleApp:
	* examples/SampleApp/src:
	* po:
	* testing:
	* data/16x16:
	* data/22x22:
	* doc/C:
	* libgnomedb/graph:
	* libgnomedb/data-entries:
	* libgnomedb/data-entries/plugins:
	* libgnomedb:
	* glade3:
	* control-center:
	* gnomedb-sharp:
	* extra:
	* extra/demos:
	* .: adjusted the svn:ignore property
	* other files: minor corrections

2006-12-22  Vivien Malerba <malerba@gnome-db.org>

	Released 2.99.2 (AKA 3.0 Beta4).

2006-12-22  Vivien Malerba <malerba@gnome-db.org>

	* libgnomedb/gnome-db-basic-form.c:
	* libgnomedb/gnome-db-data-widget.c:
	* libgnomedb/gnome-db-raw-form.c:
	* libgnomedb/gnome-db-raw-grid.c:
	* libgnomedb/data-entries/gnome-db-data-cell-renderer-info.c:
	* libgnomedb/data-entries/gnome-db-data-cell-renderer-textual.c:
	* libgnomedb/data-entries/gnome-db-entry-common-time.c:
	* libgnomedb/data-entries/gnome-db-entry-string.c:
	* libgnomedb/data-entries/gnome-db-entry-wrapper.c:
	* libgnomedb/data-entries/plugins/gnome-db-entry-text.c: minor corrections

2006-12-20  Vivien Malerba <malerba@gnome-db.org>

	* testing/test-handler.c: corrected date locale settings used by test
	* libgnomedb/data-entries/gnome-db-entry-common-time.c: replaced the "choose" button
	to display a calendar in the date entry with an arrow button
	* libgnomedb/gnome-db-basic-form.c: corrected labels for parameters which can have
	a NULL value (the colon at the end was missing)
	* libgnomedb/gnome-db-data-source-selector.c: fixed gnome_db_data_source_selector_set_dsn()
	to make the a caseless DSN string comparison
	* libgnomedb/data-entries/plugins/gnome-db-entry-pict.c:
	* libgnomedb/data-entries/plugins/gnome-db-data-cell-renderer-pict.[ch]:
	* libgnomedb/data-entries/plugins/common-pict.[ch]: corrected options parsing
	* libgnomedb/data-entries/gnome-db-entry-string.c:
	* libgnomedb/data-entries/gnome-db-data-cell-renderer-textual.c: cut the strings which are
	too long and which cause widget problems (cut at 500 chars)
	* libgnomedb/data-entries/plugins/common-pict.c: align picture on the left

2006-12-16  Vivien Malerba <malerba@gnome-db.org>

	* libgnomedb/data-entries/plugins/gnome-db-entry-pict.c:
	* libgnomedb/data-entries/plugins/gnome-db-data-cell-renderer-pict.[ch]:
	* libgnomedb/data-entries/plugins/common-pict.[ch]: the "picture" plugin can now also be
	used in grids
	* extra/demos/grid_pict.c: demo the GnomeDbGrid usage with the "picture" plugin
	* libgnomedb/gnome-db-raw-grid.c:
	* libgnomedb/gnome-db-raw-form.c: hide data when its attribute tells that the data
	won't be used
	* control-center/: New toolbar, various UI improvements
	* libgnomedb/gnome-db-data-entry.[ch]:
	* libgnomedb/data-entries/gnome-db-entry-boolean.c:
	* libgnomedb/data-entries/gnome-db-entry-common-time.c:
	* libgnomedb/data-entries/gnome-db-entry-none.c:
	* libgnomedb/data-entries/gnome-db-entry-string.c:
	* libgnomedb/data-entries/gnome-db-entry-wrapper.c:
	* libgnomedb/data-entries/gnome-db-entry-wrapper.h
	* libgnomedb/data-entries/plugins/gnome-db-entry-cidr.c:
	* libgnomedb/data-entries/plugins/gnome-db-entry-filesel.c:
	* libgnomedb/data-entries/plugins/gnome-db-entry-passmd5.c:
	* libgnomedb/data-entries/plugins/gnome-db-entry-pict.c:
	* libgnomedb/data-entries/plugins/gnome-db-entry-text.c: modified the GnomeDbDataEntry
	widget to emit a "contents_activated" signal
	* libgnomedb/gnome-db-data-widget.h:
	* libgnomedb/gnome-db-raw-form.c:
	* libgnomedb/gnome-db-data-widget-info.c: added two new options to specify when data
	modified in a GnomeDbDataWidget should be "committed back" to the GdaDataModel being
	edited
	* examples/SampleApp/configure.in:
	* examples/SampleApp/src/main.c: updated and improved SampleApp application
	* other files: various bug fixes

2006-12-09  Vivien Malerba <malerba@gnome-db.org>

	* testing/test-dyn-widgets.c: correctly open the connection to the TEST_sqlite.db
	SQLite file if no dictionary file is specified
	* libgnomedb/utility.c:
	* libgnomedb/data-entries/*: fixed focus chain
	* libgnomedb/gnome-db-data-entry.[ch]:
	* libgnomedb/data-entries/*: added gnome_db_data_entry_grab_focus() and implemented
	for the various data entry widgets
	* libgnomedb/data-entries/gnome-db-entry-wrapper.c: fixed a bug when an entry was read-only and
	the "UNSET" action was still available.
	* libgnomedb/data-entries/gnome-db-entry-wrapper.c: fixed the "set_default_if_invalid"
	property application 
	* libgnomedb/gnome-db-selector.[ch]: "export" the "row-activated" signal
	* libgnomedb/data-entries/gnome-db-entry-common-time.c: bug fixes
	* extra/gnome-db-browser.c: removed custom code to create INSERT, UPDATE and
	DELETE queries, and use gda_data_model_query_compute_modification_queries()
	* libgnomedb/gnome-db-server-operation.c: specialized to widget to declare the
	fields of a table to make it more useable
	* libgnomedb/gnome-db-basic-form.c: not NULL data entries are now
	marked with a red star instead of bold text
	* libgnomedb/gnome-db-raw-grid.c: when the internal iterator moves, make the
	treeview scroll to display the new selection

2006-12-04  Murray Cumming  <murrayc@murrayc.com>

	* libgnomedb/data-entries/gnome-db-data-cell-renderer-info.h: Do not 
	try to prototype declare an enum. This is not possible, at least not in 
	C++. Comment-it out because it is not even used.
	
	* testing/test-dyn-widgets.c:
	(cust_forms_grids_test_sel_row_changed_cb),
	(cust_forms_grids_test_prepare): Add some casts to avoid warnings.

2006-12-03  Vivien Malerba <malerba@gnome-db.org>
	
	* libgnomedb/gnome-db-dbms-update-viewer.c: corrected a bug which made
	applications crash when list of views was updated

2006-11-23  Vivien Malerba <malerba@gnome-db.org>

	* libgnomedb/gnome-db-transaction-status.c: only show actions on
	transactions and savepoints if they are possible

2006-11-19  Vivien Malerba <malerba@gnome-db.org>

	* all files: s/IS_GNOME_DB/GNOME_DB_IS/g
	* libgnomedb/gnome-db-sql-console.[ch]: the "sql_entered" signal can
	now return a string which is displayed in the console
	* libgnomedb/gnome-db-transaction-status.[ch]: improved widget
	* doc/C/tmpl/gnome-db-transaction-status.sgml:
	* doc/C: improved documentation

2006-11-18  Djihed Afifi <djihed@gmail.com>

	* configure.in: Added Arabic.

2006-11-15  Vivien Malerba <malerba@gnome-db.org>

	* configure.in:
	* glade3/*:
	* data/16x16/*:
	* data/22x22/*:
	* data/Makefile.am: merged work from Daniel Espinosa to support
	Glade3
	* libgnomedb/Makefile.am:
	* libgnomedb/gnome-db-transaction-status.[ch]: new widget
	* libgnomedb/gnome-db-sql-console.[ch]: improvements
	* testing/test-dyn-widgets.c: new test

2006-11-12  Vivien Malerba <malerba@gnome-db.org>

	* extra/demos/Makefile.am:
	* extra/demos/ddl_queries.c: new file to demonstrate
	GdaServerOperation and GnomeDbServerOperation objects
	* libgnomedb/gnome-db-raw-grid.c:
	* libgnomedb/data-entries/gnome-db-data-cell-renderer-info.h:
	* providers/evolution/gda-evolution-connection.c:
	* testing/test-handlers.c: follow libgda's API changes

2006-11-09  Murray Cumming  <murrayc@murrayc.com>

	* gnomedb-sharp/gnomedb-sharp-2.0.pc.in: Renamed to:
	* gnomedb-sharp/gnomedb-sharp-3.0.pc.in:
	* libgnomedb-2.0.pc.in: Renamed to:
	* libgnomedb-3.0.pc.in:
	* Makefile.am:
	* configure.in:
	* glade/Makefile.am:
	* gnomedb-sharp/Makefile.am: Change the version 
	(pkg-config, tarball, library name, include path) 
	from 2.0 to 3.0, to be in sync with libgda.

2006-11-08  Murray Cumming  <murrayc@murrayc.com>

	* configure.in: Do pkg-config check for libgda-3.0, not libgda-2.0, 
	because we just changed the version number.

2006-11-04  Vivien Malerba <malerba@gnome-db.org>

	* libgnomedb/data-entries/gnome-db-data-cell-renderer-textual.c: better
	handle type changes between what was specified and the actual data

2006-11-01  Vivien Malerba <malerba@gnome-db.org>

	* AUTHORS: added Daniel Espinosa
	* gnomedb-sharp/gnomedb-api.raw: applied a patch by Daniel Espinosa to
	update the C# bindings
	* control-center/main.c: corrected a bug with the about dialog
	* libgnomedb/gnome-db-dsn-config-druid.c:
	* libgnomedb/gnome-db-dsn-config.c: allow any character in the DSN string

2006-10-30  Vivien Malerba <malerba@gnome-db.org>

	* configure.in: bumped to 1.99.2
	* autogen.sh: make sure we call bash because edgy uses dash

2006-10-26  Vivien Malerba <malerba@gnome-db.org>

	Released 1.99.1 (AKA 2.0 Beta3).

2006-10-26  Vivien Malerba <malerba@gnome-db.org>

	* configure.in: added a --enable-csharp option to enable or disable
	the building of C# bindings
	* libgnomedb/sel-aggregates.c:
	* libgnomedb/sel-functions.c: bug fixed where dictionary's non existant signals
	were used
	* extra/demo/*: added a GnomeDbSelector demo

2006-10-18  Vivien Malerba <malerba@gnome-db.org>

	Released 1.99.0 (AKA 2.0 Beta2).

2006-10-18  Vivien Malerba <malerba@gnome-db.org>

	* configure.in: bumped to 1.99.0
	* libgnomedb/gnome-db-basic-form.c:
	* libgnomedb/gnome-db-raw-grid.c:
	* libgnomedb/utility.c: commented out removed libgda API

2006-10-17  Vivien Malerba <malerba@gnome-db.org>

	* libgnomedb/data-entries/plugins/gnome-db-entry-pict.c: resize image only
	when the allocation is smaller than the image
	* extra/demos: added new demos
	* doc/C: added a features and migration section

2006-10-14  Vivien Malerba <malerba@gnome-db.org>

	* configure.in: added missing files (Stian Skjelstad) (closes #357502)
	* extra/demos/*: added new demonstrations

2006-10-12  Vivien Malerba <malerba@gnome-db.org>

	* libgnomedb/gnome-db-data-widget-info.c: corrected displayed information
	when the current data is invalid
	* libgnomedb/gnome-db-raw-grid.c: take into account changes made to the
	GdaDataModelIter from outside of the widget
	* testing/test-dyn-widgets.c: modified a test to make a form and a grid
	display the same selected row at any time as an option
	* extra/demos: new gnome-db-demo program (based on the Gtk+ gtk-demo)
	* moved all the contents of ${prefix}/share/libgnomedb have moved
	to ${prefix}/share/gnome-db
	* libgnomedb/libgnomedb.h: don't include libgnomedb/gnome-db-selector-private.h

2006-10-08  Vivien Malerba <malerba@gnome-db.org>

	* libgnomedb/gnome-db-i18n.h: 
	* libgnomedb/libgnomedb-private.h: removed files

2006-09-24  Vivien Malerba <malerba@gnome-db.org>

	* all files: updated due to libgda's API changes

2006-09-23  Vivien Malerba <malerba@gnome-db.org>
	
	* libgnomedb/gnome-db-data-widget-info.c: corrected a bug when the displayed 
	data model did not contain any row.
	* other: updated due to libgda's API changes

2006-09-15  Vivien Malerba <malerba@gnome-db.org>

	* gnomedb-sharp/DataStore.custom: replaces the DataProxy.custom file (Daniel Espinosa)
	* libgnomedb/data-entries/gnome-db-entry-combo.c: fixed a bug which lead to crashes
	* libgnomedb/gnome-db-raw-grid.c: when exporting data, propose to export selected data
	only
	* data/gnome-db-console*.png:
	* libgnomedb/gnome-db-stock.[ch]: added GNOME_DB_STOCK_SQL_CONSOLE

2006-09-10  Vivien Malerba <malerba@gnome-db.org>

	* gnomedb-sharp/: make GnomeDb# work (Daniel Espinosa)
	* libgnomedb/data-entries/plugins: added a new picture data entry, and added specifications
	for the data entry plugins which support optional features
	* testing/test-handlers.c: re-added plugins test page

2006-09-03  Vivien Malerba <malerba@gnome-db.org>

	Released 1.9.103 (AKA 2.0 Beta1).

2006-09-03  Vivien Malerba <malerba@gnome-db.org>

	* libgnomedb/gnome-db-plugin.h:
	* libgnomedb/data-entries/*
	* libgnomedb/gnome-db-tools.[ch]: re-implement the plugin feature for custom
	GnomeDbDataEntry widgets and GtkCellRenderer objects
	* libgnomedb/data-entries/*:
	* libgnomedb/gnome-db-data-entry.[hc]: added support to enable/disable user 
	editing of a GnomeDbDataEntry
	* testing/test-handlers.c: corrected test
	* doc/C: doc. update

2006-08-29  Vivien Malerba <malerba@gnome-db.org>

	* doc/C: doc. update

2006-08-29  Vivien Malerba <malerba@gnome-db.org>

	* libgnomedb/data-entries/gnome-db-data-entry-common-time.[ch]: new file
	to serve as a common class to other data entry widgets
	* s/IS_GNOME_DB_ENTRY/GNOME_DB_IS_ENTRY/g
	* libgnomedb/data-entries/gnome-db-entry-date.[ch]:
	* libgnomedb/data-entries/gnome-db-entry-timestamp.[hc]: new files
	* libgnomedb/testing/test-handlers.c: make it work again

2006-08-28  Vivien Malerba <malerba@gnome-db.org>
	
	* libgnomedb/gnome-db-dbms-update-viewer.c: discover what will get updated
	from the DBMS from the GdaDict object itself
	* other: updated due to libgda's API changes

2006-08-20  Vivien Malerba <malerba@gnome-db.org>

	* doc/C: doc update
	* libgnomedb/gnome-db-provider-selector.[ch]: added gnome_db_provider_selector_get_selected_provider_obj()
	* other files: minor modifications

2006-08-11  Vivien Malerba <malerba@gnome-db.org>

	* libgnomedb/gnome-db-data-widget-info.c: corrected a bug when all rows are 
	selected or no row is selected using the contextual menu
	* libgnomedb/gnome-db-server-operation.c: remove non used widgets when
	using a Glade loaded GUI

2006-08-10  Daniel Espinosa Ortiz <esodan@gmail.com>

	* libgnomedb/GObject: Most widgets modified in order to
	better use of GObject properties. It allows Glade3 to modify the most common
	properties using g_object_set function.
	* libgnomedb/Widgets: Better integreation with Glade3, by
	init the widgets in _init object's function, in order to see the totaly created
	widget when you use Glade3 to create a UI.
	* libgnomedb/gnome-db-selector.[ch]: the GnomeDbSelector widget now inherits
	GtkComboBox instead of GtkOptioMenu

2006-07-29  Vivien Malerba <malerba@gnome-db.org>

	* extra/gnome-db-browser.c: applied patch by Carlos Savoretti to add 
	DELETE query support

2006-07-29  Vivien Malerba <malerba@gnome-db.org>
	
	* libgnomedb/gnome-db-server-operation.c: various improvements
	* libgnomedb/gnome-db-combo.c: changed the behaviour of the 
	gnome_db_combo_set_model() method, documentation updates
	* po/POTFILES.in: added missing files to translate
	* testing/test-dyn-widgets.c: improved testing program for
	server operations testing
	* libgnomedb/gnome-db-login.[ch]: added gnome_db_login_get_enable_create_button()
	and gnome_db_login_get_show_dsn_selector()

2006-07-21  Vivien Malerba <malerba@gnome-db.org>

	* data/server_operation.glade: new file which contains the GUI used by the
	GnomeDbServerOperation widget
	* libgnomedb/gnome-db-server-operation.c: Major improvements in GUI rendering
	(now using glade file to specify GUIs)
	* other files: minor improvements

2006-07-14  Vivien Malerba <malerba@gnome-db.org>

	* libgnomedb/gnome-db-server-operation.[ch]: new GnomeDbServerOperation widget
	used to provide a default GUI for the GdaServerOperation object
	* various files: minor bug fixes an improvements

2006-06-17  Gintautas Miliauskas  <gintas@akl.lt>

	* configure.in: added "lt" to ALL_LINGUAS

2006-05-24  Vivien Malerba <malerba@gnome-db.org>
	
	* extra/gnome-db-browser.c: improvements from Carlos Savoretti
	* libgnomedb/gnome-db-raw-grid.c: fixed a bug when deleting several rows at once
	* libgnomedb/gnome-db-data-widget-info.c: fixed a bug when new rows have been inserted
	in the widget and not yet committed to the model
	* adaptations to libgda's API changes

2006-05-16  Vivien Malerba <malerba@gnome-db.org>

	* libgnomedb/gnome-db-raw-grid.c: display a warning if a query commit fails
	* examples/SampleApp/src/main.c: bug fixes
	
2006-05-10  Vivien Malerba <malerba@gnome-db.org>

	* examples/SampleApp/src/main.c: corrected data type names which were
	wrong after the removal of GdaValue in Libgda

2006-05-08  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in: ALL_LINGUAS in a single line.

2006-05-08  Vivien Malerba <malerba@gnome-db.org>

	* Modifications required by the GdaValue removal from libgda
	* extra/gnome-db-browser.c: quit if the requested DSN does not exist
	* extra/gnome-db-browser.c: quit if the user does not want to login
	* libgnomedb/gnome-db-login.c: make gnome_db_login_set_dsn() emit a
	warning if the DSN does not exist.
	* doc/C/Makefile.am: avoid to override HTML_DIR
	* s/occured/occurred/g

2006-04-22  Vivien Malerba <malerba@gnome-db.org>
	
	* control-center/dsn-properties-dialog.c: close the DSN properties
	dialog when the browser successfully has been opened
	* libgnomedb/gnome-db-basic-form.c:
	* libgnomedb/gnome-db-raw-grid.c: s/handler_plugin/entry_plugin/g

2006-04-18  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove obsolete entry for no_NO
	* po/no.po: And the translation

2006-04-04  Vivien Malerba <malerba@gnome-db.org>

	* testing/test-dyn-widgets.c: applied patch from Thomas Klausner to 
	fix bug #336982.
	* libgnomedb/gnome-db-data-import.[ch]: new widget to import data from
	a file (CSV or XML)
	* libgnomedb/gnome-db-data-widget-info.c: correctly handle data models
	for which the total number of rows is not known
	* testing/test-dyn-widgets.c: new test added
	* Adaptations to Libgda API changes

2006-03-24  Vivien Malerba <malerba@gnome-db.org>

	Released 1.9.102.

2006-03-24  Vivien Malerba <malerba@gnome-db.org>

	* examples/SampleApp/src/main.c: adapted to API changes
	* Other files: corrections to have a successful "make distcheck"

2006-03-18  Vivien Malerba <malerba@gnome-db.org>

	* libgnomedb/gnome-db-login.c: use the username and password provided
	by the DSN configuration if present.
	* other files: adaptations to Libgda's changes

2006-03-09  Chao-Hsiung Liao  <j_h_liau@yahoo.com.tw>

	* configure.in: Added "zh_HK" to ALL_LINGUAS.

2006-03-03  Vivien Malerba <malerba@gnome-db.org>
	
	* testing/TEST_sqlite.db: improved version with foreign key contraints.

2006-02-25  Vivien Malerba <malerba@gnome-db.org>

	* libgnomedb/gnome-db-stock.h: icon filenames corrections
	* libgnomedb/data-entries/gnome-db-entry-time.c: bug fixed on NULL values handling
	* other files: adaptations to the new gda_client_new() signature

2006-02-05  Vivien Malerba <malerba@gnome-db.org>

	* libgnomedb/gnome-db-data-store.c: small bug fixed
	* examples/SampleApp/src/main.c: SQL query corrected

2006-02-03  Vivien Malerba <malerba@gnome-db.org>

	* extra/gnome-db-browser.c: make the gnome-db-browser work again
	* libgnomedb/gnome-db-sql-console.c: bug fixed
	* libgnomedb/utility.[ch]: reworked utility function
	* libgnomedb/gnome-db-raw-grid.c, libgnomedb/gnome-db-raw-form.c: bug fixes, and
	improved the "editable" attributes of data entry areas.
	* libgnomedb/gnome-db-basic-form.[ch]: added gnome_db_basic_form_new_custom() to
	use a Glade generated layout within the form.
	* examples/SampleApp/src/main.c: improved example
	* small bug fixes

2006-01-29  Vivien Malerba <malerba@gnome-db.org>

	* examples/SALES.mysql.xml: update to the new DTD

2006-01-28  Vivien Malerba <malerba@gnome-db.org>

	* control-center/*: bug fixes
	* libgnomedb/gnome-db-data-widget-info.c: bug fixed when a NULL model is used
	in the GnomeDbDataWidget
	* libgnomedb/gnome-db-decl.h: don't re-define the TO_IMPLEMENT macro if it's
	already defined
	* libgnomedb/gnome-db-raw-grid.c: bug fixes
	
2006-01-25  Vivien Malerba <malerba@gnome-db.org>

	* examples/SampleApp/src: improved the example
	* libgnomedb/gnome-db-basic-form.c: improved entry label
	* libgnomedb/gnome-db-raw-grid.c: bug fixed on initial iter validity
	and small improvements
	* libgnomedb/gnome-db-raw-form.c: small improvement
	* libgnomedb/gnome-db-data-widget-info.c: now correctly display action buttons

2006-01-22  Vivien Malerba <malerba@gnome-db.org>

	* extra/gnome-db-verify-file.c: removed that file since libgda does
	the same better
	* libgnomedb/libgnomedb.h: removed the '#include <glib/gi18n-lib.h>'
	and header files not necessary
	* testing/test-dyn-widgets.c: code cleanups
	* examples/SampleApp/*: updated example (not quite yet working,
	though)
	* libgnomedb-2.0.pc.in: removed unexisting linking library
	* libgnomedb/data-entries/Makefile.am: corrected installation dir.
	* libgnomedb/*: bug fixes

2006-01-22  Thierry Moisan <thierryn@videotron.ca>

	Fixes #327798

	* libgnomedb/utility.c:
	* libgnomedb/data-entries/gnome-db-data-cell-renderer-textual.c:
	* libgnomedb/data-entries/gnome-db-entry-none.c: fixed grammar errors.

2006-01-18  Vivien Malerba <malerba@gnome-db.org>

	* libgnomedb/*: added a '#include <glib/gi18n-lib.h>' where required to compile
	* libgnomedb/gnome-db-raw-form.[ch]: new widget
	* libgnomedb/gnome-db-data-widget-info.[ch]: new widget
	* libgnomedb/gnome-db-grid.[ch]: re-write using GnomeDbRawGrid and GnomeDbDataWidgetInfo
	* libgnomedb/gnome-db-form.[ch]: re-write using GnomeDbRawForm and GnomeDbDataWidgetInfo
	* testing/test-dyn-widgets.c: added new tests
	* other files: bug fixes and small improvements
	
2006-01-15  Vivien Malerba <malerba@gnome-db.org>

	* libgnomedb/gnome-db-data-widget.[ch]: renamed gnome_db_data_widget_get_data() to 
	gnome_db_data_widget_get_current_data()
	* libgnomedb/gnome-db-raw-grid.[ch]: new widget
	* configure.in: corrected the version of libgda in HEAD had decreased (thanks
	to Murray Cumming)
	* other files: bug fixes
	
2006-01-13  Vivien Malerba <malerba@gnome-db.org>

	* testing/TEST_sqlite.db, testing/TEST_DICT_sqlite.xml: improved testing database with some data of
	  Dell's DVD Store Version 2 (DS2) licenced under the GPL
	* doc/C/libgnomedb-sections.txt: fixed a bug which prevented documentation generation
	* other files: various bug fixes

2006-01-11  Vivien Malerba <malerba@gnome-db.org>

	* Moved all the objects not depending on GTK+ to Libgda
	  API and ABI have been changed

2005-11-06  Rodrigo Moya <rodrigo@gnome-db.org>

	Pointed out by D Binderman <dcb314@hotmail.com>

	* libgnomedb/gnome-db-qf-agg.c (gnome_db_qf_agg_render_as_str):
	initialize pointers before using them.

	* libgnomedb/gnome-db-dict.c (xml_id_update_tree): removed useless
	g_assert.

	* libgnomedb/gnome-db-layout.c (init_super_layout): commented non
	working code.

2005-10-18  Vivien Malerba <malerba@gnome-db.org>

	* libgnomedb/gnome-db-model-wrapper.c,
	libgnomedb/gnome-db-result-set.c: applied patch by Juan Manuel Mouriz <jmouriz@gmail.com>
	to take into account the ranaming of GdaDataModelIface to
	GdaDataModelClass.

2005-10-13  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 1.9.100.

2005-10-03  Juan Manuel Mouriz <jmouriz@gmail.com>

	* configure.in: require libgda >= 1.9.99.

2005-09-26  Cygwin ports maintainer <yselkowitz@users.sourceforge.net>

	Fixes #314733
	
	* libgnomedb/Makefile.am:
	* glade/Makefile.am: added -no-undefined to LDFLAGS, needed for shared
	library linking on Cygwin.

2005-09-26  Rodrigo Moya <rodrigo@gnome-db.org>

	Fixes #313204
	
	* control-center/Makefile.am: install .desktop file in
	$(datadir)/applications.

2005-09-26  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 1.9.99.

2005-09-26  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-renderer.h:
	* libgnomedb/gnome-db-entity.h: removed gda-xql-* headers.

	* libgnomedb/gnome-db-condition.c (gnome_db_condition_render_as_xql):
	* libgnomedb/gnome-db-renderer.c (gnome_db_renderer_render_as_xql):
	* libgnomedb/gnome-db-qf-agg.c (gnome_db_qf_agg_render_as_xql):
	* libgnomedb/gnome-db-qf-all.c (gnome_db_qf_all_render_as_xql):
	* libgnomedb/gnome-db-qf-field.c (gnome_db_qf_field_render_as_xql):
	* libgnomedb/gnome-db-qf-func.c (gnome_db_qf_func_render_as_xql):
	* libgnomedb/gnome-db-qf-value.c (gnome_db_qf_value_render_as_xql):
	* libgnomedb/gnome-db-query.c (gnome_db_query_render_as_xql):
	* libgnomedb/gnome-db-table-field.c (gnome_db_table_field_render_as_xql):
	* libgnomedb/gnome-db-target.c (gnome_db_target_render_as_xql):
	removed functions, XQL interfaces no longer exist.

2005-09-25  Vivien Malerba <malerba@gnome-db.org>

	* all files: modifications required by the libgda API changes

2005-09-21  Vivien Malerba <malerba@gnome-db.org>

	* vfs/: removed
	* all files: modifications required by the libgda API changes

2005-09-08  Juan Manuel Mouriz <jmouriz@gmail.com>

	* examples/SampleApp/configure.in: use libgnomedb-2.0.

2005-09-05  Vivien Malerba <malerba@gnome-db.org>

	* libgnomedb/gnome-db-server-info.c: corrected the SQLite server information
	* extra/gnome-db-browser.c: added a SQL console from the menu
	* libgnomedb/gnome-db-grid.c: fixed a bug when no row was displayed and it stated rows
	"1 - 0 / 0" and now "0 - 0 / 0"
	* libgnomedb/gnome-db-selector.[ch]: added gnome_db_selector_expand_all() and
	gnome_db_selector_collapse_all().

2005-09-05  Iņaki Larraņaga  <dooteo@euskalgnu.org>

	* configure.in: Added "eu" to ALL_LINGUAS.

2005-08-22  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in: gda-sharp 2.3.90 does not exist!

2005-08-16  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in: depend on GTK#/gapi 2.3.90 or greater.

2005-08-14  Pawan Chitrakar  <pawan@nplinux.org>

	* configure.in: Added ne in ALL_LINGUAS

2005-08-12  Stanislav Brabec <sbrabec@suse.cz>

	* libgnomedb/gnome-db-server.c
	(gnome_db_server_declare_custom_data_type): added missing return
	statement.
	
	* extra/gnome-db-browser.c (open_connection): changed return type
	to void, the boolean return was not being returned/used.

2005-08-12  Stanislav Brabec <sbrabec@suse.cz>

	* libgnomedb/handlers/plugins/Makefile.am:
	* configure.in: plugins dir should be in $(libdir), as per FHS.

2005-08-12  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-data-entry.h: removed extra ')' in macro
	IS_GNOME_DB_DATA_ENTRY.

	* libgnomedb/gnome-db-server.c (gnome_db_server_get_object_func_handler):
	fixed argument type.

	* libgnomedb/sel-onetarget.c: removed prototype of non-existing function.
	Changed manager_is_represented_entity field in ModOneTargetData struct to
	be a simple gboolean, not a pointer.
	(real_sel_module_onetarget_new): fixed warning.

	* extra/gnome-db-browser.h: added missing header for 64bit build.

2005-08-11  Dan Winship  <danw@novell.com>

	* configure.in: add checks for mono/gtk-sharp/gda-sharp
	(AC_OUTPUT): add gnomedb-sharp stuff

	* Makefile.am (SUBDIRS): add gnomedb-sharp

	* gnomedb-sharp/*: C# bindings for libgnomedb, migrated from
	gtk-sharp, with the same caveats as the gda-sharp ones.

	* libgnomedb/*.h: Make some trivial stylistic tweaks to appease
	the gapi parser

2005-08-11  Rodrigo Moya <rodrigo@gnome-db.org>

	* extra/gnome-db-browser.c:
	* libgnomedb/gnome-db-constraint.c: added missing header.

	* libgnomedb/gnome-db-sql-console.c (run_sql_cmde): added missing NULL
	argument to g_strconcat call.

2005-08-10  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 1.3.91.

2005-08-10  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in: depend on libgda >= 1.3.90.

2005-08-07  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 1.3.90.

2005-08-06  Vivien Malerba <malerba@gnome-db.org>
	
	* extra/gnome-db-browser.c: fixed a bug when the connection could not be 
	opened
	* Adapted to libgda's API changes
	* libgnomedb/gnome-db-server.c: improved error reporting in 
	gnome_db_server_do_query_as_data_model()
	* libgnomedb/gnome-db-sql-console.c: improved command execution feedback
	* libgnomedb/gnome-db-util.c: code cleanups
	* libgnomedb/gnome-db-server-info.c: fixed a bug in the SQLite server information
	* libgnomedb/gnome-db-server.c: accept any type of query in
	gnome_db_server_do_query_as_data_model()
	* libgnomedb/utility.[ch]: added a utility_build_encoded_id() function which builds
	a string suitable to use in an XML ID attribute (as defined by the DTD), using a BASE64
	derivative algorithm
	* libgnomedb/*: change the gnome_db_xml_storage_get_xml_id() implementation of
	any object implementing that interface where the XML ID might have returned a non valid
	string
	* libgnomedb/gnome-db-server-function.[ch]: the gnome_db_server_function_get_dbms_id() does
	now return a new string instead of a "const gchar*"
	* libgnomedb/gnome-db-server-aggregate.[ch]: the gnome_db_server_aggregate_get_dbms_id() does
	now return a new string instead of a "const gchar*"
	* libgnomedb/libgnomedb-dict.dtd: changed "name" attributes from NMTOKEN to CDATA
	* libgnomedb/gnome-db-server-info.c: added a GnomeDbServerInfo structure for Oracle
	* libgnomedb/gnome-db-target.c: use server information to know if the "AS" keyword must be used
	when rendering target aliases as SQL.
	* libgnomedb/gnome-db-table.c: fixed a bug which caused that a NOT NULL constraint on a
	field would not be removed if required by a DBMS metadata sync.

	
2005-07-31  Vivien Malerba <malerba@gnome-db.org>

	* Adapted to libgda's API changes

2005-07-29  Vivien Malerba <malerba@gnome-db.org>

	* Adapted to libgda's API changes
	* Applied patch for bug #300082 (thanks to Kristof Vansant)
	* All files: fixed declarations of macros for the types of the
	  objects, don't follow a convention of GLib: G_TYPE_*
	  All the type declaration macros now start with GNOME_DB_TYPE_*
	  (suggested by Daniel Espinosa)

2005-07-15  Andreas Schwab <schwab@suse.de>

	* doc/C/libgnomedb.types: added missing header file.

2005-07-15  M Wood <mwood@IUPUI.Edu>

	Fixes #310396

	* libgnomedb/gnome-db-login-dialog.c: included missing gtknotebook.h.

2005-07-14  Vivien Malerba <malerba@gnome-db.org>

	* libgnomedb/handlers/gnome-db-handler-numerical.c: make that handler be able
	  to treat data of types: GDA_VALUE_TYPE_BIGUINT, GDA_VALUE_TYPE_SMALLUINT, 
	  GDA_VALUE_TYPE_TINYUINT and GDA_VALUE_TYPE_UINTEGER
	* libgnomedb/gnome-db-grid.[ch]: renamed the "create-popup-menu" signal
	  to "populate-popup" to be in sync with GTK's signal's name
	* libgnomedb/gnome-db-table-field.c: code cleanup, and added
	  gnome_db_table_field_set_attributes() and
	  gnome_db_table_field_get_attributes()
	* libgnomedb/gnome-db-table.c: make use of the extra attributes returned by the
	  GDA_CONNECTION_SCHEMA_FIELDS schema (when available)
	* libgnomedb/libgnomedb-dict.dtd: added the "extra_attr" attribute to the 
	  GNOME_DB_FIELD tag
	* extra/gnome-db-browser.c: added support for browsing through large data sets
	  by displaying only 300 rows at a time
	* libgnomedb/gnome-db-result-set.c: make use of the AUTO_INCREMENT table field's
	  attribute to propose a default (non specified) value to those fields upon
	  insertion.
	* libgnomedb/gnome-db-data-proxy.c: fixed a bug where the GNOME_DB_VALUE_DATA_NON_VALID
	  value attribute was never set

2005-07-10  Vivien Malerba <malerba@gnome-db.org>

	* libgnomedb/gnome-db-server.[ch]: removed gnome_db_server_stringify_value(),
	  replaced by gda_value_stringify ()
	* Adaptations to the GdaValue's internal changes (which now
	  uses GValue)
	
2005-07-08  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 1.3.4.

2005-07-08  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-form.h:
	* extra/gnome-db-browser.c: fixed includes.

2005-07-01  Vivien Malerba <malerba@gnome-db.org>
	
	* libgnomedb/gnome-db-data-set.[ch]: added
	gnome_db_data_set_find_parameter ()
	* libgnomedb/gnome-db-parameter.[ch]: added
	gnome_db_parameter_set_value_str ()
	* libgnomedb/handlers/gnome-db-handler-boolean.c: improved handler
	* libgnomedb/gnome-db-dsn-config.c: replaced the single DSN string with
	  a list of widgets to enter the exact required parameters to open a 
	  connection.
	* libgnomedb/gnome-db-dsn-spec.[ch]: new GnomeDbDsnSpec widget
	* doc/C: doc update

2005-07-01  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/handlers/plugins/gnome-db-entry-passmd5.h:
	* libgnomedb/handlers/plugins/gnome-db-entry-cidr.h: fixed
	included headers.

2005-07-01  Andreas Schwab <schwab@suse.de>

	* doc/C/libgnomedb.types: added missing headers.
	
	* libgnomedb/gnome-db-base.[ch]:
	* libgnomedb/gnome-db-basic-form.[ch]:
	* libgnomedb/gnome-db-condition.[ch]:
	* libgnomedb/gnome-db-constraint.[ch]:
	* libgnomedb/gnome-db-custom-layout.[ch]:
	* libgnomedb/gnome-db-data-entry.[ch]:
	* libgnomedb/gnome-db-data-handler.[ch]:
	* libgnomedb/gnome-db-data-proxy.[ch]:
	* libgnomedb/gnome-db-data-set.[ch]:
	* libgnomedb/gnome-db-database.[ch]:
	* libgnomedb/gnome-db-dbms-update-viewer.[ch]:
	* libgnomedb/gnome-db-dict.[ch]:
	* libgnomedb/gnome-db-form.[ch]:
	* libgnomedb/gnome-db-graphviz.[ch]:
	* libgnomedb/gnome-db-grid.[ch]:
	* libgnomedb/gnome-db-join.[ch]:
	* libgnomedb/gnome-db-layout.[ch]:
	* libgnomedb/gnome-db-matrix.[ch]:
	* libgnomedb/gnome-db-model-wrapper.[ch]:
	* libgnomedb/gnome-db-parameter.[ch]:
	* libgnomedb/gnome-db-qf-agg.[ch]:
	* libgnomedb/gnome-db-qf-all.[ch]:
	* libgnomedb/gnome-db-qf-field.[ch]:
	* libgnomedb/gnome-db-qf-func.[ch]:
	* libgnomedb/gnome-db-qf-value.[ch]:
	* libgnomedb/gnome-db-qfield.[ch]:
	* libgnomedb/gnome-db-query.[ch]:
	* libgnomedb/gnome-db-ref-base.[ch]:
	* libgnomedb/gnome-db-result-set.[ch]:
	* libgnomedb/gnome-db-selector.[ch]:
	* libgnomedb/gnome-db-server-aggregate.[ch]:
	* libgnomedb/gnome-db-server-data-type.[ch]:
	* libgnomedb/gnome-db-server-function.[ch]:
	* libgnomedb/gnome-db-server.[ch]:
	* libgnomedb/gnome-db-sql-console.[ch]:
	* libgnomedb/gnome-db-table-field.[ch]:
	* libgnomedb/gnome-db-table.[ch]:
	* libgnomedb/gnome-db-target.[ch]:
	* libgnomedb/gnome-db-wrapper-field.[ch]:
	* libgnomedb/graph/gnome-db-canvas-cursor.[ch]:
	* libgnomedb/graph/gnome-db-canvas-db-relations.[ch]:
	* libgnomedb/graph/gnome-db-canvas-entity.[ch]:
	* libgnomedb/graph/gnome-db-canvas-field.[ch]:
	* libgnomedb/graph/gnome-db-canvas-fkconstraint.[ch]:
	* libgnomedb/graph/gnome-db-canvas-item.[ch]:
	* libgnomedb/graph/gnome-db-canvas-join.[ch]:
	* libgnomedb/graph/gnome-db-canvas-query-struct.[ch]:
	* libgnomedb/graph/gnome-db-canvas-text.[ch]:
	* libgnomedb/graph/gnome-db-canvas-tip.[ch]:
	* libgnomedb/graph/gnome-db-canvas.[ch]:
	* libgnomedb/graph/gnome-db-graph-item.[ch]:
	* libgnomedb/graph/gnome-db-graph-query.[ch]:
	* libgnomedb/graph/gnome-db-graph.[ch]:
	* libgnomedb/handlers/gnome-db-entry-boolean.[ch]:
	* libgnomedb/handlers/gnome-db-entry-combo.[ch]:
	* libgnomedb/handlers/gnome-db-entry-none.[ch]:
	* libgnomedb/handlers/gnome-db-entry-shell.[ch]:
	* libgnomedb/handlers/gnome-db-entry-string.[ch]:
	* libgnomedb/handlers/gnome-db-entry-time.[ch]:
	* libgnomedb/handlers/gnome-db-entry-wrapper.[ch]:
	* libgnomedb/handlers/gnome-db-handler-boolean.[ch]:
	* libgnomedb/handlers/gnome-db-handler-none.[ch]:
	* libgnomedb/handlers/gnome-db-handler-numerical.[ch]:
	* libgnomedb/handlers/gnome-db-handler-string.[ch]:
	* libgnomedb/handlers/gnome-db-handler-time.[ch]:
	* libgnomedb/plugins/gnome-db-entry-cidr.[ch]:
	* libgnomedb/plugins/gnome-db-entry-filesel.[ch]:
	* libgnomedb/plugins/gnome-db-entry-passmd5.[ch]:
	* libgnomedb/plugins/gnome-db-entry-text.[ch]:
	* libgnomedb/plugins/gnome-db-handler-cidr.[ch]:
	* libgnomedb/plugins/gnome-db-handler-filesel.[ch]:
	* libgnomedb/plugins/gnome-db-handler-passmd5.[ch]:
	* libgnomedb/plugins/gnome-db-handler-text.[ch]: use GType for GObject
	types, not guint.

2005-06-26  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-qf-value.c (gnome_db_qf_value_restrict_with_field,
	gnome_db_qf_value_restrict_with_field_xml): these functions are declared
	in the header file, so make them not static.

2005-06-15  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in: require libgda-1.3.

	* Makefile.am: install libgnomedb-x.x.pc instead of libgnomedb.pc.

2005-06-06  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 1.3.3.

2005-06-02  Rodrigo Moya <rodrigo@gnome-db.org>

	* control-center/main.c: s/DeselectAll/ClearSelection.

2005-06-01  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 1.3.2.

2005-06-01  Vivien Malerba <malerba@gnome-db.org>

	* libgnomedb/gnome-db-data-set.[ch]: improved usage of XML spec
	* testing/test-dyn-widgets.c: added a test for XML spec usage
	* libgnomedb/gnome-db-basic-form.c: improved handling of data entry plugins
	  used for wrong data types
	* libgnomedb/handlers/plugins/gnome-db-handler-filesel.[ch], 
	  gnome-db-entry-filesel.[ch]: new files to implement a file chooser for
	  string data entry
	* libgnomedb/gnome-db-data-set.c: fixed a bug when integrating parameters
	  with sources in a GnomeDbDataModel
	* libgnomedb/gnome-db-base.c: added a "string_id" property
	* libgnomedb/gnome-db-combo.[ch]: removed unused "dict" argument in functions
	* libgnomedb/gnome-db-data-proxy.c: fixed a bug which prevented finding rows
	  if there were still some rows needing to be added by the idle loop.
	* libgnomedb/gnome-db-provider-selector.c: re-write to use the GnomeDbCombo
	  widget, and added gnome_db_provider_selector_get_selected_provider()
	* libgnomedb/gnome-db-basic-form.[ch]: added gnome_db_basic_form_get_data_set()
	* libgnomedb/gnome-db-parameter.c: bug fixed (make the parameter be valid by
	  default)

2005-05-27  Rodrigo Moya <rodrigo@gnome-db.org>

	* doc/C/Makefile.am: s/INCLUDES/GTKDOC_CFLAGS.

2005-05-14  Vivien Malerba <malerba@gnome-db.org>
	
	* minor bug fixes
	* libgnomedb/gnome-db-grid.c: implemented gnome_db_grid_foreach_selected()
	* libgnomedb/gnome-db-config.[ch]: removed files as they have become useless:
	  GConf usage to store data sources has been replaced by letting libgda handle
	  the modification and notification of changes itself. The GConf keys were
	  useless and induced cases of non synchronisation between libgda's config
	  files and GConf keys. Functions similar to the ones in these files exist
	  in the libgda API.
	* configure.in: removed the libgnomedb/gnome-db-config.[ch] files
	* libgnomedb/gnome-db-editor.c: bug fixes for GtkSourceView API
	* doc/C/* updates folowing API changes
	* libgnomedb/gnome-db-dsn-config.c: correctly handles system wide data sources
	  along with user permissions to modify them
	* control-center/dsn-properties-dialog.c: correctly handles system wide data 
	  sources
	* libgnomedb/gnome-db-data-set.[ch]: added gnome_db_data_set_new_from_spec()
	  and gnome_db_data_set_get_spec() which will make it possible to convert
	  a GnomeDbDataSet to and from an XML string

2005-04-23  Vivien Malerba <malerba@gnome-db.org>

	* libgnomedb/gnome-db-server-data-type.[ch]: added data type synonyms and
	  gnome_db_server_data_type_add_synonym(), 
	  gnome_db_server_data_type_get_synonyms() and
	  gnome_db_server_data_type_clear_synonyms()
	* libgnomedb/libgnomedb-dict.dtd: added a "synonyms" and a "custom" attribute
	  to the <GNOME_DB_DATATYPE> tag
	* libgnomedb/gnome-db-server.c: take into account data type synonyms
	* libgnomedb/gnome-db-table-field.c: make the object hold a reference
	  to its data type object.
	* libgnomedb/gnome-db-server.c: keep a separate list of data types not
	  part of the ones returned by the types schema (custom data types), 
	  and added a function to add new custom data types: 
	  gnome_db_server_declare_custom_data_type()
	* libgnomedb/gnome-db-query-parsing.c: bug fixes
	* libgnomedb/gnome-db-selector*, sel-onequery.c: fixed a bug when displaying
	  non active query fields
	* libgnomedb/gnome-db-sql-console.[ch]: new SQL console widget
	
2005-04-17  Vivien Malerba <malerba@gnome-db.org>

	* libgnomedb/: default values in INSERT statements are now omitted
	  instead of set to "DEFAULT", which suits better the MySQL DBMS.

2005-04-13  Vivien Malerba <malerba@gnome-db.org>
	
	* libgnomedb/gnome-db-server-info.c: added a specific entry to SQLite
	  provider
	* libgnomedb/gnome-db-table.c: bug fixed
	* Replaced libgnomedb/gnome-db-i18n.h with #include <glib/gi18n-lib.h> 
	  as suggested by Kristof Vansant
	* extra/gnome-db-browser.c: applied correction by Adam Weinberger
	  for bug #168937

2005-04-10  Vivien Malerba <malerba@gnome-db.org>

	* Removed bonobo dependencies
	* libgnomedb/gnome-db-qf-agg.c: fixed a bug which prevented using
	  aggregates while parsing SQL
	* libgnomedb/gnome-db-qfield.c: fixed a bug which prevented loading
	  XML files with queries using aggregates
	* libgnomedb/gnome-db-server-info.c: code readability improvements
	* libgnomedb/gnome-db-query.c: allow gnome_db_query_set_condition()
	  to be passed a NULL argument to unser any condition in the query
	* libgnomedb/gnome-db-window.[ch]: removed files
	* control-center/main.c: use GtkAboutDialog, not GnomeAbout
	* libgnomedb/handlers/gnome-db-handler-numerical.c: improved testing of
	  numerical values.
	* libgnomedb/gnome-db-qf-values.c: while loading from an XML description,
	  return an error if the actual value can't be interpreted.
	* libgnomedb/testing/test-provider-schemas.c: new test for providers' schemas

2005-04-02  Vivien Malerba <malerba@gnome-db.org>

	* libgnomedb/gnome-db-grid.c, libgnomedb/gnome-db-form.c: changed the 
	  style of the buttons toolbar to make a smaller toolbar 
	  (which is not really used as a toolbar).
	* libgnomedb/gnome-db-data-proxy.c: make loading of data be run in an 
	  idle loop to enhance GUI responsiveness
	* libgnomedb/gnome-db-data-proxy.c: added "chunks": where only a given 
	  number of rows of a data model are shown at a time.
	* libgnomedb/gnome-db-server.c: loading an XML file now returns an
	  error if the datasource can't be found
	* libgnomedb/gnome-db-server-info.c: removed the GDA_TYPE_NULL from the 
	  searched types.

2005-04-01  Steve Murphy  <murf@e-tools.com>

	* configure.in: Added "rw" to ALL_LINGUAS.

2005-03-25  Vivien Malerba <malerba@gnome-db.org>
	* libgnomedb/gnome-db-data-proxy.c: fixed several bugs when a data model 
	  refresh occured
	* libgnomedb/gnome-db-grid.c: enable the treeview to have a 
	  GTK_SELECTION_MULTIPLE, and re-added
	  right click to have a few actions (among which export data to a file)
	* libgnomedb/gnome-db-result-set.c: bug fixes
	* libgnomedb/libgnomedb/gnome-db-qf-agg.[ch]: added GnomeDbQfAgg object 
	  for aggregate query fields
	* libgnomedb/libgnomedb/gnome-db-query-parsing.c: added aggregates parsing
	* doc/: updates for the GnomeDbQfAgg object

2005-03-21  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 1.3.1.

2005-03-06  Vivien Malerba <malerba@gnome-db.org>

	* libgnomedb.pc.in: corrected library version number
	* various files: cleanups

2005-03-03  Álvaro Peņa  <alvaropg@telefonica.net>

	* *: Changed GdaDataModelColumnAttributes to GdaColumn

2005-03-01  Vivien Malerba <malerba@gnome-db.org>

	* Fixed bug #166529

2005-02-28  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in: changed translation domain.

	* libgnomedb/Makefile.am:
	* libgnomedb/graph/Makefile.am:
	* libgnomedb/handlers/Makefile.am:
	* libgnomedb/parser/Makefile.am: use libgnomedb*-3 for libraries.

	* control-center/Makefile.am:
	* doc/C/Makefile.am:
	* extra/Makefile.am:
	* testing/Makefile.am:
	* glade/Makefile.am: use new library names.

2005-02-27  Vivien Malerba <malerba@gnome-db.org>
	
	* libgnomedb/handlers/gnome-db-handler-time.c: date handling bug fixed
	* libgnomedb/gnome-db-result-set.c: column ordering and naming bug fixed
	* libgnomedb/*: bug fixes
	* examples/SampleApp: example as a stand-alone application built around
	  Glade-generated code
	* doc/C: added an example section with code explanations for the SampleApp
	  example

2005-02-20  Vivien Malerba <malerba@gnome-db.org>
	
	* libgnomedb/gnome-db-model-wrapper.c: fixes a bug where the columns order got
	  reversed in a GnomeDbGrid.
	* libgnomedb/gnome-db-grid.c: fixed a bug which prevented the title to be correctly displayed
	* libgnomedb/gnome-db-condition.c: fixed a SQL rendering bug
	* libgnomedb/gnome-db-result-set.c: the GnomeDbResultSet data model always contains the columns
	  of the SELECT query used when created as the first columns
	* various bug fixes and other small improvements

2005-02-11  Vivien Malerba <malerba@gnome-db.org>
	
	* make sure all the functions expecting a pointer to a GnomeDbDict object can be safely 
	  called with NULL to use the default libgnomedb dictionary
	* added an "Info button" for each GnomeDbGrid entry to be able to restore a 
	  modified value, set
	  it to NULL or set it to default if possible
	* utility.h: added a DataSetNodeInfo structure used in all libgnomedb when a parameter
	  needs to be chosen among a list of pre-defined values
	* corrected gnome-database-properties
	* improved the GnomeDbDataWidget interface and simplified the GnomeDbGrid object
	* general bug fixes

2005-02-07  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 1.3.0

2005-02-05  Vivien Malerba <malerba@gnome-db.org>

	Merged the libmergeant library (impacts files in libgnomedb/,
	testing/, doc/ and other directories; requires GTK+ >= 2.6.x

2004-12-28  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 1.2.0.

2004-12-28  Rodrigo Moya <rodrigo@gnome-db.org>

	* autogen.sh: changed to require automake >= 1.9.

	* configure.in: incremented library versions.

2004-10-28  David Hollis <dhollis@davehollis.com>

	* libgnomedb.spec.in: merged RH spec changes.

2004-10-11  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in: require libgda >= 1.1.99.

2004-10-10  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 1.1.99.

2004-10-10  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-util.c (gnome_db_new_file_entry_widget,
	gnome_db_select_file_dialog): use the new GTK file chooser when
	available.

2004-10-10  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb.pc.in:
	* libgnomedb/Makefile.am: install headers in versioned directories.

2004-10-10  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-dsn-config-druid.c (general_next_pressed_cb):
	adapted to changes in pproviders parameter lists. Also, removed all
	code related to USERNAME and PASSWORD parameters, which are no longer
	used in any provider.

2004-10-09  Vivien Malerba <malerba@gnome-db.org>
	
	* libgnomedb/gnome-db-editor.c: make sure the GtkSourceView is
	used when available.

2004-10-09  Daniel Baeyens <daniel.baeyens@hispalinux.es>

	* doc/C/Makefile.am, doc/C/tmpl/gnome-db-combo.sgml,
	  doc/C/tmpl/gnome-db-find-dialog.sgml,
	  doc/C/tmpl/gnome-db-gray-bar.sgml,
	  libgnomedb/gnome-db-combo.h,
	  libgnomedb/gnome-db-config.c, 
	  libgnomedb/gnome-db-connection-properties.c,
	  libgnomedb/gnome-db-control-widget.c,
	  libgnomedb/gnome-db-control.c,
	  libgnomedb/gnome-db-dsn-config-druid.c,
	  libgnomedb/gnome-db-dsn-config.c,
	  libgnomedb/gnome-db-error.c,
	  libgnomedb/gnome-db-form.c,
	  libgnomedb/gnome-db-gray-bar.c,
	  libgnomedb/gnome-db-gray-bar.h,
	  libgnomedb/gnome-db-grid.c,
	  libgnomedb/gnome-db-list.c,
	  libgnomedb/gnome-db-login-dialog.c,
	  libgnomedb/gnome-db-login.c,
	  libgnomedb/gnome-db-util.c,
	  libgnomedb/gnome-db-window.c: Changed to have 
	  documentation with .devhelp book (and no errors/warnings
	  when making)

2004-10-09  Julio M. Merino Vidal <jmmv@menta.net>

	Fixes #152230

	* Makefile.am: added --enable-gtk-doc to DISTCHECK_CONFIGURE_FLAGS.

	* configure.in: adapted to work with autoconf 2.59 and above.

	* libgnomedb/db-shell.c (command_about):
	* providers/evolution/gda-evolution-provider.c
	(gda_evolution_provider_get_version):
	* testing/test-dsn-selector.c (main):
	* testing/test-editor.c (main):
	* testing/test-grid.c (main):
	* vfs/libmain.c (vfs_module_init):
	* control-center/main.c (main): use PACKAGE_VERSION rather than VERSION.

2004-09-25  Gustavo R. Montesino <grmontesino@ig.com.br>

	Fixes #150791

	* libgnomedb/tables-page.c (tables_page_set_connection): unref the
	old connection, not the new one.

2004-09-22  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in: removed GNOME_COMPILE_WARNINGS macro.

2004-08-21  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Add Ŧnbŧ to ALL_LINGUAS.

2004-08-12  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 1.1.6.

2004-08-08  Gustavo R. Montesino <grmontesino@ig.com.br>

	Fixes #149609

	* libgnomedb/gnome-db-form.c (gnome_db_form_set_current_row): fixes
	for compilation with GCC 3.4.

2004-08-06  Daniel Espinosa Ortiz <esodan@yahoo.com.mx>

	* libgnomedb/gnome-db-util.c (gnome_db_option_menu_get_selection):
	get the current selection via gtk_menu_get_active().

2004-07-31  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-config.c (sync_from_gda): start sync from
	libgda's configuration with a clear GConf section.
	(sync_from_gda): if the key refers to a section, use that to
	remove the section.
	(gnome_db_config_remove_data_source): remove the section in the
	libgda configuration also.

	* control-center/dsn-config.c (dsn_config_delete): refresh the list
	after removing data sources.

2004-07-22  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 1.1.5.

2004-07-16  Rodrigo Moya <rodrigo@gnome-db.org>

	* Makefile.am: EXTRA_DIST mkinstalldirs

2004-06-07  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 1.1.4.

2004-06-07  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in: fixed gtk-doc checks.

	* doc/Makefile.am: make it output XML instead of SGML.

	* doc/C/libgnomedb-docs.sgml: converted to XML.

2004-06-06  Gustavo R. Montesino <ikki_gerrard@yahoo.com.br>

	* libgnomedb/gnome-db-find-dialog.[ch]: New widget to get a search
	field and a search text from the user.

2004-06-03  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in: removed obsolete GNOME_PLATFORM_GNOME_2 macro.

2004-06-01  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 1.1.3

2004-05-31  Jürg Billeter <j@bitron.ch>

	* libgnomedb/gnome-db-form.c: fixes for compilation with gcc 3.4.

2004-05-07  Vivien Malerba <malerba@gnome-db.org>

	* Added GnomeDb stock icons for relations

2004-04-26  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 1.1.2

2004-04-18  Rodrigo Moya <rodrigo@gnome-db.org>

	Fixes #139098

	* Makefile.am: only build documentation if gtk-doc is found.

2004-04-16  Adam Weinberger  <adamw@gnome.org>

	* configure.in: Added en_CA to ALL_LINGUAS.

2004-04-12  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-dsn-config-druid.c (general_next_pressed_cb):
	* libgnomedb/gnome-db-dsn-config.c (gnome_db_dsn_config_get_info):
	dont allow spaces on data source names.

2004-04-12  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb.spec.in: removed missing files.

2004-04-06  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-config.c (gnome_db_config_remove_section): use
	gconf_client_recursive_unset to remove all traces of the section.

2004-04-06  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-grid.[ch] (gnome_db_grid_select_row): new
	function.

2004-04-04  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-data-source-selector.c (show_data_sources):
	re-added removed (?) code to show all data sources.

	* configure.in: require libgda >= 1.1.1.

2004-04-02  Gareth Owen  <gowen72@yahoo.com>

	* configure.in: Added en_GB to ALL_LINGUAS

2004-04-02  Leonardo Boshell <p@kapcoweb.com>

	* doc/C/Makefile.am: added fdl-appendix.sgml to $content_files.

2004-04-02  Stephane LOEUILLET <bugs@leroutier.net>

	Fixes #138197

	* libgnomedb/gnome-db-grid.c:
	* libgnomedb/gnome-db-error-dialog.c: fixed gtk-doc comments.

2004-04-01  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 1.1.1

2004-03-17  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-dsn-config-druid.c (general_next_pressed_cb):
	s/gda_config_free_provider_info/gda_provider_info_free.

	* libgnomedb/gnome-db-stock.c: removed non-existant header.

2004-03-11  Julio M. Merino Vidal <jmmv@menta.net>

	Fixes #136886

	* control-center/database-properties.desktop.in: use full path for
	desktop entry icon.

2004-03-09  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-util.c (gnome_db_option_menu_set_selection):
	make sure the menu is valid before using it.

2004-03-08  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-config.c: removed non-installed header files
	from libgda.

2004-02-16  Laurent Sansonetti <lrz@gnome.org>

	Fixes #130730

	* libgnome/gnome-db-config.c: Added missing implementation for 
	gnome_db_config_get_component_data_model ().

	Fixes #131365

	* libgnomedb/gnome-db-data-source-selector.c (show_data_sources):
	Calls gnome_db_option_menu_set_selection () with a valid parameter.

2004-02-09  Yomasz Kģoczko <kloczek@pld.org.pl>

	* configure.in: Trivial cleanup: remove AC_SUBST(CFLAGS),
	  AC_SUBST(CPPFLAGS) and AC_SUBST(LDFLAGS). This variables are
	  substed by default.

2004-02-07  Robert Sedak  <robert.sedak@sk.htnet.hr>

	* configure.in: Added "hr" (Croatian) to ALL_LINGUAS.

2004-01-25  Rodrigo Moya <rodrigo@gnome-db.org>

	* providers/evolution/gda-calendar-model.[ch]
	(gda_calendar_model_new): added a GdaConnection argument.
	(gda_calendar_model_is_updatable): call e_cal_is_read_only to
	know if the calendar source can be updated or not.
	(gda_calendar_model_class_init): s/is_editable/is_updatable.

2004-01-25  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-combo.h: fixed parameter name mismatch.

2004-01-24  Rodrigo Moya <rodrigo@gnome-db.org>

	* providers/evolution/gda-calendar-model.[ch]:
	* providers/evolution/gda-evolution-connection.[ch]:
	adapted to evolution-data-server's API.

	* providers/evolution/Makefile.am: added missing compilation
	and linking flags.

	* configure.in: added missing code to get the Evolution version.

2004-01-24  Rodrigo Moya <rodrigo@gnome-db.org>

	* providers/evolution/*: merged gda-evolution module.

	* providers/Makefile.am:
	* configure.in: added new directories to build.

2004-01-17  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-grid.c (gnome_db_grid_set_column_title): use
	gda_data_model_get_n_columns to get the number of columns.

2004-01-16  Jon Willeke <willeke@users.sourceforge.net>

	* libgnomedb/gnome-db-list.c (gnome_db_list_new_with_model): allow
	NULL models to be passed, in which case we create an empty list.

2004-01-16  Philippe Charlier <p.charlier@chello.be>

	* libgnomedb/gnome-db-grid.[ch] (gnome_db_grid_set_column_visible,
	gnome_db_grid_get_column_visible): new API functions.

2004-01-15  Jon Willeke <willeke@users.sourceforge.net>

	* libgnomedb/gnome-db-form.c: use a grid instead of a list.

2004.01-13  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-data-source-selector.h: fixed argument name that
	was leading to confusion.

2004-01-12  J.H.M. Dassen (Ray) <jdassen@debian.org>

	* libgnomedb/gnome-db-login-dialog.c: Declare gnome_db_stock_init to
	fix "implicit declaration" warning.
	* testing/test-grid.c: #include <libgnomedb/libgnomedb.h> to fix
	several "implicit declaration" warnings.

2004-01-10  Rodrigo Moya <rodrigo@gnome-db.org>

	Fixes #131113

	* glade/glade-gnomedb.c: added missing header.

2004-01-07  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-model.c: re-enabled the search feature in
	GtkTreeView's.

2004-01-06  Stephane Wirtel <stephane.wirtel@brutele.be>

	* libgnomedb/libgnomedb.c: add some commentaries.

2004-01-05  Laurent Sansonetti <lrz@gnome.org>

	* control-center/database-properties.desktop.in:
	* control-center/main.c:
	Set gnome-database-properties main menu's entry & window's title
	to 'Database Access Properties'.

2004-01-04  Laurent Sansonetti <lrz@gnome.org>

	* libgnomedb/gnome-db-grid.c (gnome_db_grid_show_column,
	  gnome_db_grid_hide_column): Removed obsolete implementation
	  since they are defined as macros in gnome-db-grid.h.

2004-01-04  Laurent Sansonetti <lrz@gnome.org>

	* control-center/database-capplet.[ch]:
	- Moved DSN_PAGE & DSN_PROVIDER macros from .c to .h ;
	- Added new capplet functions (database_capplet_select_all, 
	  database_capplet_deselect_all, database_capplet_has_selection,
	  database_capplet_switch).

	* control-center/dsn-config.[ch]:
	- Added new items in the popup menu (properties & delete) ;
	- Display a HIG confirmation alert before removing data sources ;
	- Added new functions (dsn_config_select_all, dsn_config_unselect_all,
	  dsn_config_has_selection).

	* control-center/dsn-properties-dialog.c:
	- Introduced instant-apply, with a revert button ;
	- Capitalized dialog's title ; 
	- Removed separator and fixed border width ;
	- Set the first notebook page title to "Basic" instead of DS's name.

	* control-center/main.c:
	- Menu items are auto-sensitive, according to the current selected
	  tab (data source or provider) ;
	- Follows db-shell changes.
	
	* control-center/provider-config.[ch]:
	- Fixed a typo (missing final dot) in the tip ;
	- Added new functions (provider_config_select_all,
	  provider_config_unselect_all, provider_config_has_selection).

	* libgnomedb/db-shell.[ch]:
	- Added myself to the about dialog ;
	- Introduced DEFINE_VERB_CB & DEFINE_LIST_CB to define verbs and
	  listeners callbacks ;
	- Added and fixed verbs/listeners following db-shell.xml changes ;
	- Introduced DbShellCallbacks structure (which contains pointers to all
	  all callbacks) ;
	- db_shell_new uses DbShellCallbacks instead of passing each callback
	  pointer as a parameter.

	* libgnomedb/db-shell.xml:
	- Added commands for each sub-menu (Database, Edit and View) ;
	- Added 'View/Data Source' and 'View/Providers' ;
	- Added 'Edit/Select All' and 'Edit/Clear Selection' ;
	- Renamed 'Database/New' to 'Database/New Data Source' ;
	- Moved 'Properties' from 'Edit' to 'Database' ;
	- Fixed accelerators according to HIG ;
	- Removed 'Settings'.

	* libgnomedb/gnome-db-dsn-config-druid.c:
	- Added mnemonics for UI elements ;
	- Fixed missing final dots in some labels.
	
	* libgnomedb/gnome-db-dsn-config.c:
	- Added mnemonics for UI elements ;
	- Fixed packing settings to make the widget expandable.

	* libgnomedb/gnome-db-grid.[ch]:
	- Display a HIG confirmation alert before overwritting file, when
	  saving the model's content ;
	- HIG'ied the saving model dialog box ;
	- Replaced 'Hide/Show columns' popup menu items with a check menu
	  item named 'Show Column Titles' ;
	- Added separators in the popup menu ;
	- Added new functions (gnome_db_grid_[set|get]_column_titles_visible)
	  and shortcuts (gnome_db_grid_[show|hide]_column_titles).

	* libgnomedb/gnome-db-util.[ch]:
	- Created labels support mnemonics ;
	- Added a new function (gnome_db_new_alert) to build HIG alerts and
	  re-implemented existing functions (gnome_db_show_error, 
	  gnome_db_show_message) to use it ;
	- Added new functions (gnome_db_new_menu_item, 
	  gnome_db_new_check_menu_item) ;
	- Removed function gnome_db_yes_no_dialog.

2004-01-03  Rodrigo Moya <rodrigo@gnome-db.org>

	* Makefile.am:
	* configure.in:
	* components/*:
	* monikers/*: removed obsolete stuff.

2003-12-17  Stephane Wirtel <stephane.wirtel@brutele.be>

	* libgnomedb/gnome-db-combo.[ch] (gnome_db_combo_get_model, 
	gnome_db_combo_get_column): new API functions.
	
2003-12-17  Stephane Wirtel <stephane.wirtel@brutele.be>

	* libgnomedb/gnome-db-grid.c (tree_view_row_activated_cb,
	popup_button_pressed_cb): add a cast GTK_TREE_VIEW, G_CALLBACK,
	and change g_return_if_fail to g_return_val_if_fail in
	popup_button_pressed_cb.

2003-12-17  Stephane Wirtel <stephane.wirtel@brutele.be>

	* libgnomedb/utils.c (client_notification_cb): add a cast (
	GList * ), and add a 'break' in the 'default' section of the
	switch.

	* libgnomedb/sql-viewer.c (sql_viewer_init): fixed warning.

	* libgnomedb/gnome-db-combo.c (gnome_db_combo_new_with_model):
	new API function.

2003-12-17  Stephane Wirtel <stephane.wirtel@brutele.be>

	* libgnomedb/gnome-db-grid.c (tree_view_row_activated_cb, 
	popup_button_pressed_cb): add a cast GTK_TREE_VIEW, G_CALLBACK, 
	and change g_return_if_fail to g_return_val_if_fail in 
	popup_button_pressed_cb.
	
2003-12-17  Stephane Wirtel <stephane.wirtel@brutele.be>

	* libgnomedb/gnome-db-grid.[ch] (gnome_db_grid_get_column_title,
	gnome_db_grid_set_column_title): new API functions.

2003-12-11  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-grid.[ch] (gnome_db_grid_hide_column,
	gnome_db_grid_show_column): new functions to hide/show columns.

2003-12-09  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-grid.c (selection_foreach): removed extra
	condition that prevented the signal to be emitted for all rows
	except the first one.

2003-12-07  Marius Andreiana <marius galuna ro>

	* libgnomedb/gnome-db-model.c (sort_values): use gda_value_compare
	to compare the values.

2003-11-30  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/db-shell.c (db_shell_new): set the icon for the window.

2003-11-30  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-list.[ch] (gnome_db_list_get_selection):
	new function.

	* libgnomedb/tables-page.c: reorganized to display the list of tables
	and the data of the currently selected one.
	(grid_row_selected_cb): display the data of the currently selected
	table in the data grid.
	(grid_selection_cleated_cb): clear the data grid.
	(tables_page_new): don't add a 'Data' button, since we display the
	data now directly, create the data grid, and made the tables grid be
	a simple list.
	(view_data_cb): remove callback for removed button.

2003-11-28  Gonzalo Paniagua Javier <gonzalo@gnome-db.org>

	* libgnomedb/gnome-db-combo.c:
	(gnome_db_combo_set_model): bind the model to the combobox.

2003-11-28  Gonzalo Paniagua Javier <gonzalo@gnome-db.org>

	* libgnomedb/gnome-db-combo.c: implemented gnome_db_combo_set_model.

2003-11-24  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 1.1.0

2003-11-24  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/db-shell.c:
	* libgnomedb/db-shell.xml: use 'Database' instead of 'File' for the
	menu bar, since we don't deal with files.

2003-11-14  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* components/main.c:
	* glade/glade-gnomedb.c:
	* libgnomedb/gnome-db-grid.c:
	* libgnomedb/gnome-db-login-dialog.c:
	* libgnomedb/gnome-db-login.c:
	* libgnomedb/utils.c:
	Add missing header includes.

	* monikers/Makefile.am:
	Use libdir instead of prefix/lib.

2003-10-28  Laurent Sansonetti <laurent@datarescue.be> 

	* libgnomedb/gnome-db-dsn-config-druid.c (general_next_pressed_cb):
	dont create a new dsn if an existing one has the same name.

2003-10-12  Rodrigo Moya <rodrigo@gnome-db.org>

	Fixes #123173

	* configure.in: use gtksourceview-1.0 instead of gtksourceview.

	* libgnomedb/gnome-db-editor.c: adapted to latest version of
	gtksourceview.
	(gnome_db_editor_load_from_file): use GtkTextBuffer functions
	instead of non-existent GtkSouceBuffer functions.
	(configuration_changed_cb, gnome_db_editor_init):
	s/gtk_source_view_set_tab_stop/gtk_source_view_set_tabs_width.
	(create_tags_for_sql): disabled missing calls.
	
2003-10-11  Rodrigo Moya <rodrigo@gnome-db.org>

	* control-center/dsn-config.c (dsn_config_new):
	* control-center/provider-config.c (provider_config_new): dont
	hard-code colors for text, use the default.

	* libgnomedb/gnome-db-gray-bar.c (gnome_db_gray_bar_finalize): dont
	g_free the GtkWidget's.

2003-09-25  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-editor.c:
	* configure.in: depend on gtksourceview-1.0.

2003-09-19  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-util.[ch] (gnome_db_option_menu_add_stock_item):
	new function.

2003-09-19  Álvaro Peņa  <apg@esware.com>

	* libgnomedb/gnome-db-gray-bar.c (gnome_db_gray_bar_style_set):
	Fill the background with the current gtk style color.
	* libgnomedb/gnome-db-login-dialog.c (gnome_db_login_dialog_init):
	Labels can't be selected
	* libgnomedb/gnome-db-login.c (gnome_db_login_construct): Labels
	can't be selected

2003-09-18  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in: bumped so version number.

	* libgnomedb/gnome-db-util.[ch] (gnome_db_option_menu_add_item):
	changed to return the menu item just added.

2003-09-13  Akira TAGOH <tagoh@gnome-db.org>

	* configure.in: don't output
	  components/GNOME_Database_Components.server.in.

	* components/GNOME_Database_Components.server.in.in: fixed the
	  hardcoded location. (#122108)

	* components/Makefile.am: fixed to generate .sever.in file.

2003-09-03  Rodrigo Moya <rodrigo@gnome-db.org>

	Fixes #121312

	* control-center/dsn-properties-dialog.c (notebook_switch_page_cb):
	fixed duplicated variable names.

2003-08-27  Daniel Baeyens <daniel.baeyens@hispalinux.es>

	* libgnomedb/libgnomedb.h: removed WITH_GNOME_BUILD define and
	sorted all the includes. Removed gnome-db-window.h reference to
	avoid external access.

	* control-center/main.c:	
	testing/test-dsn-selector.c:
	testing/test-editor.c: included	"../libgnomedb/gnome-db-window.h"

	* glade/glade-gnomedb.c: removed gnome-db-window registration

2003-08-25  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-grid.[ch] (gnome_db_grid_set_show_title_icon):
	(gnome_db_grid_get_show_title_icon): renamed.

	* control-center/dsn-config.c (dsn_config_new):
	* control-center/provider-config.c (provider_config_new): set the
	icon for the title bar on each page.

2003-08-24  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/utils.[ch] (db_connect_dialog_for_dsn): new function.

	* control-center/dsn-properties-dialog.c (notebook_switch_page_cb):
	use the new db_connect_dialog_for_dsn() function.

2003-08-21  Daniel Baeyens <daniel.baeyens@hispalinux.es>

	* libgnomedb/Makefile.am: gnome-db-query-builder.c added to be build.

	* libgnomedb/gnome-db-query-builder.c: Added a missing include.
	
2003-08-16  Ãlvaro PeÃąa <apg@esware.com>

	* libgnomedb/gnome-db-gray-bar.[ch]: Now is a GtkBin, added
	an icon on the left side of the text.

	* libgnomedb/gnome-db-grid.[ch]: Added functions to manage
	the icon.
	
2003-08-06  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 0.91.0

2003-07-26  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/table-properties-dialog.[ch]: implemented dialog
	for displaying table properties.

	* libgnomedb/tables-page.c (tables_page_new): create the toolbar.
	(grid_row_selected_cb): enable buttons when rows are selected.
	(grid_selection_cleared_cb): disable buttons.
	(view_properties_cb, view_data_cb): callbacks for toolbar buttons.

2003-07-16  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/tables-page.[ch] (tables_page_new): removed
	useless parameter.
	(tables_page_set_connection): new function.

	* control-center/dsn-properties-dialog.c (dsn_properties_dialog):
	connect to "switch-page" signal on the notebook.
	(notebook_switch_page_cb): if trying to switch to a tab other than
	the first one, open a connection dialog.

2003-07-13  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in: increased minor version number.

2003-07-13  Daniel Baeyens <daniel.baeyens@eresmas.net>

	* libgnomedb/gnome-db-editor.[ch] (gnome_db_editor_get_editable): new
	function.

2003-07-11  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-gray-bar.c (gnome_db_gray_bar_get_property):
	call gnome_db_gray_bar_get_text instead of getting the text from
	the label.

2003-07-10  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-gray-bar.c: added 'real_text' field to keep
	track of the real text (without markup) for the label.
	(gnome_db_gray_bar_init): initialize new field.
	(gnome_db_gray_bar_finalize): free new field.
	(gnome_db_gray_bar_set_text): assign the real text string to the
	real_text field.
	(gnome_db_gray_bar_get_text): new function.

	* libgnomedb/gnome-db-gray-bar.h: added new function prototype.

	* doc/C/*: updated.

	* configure.in: increased minor version number.

2003-07-07  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-dsn-config.[ch]: added "changed" signal.

	* control-center/dsn-properties-dialog.[ch]: implementation of the
	dialog for data source properties configuration.

	* control-center/dsn-config.c (dsn_config_edit_properties): don't
	create such a simple dialog, create a dsn_properties_dialog.
	(list_double_clicked_cb): new callback.

	* components/utils.[ch]:
	* components/Makefile.am: moved utility functions...

	* libgnomedb/utils.[ch]:
	* libgnomedb/Makefile.am: ...to here.

	* libgnomedb/tables-page.[ch]: new widget that provides a nice UI for
	managing tables.

2003-07-06  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/db-shell.c (command_edit_properties): implemented missing
	function.

	* control-center/dsn-config.[ch] (dsn_config_edit_properties,
	  dsn_config_delete): new functions.

	* control-center/database-capplet.[ch]
	(database_capplet_edit_properties, database_capplet_delete): new
	functions.

	* control-center/main.c (edit_properties_cb): new callback.

2003-07-06  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-query-builder.[ch]: new widget for visually
	building SQL queries.

	* libgnomedb/libgnomedb.h:
	* libgnomedb/Makefile.am: added new file.

	* doc/C/libgnomedb-docs.sgml:
	* doc/C/tmpl/gnome-db-query-builder.sgml: added docs for new widget.

	* libgnomedb/db-shell.[ch]: s/DbShellFileNewFunc/DbShellCallbackFunc.
	(db_shell_new): added new argument for specifying the callback to be
	used to answer to the 'Edit Preferences' menu item
	(command_edit_properties): new verb callback function.
	(sensitize_ui): take into account the new menu items.

	* libgnomedb/db-shell.xml: added new menu items.

	* control-center/provider-config.c (provider_config_new): removed
	button box.
	(refresh_list_cb): removed unused callbacks.

	* control-center/dsn-config.c (dsn_config_new): removed buttons.
	(test_dsn_cb): removed unused callback.

	* control-center/main.c (create_main_window): adapted to DBShell changes.
	(edit_properties_cb): implementation for Edit->Properties.

	* components/connection-mime-handler.c (listener_event_cb):
	* components/sql-mime-handler.c (listener_event_cb): adapted to
	DBShell changes.

2003-07-05  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-util.c (gnome_db_new_table_widget): HIG-ified
	GtkTable creation.

	* libgnomedb/gnome-db-dsn-config.c (gnome_db_dsn_config_init):
	HIG-ified.
	(foreach_edit_cb): HIG-ified data source properties dialog.

	* libgnomedb/gnome-db-login.c (gnome_db_login_construct):
	* control-center/provider-config.c (provider_config_new):
	* control-center/dsn-config.c (dsn_config_new): removed unneeded code.

2003-07-04  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/db-shell.xml: added 'Save Connection' and 'New...' menu
	items.

	* libgnomedb/db-shell.c (db_shell_new): associate, with
	g_object_set_data, the private structure to the widget.
	(sensitize_ui): new function for enabling/disabling the different
	menu items. Added new arguments to specify callbacks for the Bonobo
	verbs.
	(command_save_connection): implemented new menu item.
	(command_new): implemented new menu item.

	* control-center/main.c (create_main_window): renamed, since now it
	creates a window, not a dialog.
	(window_closed_cb): callback for the "close" signal on the DbShell.
	(file_new_cb): implemented the 'New datasource' here.

	* control-center/dsn-config.c (new_dsn_cb): removed.

	* components/sql-mime-handler.c (listener_event_cb):
	* components/connection-mime-handler.c (listener_event_cb): adapted to
	changes in DbShell widget API.

2003-07-04  Rodrigo Moya <rodrigo@gnome-db.org>

	* components/utils.c (db_connect_dialog): use a GnomeDbLoginDialog
	instead of the custom-made dialog.

2003-07-04  Rodrigo Moya <rodrigo@gnome-db.org>

	* components/Makefile.am:
	* components/db-shell.[ch]:
	* components/gnome-components-shell.xml:
	* components/sql-viewer.[ch]: moved DbShell and SqlViewer...

	* libgnomedb/Makefile.am:
	* libgnomedb/db-shell.[ch]:
	* libgnomedb/db-shell.xml:
	* libgnomedb/sql-viewer.[ch]: ...to here.

	* components/sql-mime-handler.c:
	* components/connection-mime-handler.c: updated header files.

2003-07-04  Rodrigo Moya <rodrigo@gnome-db.org>

	Fixes #108023

	* libgnomedb/gnome-db-dsn-config-druid.c (general_next_pressed_cb):
	added check for invalid characters in the data source name.

2003-07-04  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/Makefile.am: removed gnome-db-window.h from the
	installed headers.

	* control-center/dsn-config.c (test_dsn_cb): use a GnomeDbLoginDialog
	instead of a custom-made dialog.

2003-07-04  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-login.c (gnome_db_login_construct): create a
	hidden button to start the data source configuration dialog.
	(gnome_db_login_set_enable_create_button): new function.
	(add_dsn_cb): callback for the 'Create datasource' button, where we
	create a dialog with a GnomeDbDsnConfigDruid on it.
	(druid_finished_cb): when the druid is done, save the data source.

	* libgnomedb/gnome-db-login-dialog.c (gnome_db_login_dialog_init): set
	the login widget to display the 'Create datasource' button always.

	* libgnomedb/gnome-db-data-source-selector.c
	(gnome_db_data_source_selector_init): set up a listener for
	configuration changes.
	(config_changed_cb): callback for listening for config changes.
	(gnome_db_data_source_selector_finalize): unset the config listener.

	* control-center/dsn-config.c: added a listener for configuration.
	(free_private_data): remove the configuration listener.
	(druid_finished_cb, foreach_edit_cb, foreach_remove_cb): don't call
	show_data_sources, since we'll get automatic notification for each
	change in the configuration.
	(dsn_config_new): don't create the 'Refresh' button.
	(refresh_list_cb): removed.
	(dsn_config_new): set up config listener here.
	(config_changed_cb): callback for configuration changes.

2003-07-04  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in:
	* Makefile.am: removed VFS module from the build.

2003-07-04  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-login.[ch] (gnome_db_login_set_dsn): new
	function.

	* doc/C/tmpl/*: updated documentation from the source code.

	* configure.in: increased minor version number.

2003-07-03  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 0.90.0

2003-06-30  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-login-dialog.[ch]
	(gnome_db_login_dialog_get_login_widget): new function.

2003-06-22  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-error.c (gnome_db_error_init): HIG-ify error
	widget, by removing the frame on the details area.

	* components/connection-mime-handler.c (listener_event_cb):
	* components/sql-mime-handler.c (listener_event_cb): unref the
	BonoboListener if no connections are open.

2003-06-22  Rodrigo Moya <rodrigo@gnome-db.org>

	* components/sql-viewer.c (sql_viewer_init): use a VPaned widget to
	contain the SQL editor and the grid.

	* components/gnome-components-shell.xml: added more UI items.
	
	* components/db-shell.c (command_preferences): implemented new verbs.

2003-06-20  Rodrigo Moya <rodrigo@gnome-db.org>

	* components/sql-viewer.[ch]: re-worked to be a widget.

	* components/sql-mime-handler.[ch]: added MIME actions component for
	SQL files.

	* components/main.c: dont use the SQL viewer component, but the SQL
	MIME handler component.

	* components/connection-mime-handler.c: moved generic database
	connection/management functions to utils.c.
	(listener_event_cb): don't leak the connection.
	
	* components/utils.[ch]: generic database functions moved from
	connection-mime-handler.c.
	
	* components/GNOME_Database_Components.server.in.in: updated
	components' information.

	* components/Makefile.am: updated file list.

2003-06-13  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "ml" in ALL_LINGUAS.

2003-06-12  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-config.c (gnome_db_config_get_listener):
	preload one level if GCong keys when monitoring directories.

2003-06-12  Adam Williams <adam@morrison-ind.com>

	* libgnomedb.spec.in: added all libglade module files, to avoid
	unpackaged files errors.

2003-06-12  Rodrigo Moya <rodrigo@gnome-db.org>

	Fixes #114830

	* libgnomedb/gnome-db-error-dialog.c (gnome_db_error_dialog_new): use
	gtk_window_set_icon instead of gtk_window_set_icon_from_file, to
	remove dependency on GTK+ 2.2.x.

	* libgnomedb/gnome-db-grid.c (menu_describe_cb, menu_save_as_cb,
	menu_view_detail_cb): ditto.

	* libgnomedb/gnome-db-login-dialog.c (gnome_db_login_dialog_new):
	ditto.

	* configure.in: depend again on GTK+ >= 2.0.0.

2003-06-12  Rodrigo Moya <rodrigo@gnome-db.org>

	* components/connection-mime-handler.c (listener_event_cb): set a list
	of open windows on the listener.
	(window_closed_cb): and unref the listener when no more windows are
	left.
	(client_notification_cb): added client event management callback.
	(db_connect_dialog): connected to GdaClient's "event_notification"
	signal. Also, use the username and password from the connection
	dialog, not from the connection file.

2003-06-11  Rodrigo Moya <rodrigo@gnome-db.org>

	* components/db-shell.[ch]: implementation of generic DB shell window.

	* components/connection-mime-handler.c (db_connect_dialog): added code
	to actually open the connection to the database.

	* components/gnome-components-shell.xml: added UI file.

	* components/Makefile.am: added new files.

2003-06-11  Rodrigo Moya <rodrigo@gnome-db.org>

	Fixes #114830

	* configure.in: require gtk+ >= 2.2.0.

2003-06-09  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-login.[ch] (gnome_db_login_set_username):
	(gnome_db_login_set_password): new functions.

	* components/connection-viewer.[ch]: removed non-working component.

	* components/connection-mime-handler.[ch]: added MIME activation
	plugin for .connection files (defined in libgda).

	* components/main.c (factory_callback): create a ConnectionMimeHandler
	instead of a ConnectionViewer component.

	* components/GNOME_Database_Components.server.in:
	* components/Makefile.am: updated.

2003-06-08  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 0.12.1

2003-06-03  Rodrigo Moya <rodrigo@gnome-db.org>

	* control-center/provider-config.c (show_providers): s/Provider/Name,
	to avoid so many duplicates.

2003-06-03  Rodrigo Moya <rodrigo@gnome-db.org>

	Fixes #114205

	* configure.in: bumped soname version correctly.

2003-06-02  Rodrigo Moya <rodrigo@gnome-db.org>

	* control-center/dsn-config.c (show_data_sources): s/Data source/Name,
	since there are too many 'Data sources' in the dialog.

	* glade/Makefile.am: added missing $CFLAGS and $LIBS.

2003-05-31  Christophe Merlet  <redfox@redfoxcenter.org>

	* configure.in: Fixed typo. LIBGALDE_CFLAGS -> LIBGLADE_CFLAGS.
	have_libgdade -> have_libglade.

2003-05-31  Danilo ÃÂ egan  <dsegan@gmx.net>

	* configure.in: There was no "sr" and "sr@Latn" in ALL_LINGUAS.
	Readded.

2003-05-30  Adam Tauno Williams <adam@morrison-ind.com>

	* libgnomedb.spec.in: added missing static libraries.

2003-05-28  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 0.12.0

2003-05-28  Danilo ÃÂ egan  <dsegan@gmx.net>

	* configure.in: Added "sr" and "sr@Latn" to ALL_LINGUAS.

2003-05-26  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-config.c (activation_property_to_parameter): use
	new GdaParameter API.

	* testing/Makefile.am: hopefully fixed problem with automake.

	* configure.in: require newest version of libgda.

2003-05-12  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-form.[ch] (gnome_db_form_get_current_row):
	(gnome_db_form_set_current_row): new functions.

	* configure.in: incremented versions.

2003-04-18  Dmitry G. Mastrukov <dmitry@taurussoft.org>

	* Makefile.am:
	* acconfig.h:
	* components/Makefile.am:
	* configure.in:
	* control-center/Makefile.am:
	* control-center/database-capplet.c:
	* control-center/dsn-config.c:
	* control-center/main.c:
	* control-center/provider-config.c:
	* glade/Makefile.am:
	* libgnomedb.pc.in:
	* libgnomedb/Makefile.am:
	* libgnomedb/gnome-db-browser-tables.c:
	* libgnomedb/gnome-db-browser-views.c:
	* libgnomedb/gnome-db-browser.c:
	* libgnomedb/gnome-db-config.c:
	* libgnomedb/gnome-db-connection-properties.c:
	* libgnomedb/gnome-db-dsn-config-druid.c:
	* libgnomedb/gnome-db-dsn-config.c:
	* libgnomedb/gnome-db-error-dialog.c: (gnome_db_error_dialog_new):
	* libgnomedb/gnome-db-error.c:
	* libgnomedb/gnome-db-form.c:
	* libgnomedb/gnome-db-grid.c: (menu_describe_cb),
	(menu_save_as_cb), (menu_view_detail_cb),
	(popup_button_pressed_cb):
	* libgnomedb/gnome-db-i18n.h:
	* libgnomedb/gnome-db-init.c: (gnome_db_init), (gnome_db_main_run):
	* libgnomedb/gnome-db-login-dialog.c: (gnome_db_login_dialog_new):
	* libgnomedb/gnome-db-login.c:
	* libgnomedb/gnome-db-stock.c:
	* libgnomedb/gnome-db-table-editor.c:
	* libgnomedb/gnome-db-util.c: (gnome_db_yes_no_dialog):
	* libgnomedb/gnome-db-util.h:
	* libgnomedb/libgnomedb.h:
	* monikers/Makefile.am:
	* monikers/factory.c:
	* monikers/moniker-database.c:
	* testing/Makefile.am:
	* testing/test-grid.c: (window_closed_cb), (create_window), (main):
	* vfs/dbvfs.c:
	* vfs/libmain.c: Modifications to make libgnomedb being compiled
	only with gtk+/libgda.

2003-03-31  ÃÂlvaro PeÃÂąa <alvaropg@telefonica.net>

	* data/gnome-db-database_24x24.png:
	* data/gnome-db-database_48x48.png:
	* data/gnome-db-database-login_48x48.png:
	* data/Makefile.am: added new stock icons.

	* libgnomedb/gnome-db-login-dialog.c:
	* libgnomedb/gnome-db-login.c: UI tweaks and fixes.

2003-03-16  Roozbeh Pournader <roozbeh@sharif.edu>

	* configure.in: Added "fa" to ALL_LINGUAS.

2003-03-10  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-util.[ch] (gnome_db_push_cursor_busy,
	gnome_db_pop_cursor_busy): new functions.

	* configure.in: bumped package and soname version numbers.

2003-03-09  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-model.c (default_value_set_func): no need to
	use markup, just setting the "foreground" property on the cell
	renderer is enough to set the text color.

2003-03-09  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 0.11.0

2003-03-08  Rodrigo Moya <rodrigo@gnome-db.org>

	Fixes #106402

	* configure.in: set GNOMEDB_AGE to 0.

2003-03-03  Alvaro PeÃÂąa <alvaro.pena@hispalinux.es>

	* control-center/dsn-config.c:
	* control-center/main.c:
	* control-center/provider-config.c: HIG-ification.

	* libgnomedb/gnome-db-gray-bar.c (gnome_db_gray_bar_init): set
	more spacing for the label and use HIG-recommended alignments.

2003-02-19  Rodrigo Moya <rodrigo@gnome-db.org>

	Fixes 106402

	* configure.in: incresad soname,

2003-02-15  Julio Merino <jmmv@hispabsd.org>

	Fixes #106122

	* configure.in: added --with-html-dir argument.

	* doc/C/Makefile.am: use HTML_DIR as defined in configure.in.

2003-02-15  Julio Merino <jmmv@hispabsd.org>

	Fixes #106121

	* data/Makefile.am: use variables defined by AM_GCONF_SOURCES_2.

2003-02-15  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in: upped minor version.

	* data/Makefile.am:
	* data/gnome-db-commit_24x24.png:
	* data/gnome-db-rollback_24x24.png: added new stock icons.

	* libgnomedb/gnome-db-stock.h: added new stock icons IDs.

	* libgnomedb/gnome-db-stock.c (get_stock_icons): register new
	stock icons.

2003-02-09  Christian Neumair  <chris@gnome-de.org>

	* .cvsignore: Added "autom4te*.cache".
	* data/libgnomedb.keys.in: Marked category and description fields for
	translation.

2003-01-29  Yanko Kaneti <yaneti@declera.com>

	* libgnomedb.spec.in: adds scrollkeeper bits and --disable-gtk-doc.

2003-01-27  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 0.10.0

2003-01-26  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-editor.c (gnome_db_editor_load_from_file):
	pass a correct GError parameter to gtk_source_buffer_load.

	* libgnomedb/gnome-db-util.c (gnome_db_select_file_dialog): use
	gtk_dialog_run for running the file selection dialog.

	* libgnomedb/gnome-db-grid.c (popup_button_pressed_cb,
	add_popup_menu_item): added pixmaps to some menu items.

2003-01-26  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-grid.c (model_row_removed_cb): update correctly
	the hash table.

2003-01-25  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-grid.h: added "create_popup_menu" signal.

	* libgnomedb/gnome-db-grid.c (setup_grid): don't use gnome_popup_*
	for the popup menu, but connect to the "button_press_event" signal
	on the widget.
	(popup_button_pressed_cb): create the popup menu here, emitting the
	"create_popup_menu" signal so that applications can add items to
	the menu.
	(gnome_db_grid_class_init): added new signal.

2003-01-25  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-grid.h: added "double_clicked" signal.

	* libgnomedb/gnome-db-grid.c (gnome_db_grid_class_init): added new
	signal to GnomeDbGrid class.
	(setup_grid): connect to "row_activated" signal on tree view.
	(tree_view_row_activated_cb): marshal "row_activated" signal to our
	"double_clicked".

2003-01-24  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-grid.c (gnome_db_grid_set_model): connect to
	row_removed signal on model.
	(model_row_removed_cb): update the internal row data when a row is
	removed from the model.
	(gnome_db_grid_finalize): don't leak the data model.

2003-01-22  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-model.c (gnome_db_model_to_gtk_tree_view):
	connect to "clicked" signal on all GtkTreeViewColumn's.
	(column_clicked_cb): set the search column to the column we're sorting by.

2003-01-22  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-model.c (gnome_db_model_to_gtk_tree_view): set
	search function and column on the tree view.
	(tree_view_equal_func): equal_func for the tree view.

2003-01-19  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-gray-bar.c (gnome_db_gray_bar_init): added a
	little space in front of the label.

2003-01-19  Gonzalo Paniagua Javier <gonzalo@gnome-db.org>

	* libgnomedb/gnome-db-dsn-config-druid.c: no need to check for USERNAME
	now.

2003-01-19  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-editor.c (create_tags_for_sql): added missing
	SQL keywords.

	* libgnomedb/gnome-db-login-dialog.c (gnome_db_login_dialog_init):
	added nice pixmap to the dialog.

	* libgnomedb/gnome-db-login.c (gnome_db_login_construct): set better
	table attachment options.

2003-01-18  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-grid.c (gnome_db_grid_set_model): clean up the
	per-row data when we change the data model.

2003-01-18  Rodrigo Moya <rodrigo@gnome-db.org>

	Fixes #90056

	* libgnomedb/gnome-db-dsn-config-druid.c: added support for
	remembering values between pages.
	(general_next_pressed_cb): set initial value of entries to the
	remembered values, if available.
	(gnome_db_dsn_config_druid_init): initialize remembered values hash
	table and connected to "back" signal on the providers' parameters
	page.
	(provider_back_pressed_cb): set remembered values here.

	* control-center/dsn-config.c (select_all_cb, unselect_all_cb):
	removed useless buttons.

	* control-center/main.c (create_dialog): made the dialog bigger.

2003-01-17  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-model.c (model_row_inserted_cb,
	model_row_updated_cb, model_row_removed_cb): respond to changes in the
	data model and spread the changes to the GtkTreeModel.

	* libgnomedb/gnome-db-grid.[ch] (gnome_db_grid_get_row_data,
	gnome_db_grid_set_row_data): new functions to easy the migration from
	GtkCList's to GnomeDbGrid's in Mergeant.
	(gnome_db_grid_init): create row data hash table.
	(gnome_db_grid_finalize): destroy row data hash table.
	(gnome_db_grid_find_row_from_data): new function.

2003-01-17  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-dsn-config-druid.c (general_next_pressed_cb):
	hide characters for PASSWORD entry.

2003-01-17  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-init.c (gnome_db_init): set more options on the
	GnomeProgram we initialize.

	* libgnomedb/Makefile.am: added needed -D's for gnome_program_init.

2003-01-16  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-error.c (gnome_db_error_init): improved look of
	the GnomeDbError widget.
	(detail_button_clicked_cb): made sure we show all widgets.

	* libgnomedb/gnome-db-error-dialog.c (gnome_db_error_dialog_new): set
	the dialog title if specified.
	(gnome_db_error_dialog_set_title): ditto.

2003-01-16  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-model.c (default_value_set_func,
	toggle_value_set_func): set correct vertical alignment.

	* libgnomedb/gnome-db-editor.c (create_tags_for_sql): added new
	keywords.

2003-01-15  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-grid.c (save_as_response_cb): use TRUE for
	standalone argument in call to gda_data_model_to_xml. Also, display
	an error message if we don't get a valid body.

2003-01-15  Gonzalo Paniagua Javier <gonzalo@gnome-db.org>

	* configure.in: removed config.h.

	* components/Makefile.am:
	* control-center/Makefile.am:
	* glade/Makefile.am:
	* libgnomedb/Makefile.am:
	* monikers/Makefile.am:
	* testing/Makefile.am:
	* vfs/Makefile.am: prepend $(top_srcdir) and $(top_buildir) in INCLUDE.

	* components/main.c:
	* control-center/database-capplet.c:
	* control-center/dsn-config.c:
	* control-center/main.c:
	* glade/glade-gnomedb.c:
	* libgnomedb/gnome-db-browser-tables.c:
	* libgnomedb/gnome-db-browser-views.c:
	* libgnomedb/gnome-db-browser.c:
	* libgnomedb/gnome-db-config.c:
	* libgnomedb/gnome-db-connection-properties.c:
	* libgnomedb/gnome-db-data-source-selector.c:
	* libgnomedb/gnome-db-dsn-config-druid.c:
	* libgnomedb/gnome-db-dsn-config.c:
	* libgnomedb/gnome-db-editor.c:
	* libgnomedb/gnome-db-error-dialog.c:
	* libgnomedb/gnome-db-error.c:
	* libgnomedb/gnome-db-form.c:
	* libgnomedb/gnome-db-grid.c:
	* libgnomedb/gnome-db-init.c:
	* libgnomedb/gnome-db-login-dialog.c:
	* libgnomedb/gnome-db-login.c:
	* libgnomedb/gnome-db-model.c:
	* libgnomedb/gnome-db-stock.c:
	* libgnomedb/gnome-db-table-editor.c:
	* libgnomedb/gnome-db-util.c:
	* monikers/factory.c:
	* monikers/moniker-database.c:
	* testing/test-dsn-selector.c:
	* testing/test-editor.c:
	* testing/test-grid.c:
	* vfs/dbclient.c:
	* vfs/dbvfs.c:
	* vfs/libmain.c: removed config.h. Some warnings removed too.

2003-01-15  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in: fixed optional GtkSourceView flags.

2003-01-14  Rodrigo Moya <rodrigo@gnome-db.org>

	* Makefile.am:
	* vfs/dbvfs.c: fixed compilation problems and re-enabled VFS module
	building.

	* libgnomedb/libgnomedb.h: added missing header.

	* glade/glade-gnomedb.c (glade_module_register_widgets): registered
	new widgets.

2003-01-12  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-config.h:
	* data/libgnomedb.schemas.in: added new config entry.

	* libgnomedb/gnome-db-editor.c (configuration_changed_cb): added code
	to manage changes in new configuration entry.
	(gnome_db_editor_init): set highlighting depending on the
	configuration entry value.

2003-01-12  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-editor.c (create_tags_for_sql): removed boldness
	from keyword tag. Added tag for comments.

2003-01-11  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-editor.[ch] (gnome_db_editor_get_highlight,
	gnome_db_editor_set_highlight): new functions.

2003-01-11  Rodrigo Moya <rodrigo@gnome-db.org>

	* Makefile.am: disabled VFS directory.

	* configure.in: added check for (optional) gtksourceview.

	* libgnomedb/Makefile.am:
	* libgnomedb/libgnomedb.h:
	* libgnomedb/gnome-db-editor.[ch]: new widget.

	* libgnomedb/gnome-db-sql-editor.[ch]: removed, will be replaced with
	the more generic GnomeDbEditor.

	* doc/C/*: added new documentation.

	* data/libgnomedb.schemas.in:
	* libgnomedb/gnome-db-config.h: added new configuration entries.

	* testing/Makefile.am:
	* testing/test-editor.c: new test program.

2003-01-10  Rodrigo Moya <rodrigo@gnome-db.org>

	* data/Makefile.am:
	* data/gnome-db-no-transaction.png:
	* data/gnome-db-within-transaction.png:
	* libgnomedb/gnome-db-stock.[ch]: added new icons to stock collection.

2003-01-09  Rodrigo Moya <rodrigo@gnome-db.org>

	* control-center/main.c (main): implemented session management.

2002-12-29  Rodrigo Moya <rodrigo@gnome-db.org>

	* vfs/dbvfs.c (dbvfs_do_open_directory, dbvfs_do_close_directory,
	dbvfs_do_read_directory): implemented for the root dir case.

	* libgnomedb/libgnomedb.h:
	* libgnomedb/gnome-db-icon-list.[ch]: re-added icon list widget.

	* doc/C/*: added new widget to documentation.

2002-12-23  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-grid.c (save_as_response_cb): if the file
	exists, ask the user for confirmation to overwrite it. Also, don't
	destroy the dialog if no filename is given.

2002-12-23  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-grid.c (menu_save_as_cb): made the dialog not
	modal, since it was making the application hang when the file selector
	was opened from the dialog.
	(save_as_response_cb): moved the response management from the dialog
	here.

2002-12-19  Rodrigo Moya <rodrigo@gnome-db.org>

	* control-center/provider-config.c (provider_config_new):
	fixed weird size of provider list widget.

2002-12-16  Rodrigo Moya <rodrigo@gnome-db.org>

	* components/GNOME_Database_Components.server.in.in: fixed prefix
	for binary.

2002-12-13  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in: added --enable/disable-gtk-doc argument, to disable
	gtk-doc stuff.

2002-11-17  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

	* configure.in: Added Belarusian to ALL_LINGUAS.

2002-10-29  Rodrigo Moya <rodrigo@gnome-db.org>

	* components/connection-viewer.c (pstream_load):
	* control-center/dsn-config.c (test_dsn_cb): adapted to changes in
	gda_client_open_connection.

2002-10-28  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-init.c (get_stock_icons): moved...
	
	* libgnomedb/gnome-db-stock.c (gnome_db_stock_init): ...to here, so
	that we can initialize the stock icons without having to do all the
	initialization done in gnome_db_init.

	* libgnomedb/gnome-db-login-dialog.c
	(gnome_db_login_dialog_class_init): call gnome_db_stock_init().

2002-10-26  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-util.c (gnome_db_option_menu_set_selection):
	return immediately if pointers are NULL.

2002-10-24  Carlos PerellÃÂģ MarÃÂ­n <carlos@gnome-db.org>

	* vfs/libmain.c: Fixed i18n.

2002-10-23  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 0.8.199

2002-10-23  Rodrigo Moya <rodrigo@gnome-db.org>

	Fixes #95959

	* control-center/dsn-config.c (dsn_config_new): don't mention libgda,
	since users shouldn't even have to know what it is.

2002-10-12  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-init.c (get_stock_icons): register new icons.

2002-10-08  Gonzalo Paniagua Javier <gonzalo@gnome-db.org>

	* libgnomedb/gnome-db-config.c: fixed bug #90058.

2002-10-07  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-util.c (gnome_db_option_menu_set_selection): use
	gtk_option_menu_set_history to set the active option in the option
	menu.

	* libgnomedb/gnome-db-data-source-selector.c (show_data_sources):
	activate always the default item.

2002-10-06  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-stock.[ch] (gnome_db_stock_get_icon_path): new
	function.

	* libgnomedb/Makefile.am: added new file.
	
2002-10-01  Rodrigo Moya <rodrigo@gnome-db.org>

	* doc/C/libgnomedb-docs.sgml:
	* doc/C/tmpl/gnome-db-config.sgml: added missing API documentation.

2002-09-30  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in: added check for scrollkeeper.

	* doc/Makefile.am:
	* doc/libgnomedb-C.omf.in: added OMF file.
	
2002-09-30  Stanislav Brabec  <sbrabec@suse.cz>

	* configure.in: Added cs to ALL_LINGUAS.

2002-09-25  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-error.c (gnome_db_error_init): fixed error when
	attaching widgets to table.

2002-09-23  Gonzalo Paniagua Javier <gonzalo@gnome-db.org>

	* libgnomedb/gnome-db-config.c: removed more leaks.

2002-09-09  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 0.8.193

2002-08-19  Ben Liblit  <liblit@acm.org>

	* libgnomedb.spec.in: fix version number substitutions

	* libgnomedb.spec.in: update files list to match what "make
	install" actually installs

	* libgnomedb.spec.in: add URL tag pointing to GNOME-DB project's
	web site
	
	* Makefile.am: no need to explicitly list "*.in" files for
	distribution, as automake takes care of these implicitly; use
	standard $(EXTRA_DIST) list for distributing spec file

2002-08-18  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-connection-properties.[ch]: moved from
	gnome-db's library.

	* libgnomedb/Makefile.am: added new files.

	* doc/C/libgnomedb-docs.sgml:
	* doc/C/tmpl/gnome-db-connection-properties.sgml: added new
	documentation.
	
2002-08-07  Rodrigo Moya <rodrigo@gnome-db.org>

	* control-center/dsn-config.c (test_dsn_cb): set gnome-db icon for
	dialog window.

2002-08-06  Rodrigo Moya <rodrigo@gnome-db.org>

	* control-center/dsn-config.c (test_dsn_cb): callback for the
	'Test DSN' button.

	* libgnomedb/gnome-db-util.[ch] (gnome_db_show_message): new function.

2002-07-09  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-grid.c: added a title bar (optional).
	(gnome_db_grid_get_title): new function.
	(gnome_db_grid_set_title): new function.
	(gnome_db_grid_get_show_title): new function.
	(gnome_db_grid_set_show_title): new function.

	* control-center/provider-config.c (provider_config_new):
	* control-center/dsn-config.c (dsn_config_new): use a title for the
	grid.

2002-07-08  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 0.8.192

2002-07-03  Gonzalo Paniagua Javier <gonzalo@gnome-db.org>

	* libgnomedb/gnome-db-error.c:
	(detail_button_clicked_cb): resize the window it its size has been 
	changed when details are displayed.

2002-07-01  Gonzalo Paniagua Javier <gonzalo@gnome-db.org>

	* components/main.c:
	(client_error_cb): don't free the list of errors.

	* libgnomedb/gnome-db-browser.c: fixed warning.

	* libgnomedb/gnome-db-error.c:
	(detail_button_clicked_cb): fixed.

	(gnome_db_error_show): make a copy of the error list and store the
	number of errors in the list.

	(gnome_db_error_next): use the value stored before.

	(gnome_db_error_get_position): new. Returns the position of the error
	being displayed.
	
	* libgnomedb/gnome-db-error.h: added prototype for
	gnome_db_error_get_position ().

	* libgnomedb/gnome-db-error-dialog.c:
	(gnome_db_error_dialog_show_errors): make the dialog continue until
	the close button is pressed. Change the sensitiveness of the Prev
	and Next buttons depending on the position and the number of errors.

2002-06-25  Gonzalo Paniagua Javier <gonzalo@gnome-db.org>

	* control-center/dsn-config.c:
	* libgnomedb/gnome-db-browser.c:
	* libgnomedb/gnome-db-data-source-selector.c:
	* libgnomedb/gnome-db-dsn-config-druid.c: changed gda_config_* by
	gnome_db-config_*.

	* libgnomedb/gnome-db-config.[ch]: use gconf again. On first use it
	syncs contents of .libgda/config file to gconf configuration. Then a
	listener will sync back to .libgda/config any change under /apps/libgda.

2002-06-13  Gonzalo Paniagua Javier <gonzalo@gnome-db.org>

	* libgnomedb/gnome-db-browser.c:
	(tree_value_set_func): reimplemented to use 2 cell renderers for the
	same column.
	(gnome-db-browser-init): create only one column with 2 cell renderers.

	The changes to the above functions make the left tree view to show
	the icon and text correctly instead of showing the icon incomplete.

	(gnome-db-browser-refresh): set the combobox with an empty string
	and deactivate it instead of setting the strings with a NULL GList.
	Use GDA_IS_CONNECTION before calling gda_connection_is_open.
	This changes avoid warnings.

2002-06-11  Gonzalo Paniagua Javier <gonzalo@gnome-db.org>

	* libgnomedb/gnome-db-browser.c: fixed crash when exiting
	gnome-db-components.

2002-06-10  Kjartan Maraas  <kmaraas@gnome.org>

	* control-center/dsn-config.c: Improve english in a string.
	
2002-06-06  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-browser.c (tree_selection_changed_cb): added
	a button to notebook tabs so that we can close them.

2002-06-06  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-model.c (gnome_db_model_to_gtk_tree_view): made
	it use a GtkTreeStore. Tree-like data models to be supported soon.

	* libgnomedb/gnome-db-config.h: added #define's for the well known
	configuration entries.

	* libgnomedb/gnome-db-browser.c: restructured (again) to have a better
	look&feel (I hope).

	* data/gnome-db*16x16.png: added new placeholder images, to be
	replaced by proper ones.

2002-06-05  Rodrigo Moya <rodrigo@gnome-db.org>

	* control-center/dsn-config.c (dsn_config_new):
	* control-center/provider-config.c (provider_config_new): improved
	UI, with some tweaks and some new pixmaps.

2002-06-04  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-model.c (gnome_db_model_to_gtk_tree_view):
	fixed sorting of data in the tree view.

	* control-center/Makefile.am:
	* control-center/database-capplet.c:
	* control-center/provider-config.[ch]: added providers configuration
	page to the notebook.

2002-06-04  Zbigniew Chyla  <cyba@gnome.pl>

	* control-center/database-capplet.c, control-center/dsn-config.c:
	Added missing includes (config.h, gtk/gtklabel.h).

2002-06-04  Damon Chaplin  <damon@ximian.com>

	* components/main.c: include <locale.h> so it compiles for me.

2002-06-03  Gonzalo Paniagua Javier <gonzalo@gnome-db.org>

	* control-center/dsn-config.c: included libgnomeui/gnome-window-icon.h
	Include the password in the calls to gda_config_save_data_source.

	* control-center/main.c: included libgnomeui/gnome-window-icon.h

2002-06-02  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-dsn-config-druid.c:
	* libgnomedb/gnome-db-dsn-config.c: allow edition of the password
	entry, which will go to the configuration file.

	* control-center/dsn-config.c (druid_finished_cb):
	(foreach_edit_cb): added @password parameter in call to
	gda_config_save_data_source.

2002-05-31  Rodrigo Moya <rodrigo@gnome-db.org>

	* control-center/dsn-config.c (dsn_config_new): use a nicer icon for
	the help part. Fixed ugliness of the help label.

2002-05-31  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-grid.c (menu_hide_columns_cb):
	(menu_show_columns_cb): new callbacks for popup menu options.
	(menu_describe_cb): commented out, until GnomeDbTableEditor is
	fully implemented.

	* control-center/dsn-config.c (dsn_config_new): don't use a
	GtkFrame as the container. The main GtkNotebook has already a frame
	on it. Also, added help part to the dialog.
	(show_data_sources): only display name and description. For all
	detailed information, there's the edition dialog.

2002-05-31  Rodrigo Moya <rodrigo@gnome-db.org>

	* doc/C/libgnomedb-docs.sgml:
	* doc/C/tmpl/gnome-db-stock.sgml: added new API documentation.

2002-05-30  Rodrigo Moya <rodrigo@gnome-db.org>

	* Makefile.am:
	* configure.in: made building of the VFS module optional.

	* control-center/*: added basic control center applet for database
	configuration (based on the manager component in GNOME-DB).

	* libgnomedb/gnome-db-grid.[ch] (gnome_db_grid_foreach_selected):
	new function.

2002-05-30  Rodrigo Moya <rodrigo@gnome-db.org>

	* po/POTFILES.in:
	* data/Makefile.am:
	* data/libgnomedb.schemas.in: fixed schemas file, as suggested by
	Kenneth.

2002-05-28  Akira Tagoh <tagoh@gnome-db.org>

	Fixes #83185.

	* configure.in: 
	* components/Makefile.am:
	* components/GNOME_Database_Components.server.in: install Bonobo
	components in libexecdir.

2002-05-28  Rodrigo Moya <rodrigo@gnome-db.org>

	* Makefile.am: install pixmaps in $datadir/pixmaps/libgnomedb (fixes
	#831849). Thanks to Akira Tagoh <tagoh@gnome-db.org>

2002-05-24  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 0.8.191

2002-05-20  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-model.c (sort_values): check pointers before
	using them on strcmp.

	* configure.in:
	* Makefile.am: added new components/ directory.

	* components/main.c: main file for the gnome-database-components
	binary.

	* components/connection-viewer.[ch]: implementation of the connection
	viewer control, which manages the application/x-gnome-db-connection
	MIME type.

	* components/sql-viewer.[ch]: a SQL code viewer.

	* data/Makefile.am:
	* data/libgnomedb.keys.in:
	* data/libgnomedb.mime: added support for our MIME types.

2002-05-19  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in:
	* Makefile.am:
	* monikers/*: added database: monikers from gnome-db module.

2002-05-13  Gonzalo Paniagua Javier <gonzalo@gnome-db.org>

	* libgnomedb/gnome-db-model.c:
	(gnome_db_model_to_gtk_tree_view): always free the attributes, not only
	when the column is a boolean value.

2002-05-09  Rodrigo Moya <rodrigo@gnome-db.org>

	* testing/test-grid.c: replaced usage of
	gda_data_model_array_append_row with gda_data_model_append_row.

2002-05-04  Rodrigo Moya <rodrigo@gnome-db.org>

	* Release 0.8.190

2002-05-03  Rodrigo Moya <rodrigo@gnome-db.org>

	* Makefile.am: install gnome-db.png in $(datadir)/pixmaps.

2002-05-01  Pablo Saratxaga <pablo@mandrakesoft.com>

	* configure.in: Added Vietnamese (vi) to ALL_LINGUAS

2002-04-28  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in: sorted out some version checks. Added vfs directory
	to AC_OUTPUT. Added check for gnome-vfs-module-2.0.

	* Makefile.am: added vfs directory to SUBDIRS.

	* vfs/libmain.c: main file for the GNOME VFS module for accessing
	databases.

	* vfs/dbclient.[ch]: file for managing DB connections in the module.

	* vfs/dbvfs.[ch]: implementation of the GnomeVFSMethod interface.

	* vfs/database-module.conf: configuration file for the VFS module.

2002-04-22  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in: require explicitly bonobo-activation, since that is
	not a libgda dependency anymore.

	* libgnomedb/gnome-db-config.[ch]: new files.

2002-04-22  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in: require libgda >= 0.8.190.

	* libgnomedb/gnome-db-model.c:
	* libgnomedb/gnome-db-form.c: adapted to a few changes in libgda API.
	
2002-04-22  Murray Cumming  <murrayc@usa.net>

	* libgnomedb/gnome-db-window.c: gnome_db_window_new():
	Uses construct-time properties instead of bonobo_window_construct(),
	which should no longer be used now that bonobo_window_new() is
	just a convenience wrapper for g_object_new().
	By the way, it looks like gnome_db_window_new() is also broken -
	there should be no code in a _new() function other than a call to 
	g_object_new().

2002-04-14  Rodrigo Moya <rodrigo@gnome-db.org>

	* Makefile.am:
	* data/Makefile.am:
	* libgnomedb/gnome-db-dsn-config-druid.c:
	* libgnomedb/gnome-db-error-dialog.c:
	* libgnomedb/gnome-db-grid.c:
	* libgnomedb/gnome-db-login-dialog.c:
	* libgnomedb/gnome-db-util.c:
	* libgnomedb/Makefile.am: install pixmaps in
	$(datadir)/pixmaps/libgnomedb.
	
2002-04-13  Rodrigo Moya <rodrigo@gnome-db.org>

	* data/gnome-db-database_24x24.png:
	* data/gnome-db-designer_24x24.png:
	* data/gnome-db-sql_24x24.png: fixed versions of these icons, by
	Alvaro PeÃÂąa Gonzalez <alvaropg@mac.com>

2002-04-10  Zbigniew Chyla  <cyba@gnome.pl>

	* acconfig.h: added BONOBO_EXPLICIT_TRANSLATION_DOMAIN.

	* configure.in: defined BONOBO_EXPLICIT_TRANSLATION_DOMAIN.

	* libgda/Makefile.am: set LIBGDA_LOCALEDIR to $(datadir)/locale.

	* libgnomedb/gnome-db-browser-tables.c,
	libgnomedb/gnome-db-browser-views.c, libgnomedb/gnome-db-browser.c
	libgnomedb/gnome-db-dsn-config-druid.c,
	libgnomedb/gnome-db-dsn-config.c, libgnomedb/gnome-db-error-dialog.c,
	libgnomedb/gnome-db-error.c, libgnomedb/gnome-db-form.c,
	libgnomedb/gnome-db-grid.c, libgnomedb/gnome-db-login-dialog.c,
	libgnomedb/gnome-db-login.c, libgnomedb/gnome-db-table-editor.c:
	added missing includes to fix i18n.

	* libgnomedb/gnome-db-util.c (_gnome_db_gettext): removed,
	added missing includes.

	* libgnomedb/gnome-db-init.c (gnome_db_init): initialize textdomain,
	added missing includes.

	* Makefile.am (libgnomedb_2_la_SOURCES): removed gnome-db-intl.h.

	* libgnomedbgnome-db-intl.h: removed file.

2002-04-01  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-browser.c: refactored to be more automatic in
	the creation of the different object tabs and added support for
	SCHEMA_DATABASES.
	(initialize_object_widgets): don't hardcode the position of each tab.
	(object_selected_cb) (object_selection_cleared_cb): replaced object
	specific functions with those generic ones.

2002-04-01  Gonzalo Paniagua Javier <gonzalo@gnome-db.org>

	* libgnomedb/gnome-db-list.c (gnome_db_list_set_model): handle the
	possible NULL in 'model'.

2002-03-30  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-util.c (gnome_db_select_file_dialog): reparent
	the dialog widget appropriately.

2002-03-30  Gonzalo Paniagua Javier <gonzalo@gnome-db.org>

	* doc/C/libgnomedb-docs.sgml: added GNOME-DB entity.
	* libgnomedb/gnome-db-util.c: removed a warning.

2002-03-29  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-util.[ch] (gnome_db_select_file_dialog): new
	function.

2002-03-26  Daniel Morgan <danmorg@sc.rr.com>

	* libgnomedb/gnome-db-sql-editor.[ch]: new widget, a nice SQL
	editor, with syntax highlighting, multiple command support, and
	other nice features we'll be adding.

	* libgnomedb/libgnomedb.h:
	* libgnomedb/Makefile.am: added new file.

	* doc/C/libgnomedb-docs.sgml:
	* doc/C/tmpl/gnome-db-sql-editor.sgml: added documentation templates
	for new widget.
	
2002-03-25  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-form.[ch]: base it on GtkVBox, not GtkFrame.
	(create_navigator): set correct alignment for the current row
	indicator label. Added a separator between the field widgets and
	the navigation bar.

2002-03-24  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-util.[ch] (gnome_db_new_vseparator_widget): new
	function.

2002-03-23  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-util.c (gnome_db_new_label_widget): set
	alignment on all labels.

	* libgnomedb/gnome-db-login-dialog.c (gnome_db_login_dialog_init): use
	stock icons for buttons.

	* data/libgnomedb.schemas: added FixedWindowPos configuration entry.

2002-03-22  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-control-widget.[ch]
	(gnome_db_control_widget_get_ui_container): new function.
	(gnome_db_control_widget_new_from_corba): new function.

	* data/gnome-db-connect_24x24.png:
	* data/gnome-db-disconnect_24x24.png:
	* data/gnome-db-database_24x24.png:
	* data/gnome-db-designer_24x24.png:
	* data/gnome-db-tables_24x24.png: new versions for the icons, by
	Alvaro PeÃÂąa Gonzalez <cybdeep@bigfoot.com>

	* libgnomedb/gnome-db-init.c:
	* libgnomedb/gnome-db-stock.h: added new icons.
	
2002-03-21  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-util.[ch] (gnome_db_new_file_entry_widget): new
	function.
	(gnome_db_new_radio_button_widget): new function.

	* libgnomedb/gnome-db-grid.c (menu_save_as_cb): implemented 'Save as'
	popup menu option.

2002-03-21  Gonzalo Paniagua Javier <gonzalo@gnome-db.org>

	* libgnomedb/gnome-db-browser-tables.c:
	* libgnomedb/gnome-db-browser-views.c:
	* libgnomedb/gnome-db-data-source-selector.c:
	* libgnomedb/gnome-db-dsn-config-druid.c:
	* libgnomedb/gnome-db-dsn-config.c:
	* libgnomedb/gnome-db-error-dialog.c:
	* libgnomedb/gnome-db-form.c:
	* libgnomedb/gnome-db-grid.c:
	* libgnomedb/gnome-db-login-dialog.c:
	* libgnomedb/gnome-db-model.c:
	* libgnomedb/gnome-db-util.c: removed warnings.

2002-03-21  Gonzalo Paniagua Javier <gonzalo@gnome-db.org>

	* libgnomedb/gnome-db-model.c (gnome_db_model_to_gtk_tree_model):
	double the underscores for column titles.

2002-03-20  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-browser-tables.c
	(gnome_db_browser_tables_clear): clear also the table structure grid.

	* libgnomedb/gnome-db-browser-views.c (gnome_db_browser_views_show):
	implemented the 'Data' tab.
	(gnome_db_browser_views_clear): implemented.
	(gnome_db_browser_views_new): created widgets.

	* libgnomedb/gnome-db-browser.c: added support for views detail.

	* libgnomedb/gnome-db-form.c (create_navigator): for BOOLEAN values,
	use check button widgets.
	(show_navigator_row): ditto.

2002-03-19  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-model.c (default_value_set_func): right-align
	numeric values.

2002-03-18  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-browser-tables.c (gnome_db_browser_tables_show):
	get table description and display it.

2002-03-17  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-browser.[ch]: added "progress_message" signal.
	(table_selected_cb): emit "progress_message" signal on lengthy ops.
	(gnome_db_browser_set_connection): ditto.
	(gnome_db_browser_refresh): ditto.

	* libgnomedb/gnome-db-grid.c (gnome_db_grid_class_init): fixed
	copy&pasted code.
	(selection_changed_cb): manage correctly GTK_SELECTION_MULTIPLE.
	(selection_foreach): callback function to emit signal when multiple
	selection grids have their selection changed.

	* libgnomedb/gnome-db-list.c (gnome_db_list_init): set selection mode
	to multiple when creating the list.

	* libgnomedb/gnome-db-model.c (gnome_db_model_to_gtk_tree_view):
	special case BOOLEAN values, to show them as toggle boxes.
	(toggle_value_set_func): new function for managing BOOLEAN values.
	(default_value_set_func): show numbers in a different color.

2002-03-16  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-browser.[ch] (gnome_db_browser_refresh): new
	function.

2002-03-15  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-util.c (gnome_db_yes_no_dialog): made it use
	GtkMessageDialog, to look nicer.

	* libgnomedb/gnome-db-control-widget.c
	(gnome_db_control_widget_finalize): don't unref the internal Bonobo
	widget, which is destroyed when destroying the container.

2002-03-12  Gonzalo Paniagua Javier <gonzalo@gnome-db.org>

	* configure.in: don't check for the version of intltool.

2002-03-04  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-grid.c: added a GtkSelectionMode member to the
	private structure.
	(setup_grid): set the selection mode to the remembered value.
	(gnome_db_grid_init): default selection mode to MULTIPLE.
	(gnome_db_grid_select_all): use gnome_db_grid_set_selection_mode,
	not gtk_tree_selection_set_mode, since we need to do extra stuff.
	(gnome_db_grid_set_selection_mode): remember selection mode value.
	(menu_select_all_cb, menu_unselect_all_cb): new popup menu items.

	* data/libgnomedb.schemas: added 'ShowShortcut' and 'Show Summary'
	configuration entries.

2002-03-03  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-util.[ch] (gnome_db_yes_no_dialog): new function

	* libgnomedb/gnome-db-dsn-config-druid.c (add_to_string): only add
	the parameters that have a value.
	(params_to_string): set retval to an empty string instead of NULL
	when no parameters are given for the connection string.

	* libgnomedb/gnome-db-grid.c (menu_describe_cb, menu_view_detail_cb):
	* libgnomedb/gnome-db-error-dialog.c (gnome_db_error_dialog_new):
	* libgnomedb/gnome-db-login-dialog.c (gnome_db_login_dialog_new):
	set icon for dialog windows.

	* libgnomedb/gnome-db-form.c (create_navigator): create entries for
	all fields in the data model.
	(setup_widgets_for_model): clean up all internal widgets.
	(gnome_db_form_init): initialize all internal widgets, and connect
	to "clicked" signals on buttons.
	(gnome_db_form_finalize): g_list_free list of entries.
	(navigator_first_cb, navigator_back_cb, navigator_fwd_cb,
	navigator_last_cb): callback functions for navigation buttons.

2002-03-03  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Removed nn from ALL_LINGUAS.

2002-02-26  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-browser-tables.c (gnome_db_browser_tables_new):
	replace the GnomeDbTableEditor with a simple GnomeDbGrid widget.

	* libgnomedb/gnome-db-grid.c: use new stock icons for menu items.

2002-02-26  Chris Chabot <chabotc@reviewboard.com>

	* libgnomedb.spec.in: new version.

2002-02-25  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-stock.h: new file.

	* libgnomedb/gnome-db-init.c (gnome_db_init): initialize all the
	stock icons we install.

2002-02-24  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-form.[ch]: new widget.

	* doc/C/libgnomedb-docs.sgml:
	* doc/C/tmpl/gnome-db-form.sgml: added section for new widget.

	* libgnomedb/gnome-db-util.[ch] (gnome_db_new_popup_menu): new
	function.

	* libgnomedb/gnome-db-grid.c: added popup menu for basic operations.
	(setup_grid): create the popup menu.
	(menu_view_detail_cb): callback for the 'View detail' popup menu item.
	(menu_describe_cb): callback for the 'Describe' popup menu item.

	* libgnomedb/gnome-db-error-dialog.c (gnome_db_error_dialog_init):
	* libgnomedb/gnome-db-login-dialog.c (gnome_db_login_dialog_init): use
	GTK stock names for icons.

2002-02-23  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-control.[ch]: added "get_property" and
	"set_property" signals.
	(get_prop_cb): emit "get_property" signal.
	(set_prop_cb): emit "set_property" signal.

	* libgnomedb/gnome-db-report-editor.[ch]: new widget.

	* doc/C/libgnomedb-docs.sgml:
	* doc/C/tmpl/gnome-db-report-editor.sgml: added section for new widget

2002-02-22  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-window.[ch] (gnome_db_window_get_ui_component):
	new function.

	* libgnomedb/gnome-db-browser.c (initialize_object_widgets): added
	triggers tab.

	* libgnomedb/gnome-db-init.c (gnome_db_main_quit): use
	gtk_main_quit instead of bonobo_main_quit, since we are
	running loops with bonobo_ui_main.

2002-02-22  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomedb/gnome-db-util.c: Remove unsupported #ifdef ENABLE_NLS.
	
2002-02-20  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-browser.c (initialize_object_widgets): added
	aggregates tab.

2002-02-10  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 0.8.103 version.

2002-02-09  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-dsn-config-druid.c (fill_provider_menu):
	removed.
	(gnome_db_dsn_config_druid_init): use a GnomeDbProviderSelector.

	* libgnomedb/gnome-db-provider-selector.[ch]: new widget.

	* libgnomedb/gnome-db-dsn-config.c (fill_provider_menu): removed.
	(gnome_db_dsn_config_init): use a GnomeDbProviderSelector widget.

	* doc/C/libgnomedb-docs.sgml:
	* doc/C/tmpl/gnome-db-provider-selector.sgml:
	* doc/C/tmpl/gnome-db-data-source-selector.sgml: added new widgets.

2002-02-08  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-util.[ch] (gnome_db_option_menu_set_selection):
	new function.

	* libgnomedb/gnome-db-dsn-config.c (gnome_db_dsn_config_set_info):
	use gnome_db_option_menu_set_selection to set the provider associated
	with the data source being shown.

	* libgnomedb/gnome-db-login.c (load_data_sources): removed.
	(gnome_db_login_construct): use a GnomeDbDataSourceSelector widget
	instead of GtkOptionMenu.
	(gnome_db_login_get_dsn): call gnome_db_option_menu_get_selection.

	* libgnomedb/gnome-db-data-source-selector.[ch]: new widget.

	* testing/test-dsn-selector.c: new test program.

	* glade/glade-gnomedb.c: added GnomeDbDataSourceSelector widget.

2002-01-29  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in: bumped version number to 0.8.103

2002-01-28  Gonzalo Paniagua Javier <gonzalo@gnome-db.org>

	* doc/C/tmpl/gnome-db-model.sgml:
	* doc/C/tmpl/gnome-db-util.sgml:
	* libgnomedb/gnome-db-browser-procedures.c:
	* libgnomedb/gnome-db-browser-types.c:
	* libgnomedb/gnome-db-control-widget.c:
	* libgnomedb/gnome-db-control.c:
	* libgnomedb/gnome-db-dsn-config-druid.c:
	* libgnomedb/gnome-db-error-dialog.c:
	* libgnomedb/gnome-db-error.c:
	* libgnomedb/gnome-db-gray-bar.c:
	* libgnomedb/gnome-db-grid.c:
	* libgnomedb/gnome-db-init.c:
	* libgnomedb/gnome-db-intl.h:
	* libgnomedb/gnome-db-list.c:
	* libgnomedb/gnome-db-login.c:
	* libgnomedb/gnome-db-util.c:
	* libgnomedb/gnome-db-window.c:
	* testing/test-grid.c: removed compile warnings.

2002-01-27  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-dsn-config.c (gnome_db_dsn_config_get_info):
	(gnome_db_dsn_config_set_info): new functions.

	* libgnomedb/gnome-db-util.c (gnome_db_show_error): destroy the
	dialog after running it.

	* libgnomedb/gnome-db-grid.c (gnome_db_grid_select_all): set the
	selection mode to GTK_SELECTION_MULTIPLE.

2002-01-26  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-dsn-config-druid.c
	(gnome_db_dsn_config_druid_init): set up signals for general page and
	added provider specific page.
	(general_next_pressed_cb): respond to "next" signal on the general
	page, so that we can set up the specific fields we need in the
	provider parameters page.

	* libgnomedb/gnome-db-util.[ch] (gnome_db_option_menu_get_selection):
	new function.

	* libgnomedb/gnome-db-dsn-config.[ch]: implemented.

	* libgnomedb/gnome-db-grid.[ch] (gnome_db_grid_get_selection):
	(gnome_db_grid_select_all): new function.
	(gnome_db_grid_unselect_all): new function.

2002-01-25  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-dsn-config-druid.c
	(gnome_db_dsn_config_druid_init): completed creation of general
	info page.
	(fill_provider_menu): new function for filling up the providers
	option menu.

	* libgnomedb/gnome-db-util.[ch] (gnome_db_new_option_menu_widget):
	new function.
	(gnome_db_option_menu_add_item): new function.

2002-01-22  Christian Rose  <menthos@menthos.com>

	* sv.po: Updated Swedish translation.

2002-01-21  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-dsn-config-druid.c
	(gnome_db_dsn_config_druid_init): fixed strings to match the buttons'
	text.

2002-01-21  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-util.c (gnome_db_new_tree_view_widget): enable
	rules hint for created tree views.

	* libgnomedb/gnome-db-grid.[ch] (gnome_db_grid_set_selection_mode):
	(gnome_db_grid_get_selection_mode): new function

	* libgnomedb/gnome-db-model.c (gnome_db_model_to_gtk_tree_view): added
	support for sorting
	(sort_values): sorting function

2002-01-20  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-browser-private.c:
	* libgnomedb/gnome-db-browser-tables.c:
	* libgnomedb/gnome-db-browser-types.c:
	* libgnomedb/gnome-db-browser-views.c:
	* libgnomedb/gnome-db-browser.c: fixed compilation warnings

	* libgnomedb/gnome-db-browser-private.h: new file for declarations
	needed for all gnome-db-browser* files

2002-01-20  Rodrigo Moya <rodrigo@gnome-db.org>

	* ChangeLog: merged all ChangeLog's into a single file

2002-01-15  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-control.[ch]: added "activated" signal to GnomeDbControl
	class

2002-01-14  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-window.c (gnome_db_window_new): sorted out signal stuff

2002-01-14  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in: added glade directory and added libglade-2.0 to list
	of required libraries
	
	* Makefile.am: added glade directory

2002-01-13  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-init.c (gnome_db_init): initialize libglade

2002-01-13  Rodrigo Moya <rodrigo@gnome-db.org>

	Added libglade module for GNOME-DB widgets

2002-01-13  Rodrigo Moya <rodrigo@gnome-db.org>

	* doc/C/sgml/gnome-db-combo.sgml:
	* doc/C/libgnomedb-docs.sgml: added GnomeDbCombo widget

2002-01-13  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in: bumped version number to 0.8.102

2002-01-13  Gonzalo Paniagua Javier <gonzalo@gnome-db.org>

	* testing/test-grid.c: assign copyright to the GNOME Foundation.

2002-01-13  Gonzalo Paniagua Javier <gonzalo@gnome-db.org>

	* libgnomedb/*.[ch]: Changed copyright to the GNOME Foundation.

2002-01-13  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-error-dialog.c (gnome_db_error_dialog_init): no need
	to connect to the "response" signal on the dialog, since we call
	gtk_dialog_run in gnome_db_error_dialog_show_errors

	* libgnomedb/gnome-db-combo.[ch]: re-added widget from the stable branch

2002-01-11  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in: use GNOME_COMPILE_WARNINGS, and removed call to
	obsolete GNOME_COMMON_INIT macro

2002-01-08  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-dsn-config.[ch]: new widget

2002-01-08  Rodrigo Moya <rodrigo@gnome-db.org>

	* doc/C/tmpl/gnome-db-dsn-config.sgml:
	* doc/C/libgnomedb-docs.sgml: added new section (GnomeDbDsnConfig widget)

2002-01-08  Duarte Loreto <happyguy_pt@hotmail.com>

	* pt.po: Updated Portuguese translation.

2002-01-07  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-error-dialog.c:
	* libgnomedb/gnome-db-gray-bar.c:
	* libgnomedb/gnome-db-grid.c:
	* libgnomedb/gnome-db-list.c:
	* libgnomedb/gnome-db-login-dialog.c
	* libgnomedb/gnome-db-login.c:
	* libgnomedb/gnome-db-window.c:
	* libgnomedb/gnome-db-browser.c: added GParamSpec's for all properties. Fixes
	GNOME #59710

2002-01-07  Rodrigo Moya <rodrigo@gnome-db.org>

	* doc/C/tmpl/libgnomedb.sgml:
	* doc/C/libgnomedb-docs.sgml: added new section (Library initialization)

2002-01-05  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-browser.c:
	* libgnomedb/gnome-db-browser-procedures.c:
	* libgnomedb/gnome-db-browser-types.c: added support for more schema types

2002-01-01  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-table-editor.c: implemented basic widget

	* libgnomedb/gnome-db-browser-tables.c: use a GnomeDbTableEditor widget to
	display the table's structure

	* libgnomedb/libgnomedb.h:
	* libgnomedb/gnome-db-init.c (gnome_db_init): new function
	(gnome_db_main_run): new function
	(gnome_db_main_quit): new function

2002-01-01  Rodrigo Moya <rodrigo@gnome-db.org>

	* data/libgnomedb.schemas: added /apps/gnome-db/Shell/DefaultComponent
	entry to the GConf schemas

2001-12-31  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-grid.c (setup_grid): function to set up all signals and
	properties when creating a new GtkTreeView

	* libgnomedb/libgnomedb-private.h: new private header file

	* libgnomedb/gnome-db-browser.c (initialize_object_widgets): connect to
	GnomeDbList's signals so that we can show the detail when objects
	are selected in the object list
	(table_selected_cb): new function
	(table_selection_cleared_cb): new function

	* libgnomedb/gnome-db-browser-tables.c (gnome_db_browser_tables_show):
	(gnome_db_browser_tables_clear): new functions

	* libgnomedb/gnome-db-list.[ch]: added "row_selected" and "selection_cleared"
	signals.
	(gnome_db_list_get_model): new function

	* libgnomedb/gnome-db-table-editor.[ch]: new widget

2001-12-30  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-browser-types.c: new file for the implementation of the
	detail widget for types in the GnomeDbBrowser widget

	* libgnomedb/gnome-db-browser.c (initialize_object_widgets): show types schema
	(gnome_db_browser_init): disable popup menus in GtkNotebook's
	(notebook_page_changed_cb): callback to synchronize the 2 notebooks
	in the widget

2001-12-29  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-list.c (gnome_db_list_set_model): hide column titles
	on the internal GnomeDbGrid

	* libgnomedb/gnome-db-browser.c (gnome_db_browser_set_connection): really
	implement this function

2001-12-28  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-util.[ch] (gnome_db_set_widget_bg_color): new funtion
	(gnome_db_set_widget_fg_color): new function

	* libgnomedb/gnome-db-browser.[ch] (gnome_db_browser_get_connection):
	(gnome_db_browser_set_connection): new functions

	* libgnomedb/gnome-db-browser-tables.c (gnome_db_browser_tables_new): create
	the 'Data' tab

2001-12-28  Rodrigo Moya <rodrigo@gnome-db.org>

	* data/libgnomedb.schemas: added some more schema entries

2001-12-28  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in: bumped version to 0.8.99

2001-12-27  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-browser.[ch]: added new GnomeDbBrowser widget

	* libgnomedb/gnome-db-broser-tables.c: new file for the implementation of the
	detail widget for tables in the GnomeDbBrowser widget

	* libgnomedb/gnome-db-list.[ch]: added new GnomeDbList widget

	* libgnomedb/gnome-db-util.[ch] (gnome_db_new_grid_widget): new function

2001-12-27  Rodrigo Moya <rodrigo@gnome-db.org>

	* doc/C/tmpl/*:
	* doc/C/libgnomedb-docs.sgml: added new widgets

2001-12-27  Rodrigo Moya <rodrigo@gnome-db.org>

	* data/*.png: added new pixmaps by Alvaro PeÃÂąa <cybdeep@bigfoot.com>

2001-12-27  Duarte Loreto <happyguy_pt@hotmail.com>

	* pt.po: Added portuguese translation

2001-12-27  Duarte Loreto <happyguy_pt@hotmail.com>

	* configure.in: Added portuguese to ALL_LINGUAS

2001-12-23  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-error-dialog.c (gnome_db_error_dialog_init): connect to
	"response" signal on the dialog, so that we can close it
	(dialog_response_cb): close the dialog on GTK_RESPONSE_CLOSE

2001-12-22  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-util.c (gnome_db_new_scrolled_window_widget): set a nice
	default shadow type for all created scrolled windows

	* libgnomedb/gnome-db-model.c (gnome_db_model_to_gtk_tree_view): don't call
	gda_data_model_get_n_columns/rows in each pass in the for loops.
	Just call the functions before entering the loop

2001-12-21  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-login-dialog.c (gnome_db_login_dialog_init): set GNOME 2
	order for dialog buttons

2001-12-21  Rodrigo Moya <rodrigo@gnome-db.org>

	* doc/C/fdl-appendix.sgml:
	* doc/C/libgnomedb-docs.sgml: added GNU FDL appendix

	Made API reference build again

2001-12-21  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in: re-enable doc/ directory

2001-12-19  Rodrigo Moya <rodrigo@gnome-db.org>

	* gnome-db-util.[ch] (gnome_db_text_get_text): new function

2001-12-13  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-util.[ch] (gnome_db_new_hbutton_box_widget): new function
	(gnome_db_new_vbox_widget): new function

2001-12-11  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in: s/AM_GCONF_SOURCE2/AM_GCONF_SOURCE_2

	* libgnomedb.pc.in: also require libgnomeui-2.0 and gtk+-2.0

2001-12-10  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-util.c (gnome_db_show_error): replaced gnome_error_dialog
	usage with GtkMessageDialog

2001-12-10  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in: added support for GConf schemas

	* Makefile.am: added data/ directory

2001-12-09  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-util.c (gnome_db_show_error): new function

	* libgnomedb/gnome-db-login-dialog.c (gnome_db_login_dialog_run): new function
	(gnome_db_login_dialog_get_dsn): new function
	(gnome_db_login_dialog_get_username): new function
	(gnome_db_login_dialog_get_password): new function

	* libgnomedb/gnome-db-login.c (load_data_sources): load available data sources

	* libgnomedb/gnome-db-dsn-config-druid.[ch]: new implementation based in
	libgnomeui2's GnomeDruid

	* libgnomedb/libgnomedb.h: added missing header files

2001-12-09  Rodrigo Moya <rodrigo@gnome-db.org>

	* data/added data/ directory, where all data files will be kept

	* data/libgnomedb.schemas: GConf schema file

2001-12-09  Rodrigo Moya <rodrigo@gnome-db.org>

	* gnome-db.png: moved here from gnome-db

2001-12-08  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-control.c (gnome_db_control_construct): gtk_widget_show
	the widget from which to create the BonoboControl

	* libgnomedb/gnome-db-util.c (gnome_db_new_hbox_widget): new function

	* libgnomedb/gnome-db-control-widget.c: some fixes where there were casts from
	GnomeDbControlWidget to BonoboWidget, which is no longer true

2001-12-07  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-login.c: s/gnome_db_entry_set_editable/
	gtk_editable_set_editable

	* libgnomedb/gnome-db-util.[ch] (gnome_db_entry_set_editable): removed unneeded
	function

2001-12-07  Cleber Rodrigues <cleberrrjr@bol.com.br>

	* libgnomedb/gnome-db-util.c: fixed gnome_db_new_entry_widget by using 
	gtk_editable_set_editable instead of gnome_db_entry_set_editable

2001-12-02  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-dsn-config-druid.[ch]: restarted implementation from the
	one in the GNOME 1.x branch

2001-12-02  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-connection-selector.[ch]: new widget

	* libgnomedb/gnome-db-gray-bar.c (gnome_db_gray_bar_set_text): show label's
	text in white and bold

	* libgnomedb/gnome-db-control-widget.c (gnome_db_control_widget_get_objref):
	new function

2001-12-01  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-control-widget.c (gnome_db_control_widget_finalize):
	don't gtk_widget_destroy the BonoboWidget, just g_object_unref it

	* libgnomedb/gnome-db-gray-bar.[ch]: new widget

2001-11-28  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-control-widget.[ch] (gnome_db_control_widget_construct):
	new function, for child classes
	(gnome_db_control_widget_new): call gnome_db_control_widget_construct

2001-11-24  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-util.c (gnome_db_new_label_widget): set all labels we
	create to be selectable

	* libgnomedb/gnome-db-control-widget.[ch]: changed to be based on GtkVBox, and
	not on BonoboWidget, and thus load the BonoboWidget we load into
	the GtkVBox

2001-11-23  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-util.c: include glib-object.h, not gobject/*.h

2001-11-21  Carlos PerellÃÂģ MarÃÂ­n <carlos@gnome-db.org>

	* libgnomedb/gnome-db-intl.h: Added to be able to use i18n with this library.
	* libgnomedb/gnome-db-util.h (_gnome_db_gettext):  Added a private function to
	be able to use gettext at libgnomedb (stolen from glib).
	* libgnomedb/gnome-db-error-dialog.c, gnome-db-error.c, gnome-db-login-dialog.c,
	gnome-db-login.c: Updated to use gnome-db-intl.h.

2001-11-21  Carlos PerellÃÂģ MarÃÂ­n <carlos@gnome-db.org>

	* configure.in: Changed GETTEXT_PACKAGE from libgnomedb-2.0 to
	libgnomedb-2
	
2001-11-21  Carlos PerellÃÂģ MarÃÂ­n <carlos@gnome-db.org>

	* Makefile.am, acconfig.h, configure.in: Migrated to intltool &&
	i18n fixes.

2001-11-20  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-login.c (gnome_db_login_get_dsn): renamed from
	gnome_db_login_dsn

	* libgnomedb/gnome-db-util.c (gnome_db_text_copy_clipboard): new function
	(gnome_db_text_cut_clipboard): new function
	(gnome_db_text_paste_clipboard): new function
	(gnome_db_new_vpaned_widget): new function

2001-11-18  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-util.c (gnome_db_new_entry_widget): add 'gboolean
	editable' parameter, so that we can set the editable property
	of the GtkEntry when creating this type of widget.
	(gnome_db_new_button_widget): new function
	(gnome_db_new_button_widget_from_stock): new function

	* libgnomedb/gnome-db-error.c: removed obsolete information for errors
	(native message, help url, real command)

	* libgnomedb/gnome-db-error-dialog.h: fixed GNOME_DB_IS_ERROR_DIALOG macro

	* libgnomedb/gnome-db-login.c: adapted to changes in gnome_db_new_entry_widget

2001-11-18  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-util.[ch] (gnome_db_text_insert_at_cursor): new function
	(gnome_db_text_clear): new function

	* libgnomedb/gnome-db-error.c: replaced GtkText usage with GtkTextView

2001-11-16  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-error.[ch]:
	* libgnomedb/gnome-db-error-dialog.[ch]: back-ported from the stable branch

	* libgnomedb/gnome-db-util.[ch] (gnome_db_new_text_widget): new function
	(gnome_db_text_get_char_count): new function
	(gnome_db_text_get_line_count): new function

2001-11-10  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-util.[ch] (gnome_db_new_frame_widget): new function
	(gnome_db_new_toolbar_widget): new function

2001-11-10  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-util.[ch] (gnome_db_new_notebook_widget): new function

	* libgnomedb/gnome-db-control-widget.[ch] (gnome_db_control_widget_get_id):
	new function

2001-11-07  Rodrigo Moya <rodrigo@gnome-db.org>

	* testing/test-grid.c (create_model): new function that creates a more
	complicated data model to be shown

2001-11-07  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-control-widget.[ch]: back-ported from stable branch

	* libgnomedb/gnome-db-control.[ch]: back-ported from stable branch

	* libgnomedb/gnome-db-grid.[ch] (gnome_db_grid_hide_column_titles):
	(gnome_db_show_column_titles): new functions

2001-11-06  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-login-dialog.[ch]: new version

	* libgnomedb/gnome-db-login.[ch]: new version

	* libgnomedb/gnome-db-util.[ch] (gnome_db_new_table_widget): new function
	(gnome_db_new_label_widget): new function
	(gnome_db_new_entry_widget): new function
	(gnome_db_new_combo_widget): new function
	(gnome_db_entry_set_editable): new function

2001-11-04  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-model.c (value_set_func): fixed parameter order in call
	to gda_data_model_get_value_at

2001-11-03  Rodrigo Moya <rodrigo@gnome-db.org>

	* testing/test-grid.c: test program to test the new grid widget

2001-11-03  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-window.[ch]: back-ported from the stable branch

	* libgnomedb/gnome-db-util.[ch] (gnome_db_new_status_bar_widget): new function

2001-11-03  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-util.c (gnome_db_new_scrolled_window_widget):
	(gnome_db_new_tree_view_widget): new functions

	* libgnomedb/gnome-db-grid.[ch] (gnome_db_grid_set_from_recordset):
	(gnome_db_grid_new_with_recordset): removed, as GdaRecordset is
	now a subclass of GdaDataModel, so we don't need anymore
	specific GdaRecordset-related methods

2001-11-03  Rodrigo Moya <rodrigo@gnome-db.org>

	* Makefile.am: install libgnomedb.pc

	* libgnomedb.pc.in: adapted to new header locations

	* configure.in: dumped library age to 1

2001-11-02  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-model.[ch]: new file for utility functions to convert
	between our data-models and the GtkTreeModel stuff

	* libgnomedb/new location for the library and start of restructuration based on
	the new libgda

2001-11-02  Rodrigo Moya <rodrigo@gnome-db.org>

	* lib/*: removed. The library is now in libgnomedb/

	* configure.in: check for libgda, not libgda-client. Bumped version
	to 0.9.0

2001-10-29  Akira TAGOH <tagoh@gnome-db.org>

	* libgnomedb/Makefile.am: Added library age.

2001-10-29  Akira TAGOH  <tagoh@gnome-db.org>

	* configure.in: Added library age variables.

2001-10-08  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: CERTIFIED_GNOMIE, bye-bye.

2001-09-29  Fatih Demir <kabalak@gtranslator.org>

	* configure.in: Added "ta" to the languages list.

2001-09-27  Wang Jian  <lark@linux.net.cn>

	* configure.in(ALL_LINGUAS): Added zh_CN.

2001-09-26  Pablo Saratxaga <pablo@mandrakesoft.com>

	* configure.in: Added AZeri (az) to ALL_LINGUAS

2001-09-17  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-combo.c: removed the "error" signal
	
	* libgnomedb/gnome-db-component.[ch]: removed, since they are not needed
	anymore

	* libgnomedb/gnome-db-control-widget.c (gnome_db_control_widget_is_supported):
	removed, as this kind of functions (to retrieve information
	about CORBA components) will be present in libgda
	(gnome_db_control_widget_get_repo_id): converted from a #define
	to a function
	Removed all GNOME::Database::UIShellComponent related methods,
	since this will be implemented on the front end level
	

2001-09-11  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-list.[ch]: rewritten to be a special case of GnomeDbGrid
	with one-column only

2001-09-04  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-model.[ch] (gnome_db_model_to_gtk_tree_model): new function
	for converting a GdaDataModel into a GtkTreeModel

	* libgnomedb/gnome-db-grid.[ch]: started new grid widget, based on the nice
	GTK 2.0 widgets, and not on the ugly GtkCList

2001-08-31  Abel Cheung  <maddog@linux.org.hk>

	* configure.in (ALL_LINGUAS): zh_TW.Big5 -> zh_TW

2001-08-28  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-control-widget.[ch]:
	* libgnomedb/gnome-db-dataset.[ch]:
	* libgnomedb/gnome-db-dsn-config.[ch]:
	* libgnomedb/gnome-db-icon-list.[ch]:
	* libgnomedb/gnome-db-list.[ch]:
	* libgnomedb/gnome-db-log-viewer.[ch]:
	* libgnomedb/gnome-db-login.[ch]:
	* libgnomedb/gnome-db-combo.[ch]: moved all class members to a private structure

	* libgnomedb/gnome-db-icon-list.[ch] (gnome_db_icon_list_get_row_count): converted
	this #define to a function, as now all class members are private and
	can't be accessed directly

2001-08-27  Rodrigo Moya <rodrigo@gnome-db.org>

	* added all auto*-related files

2001-08-24  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-util.h: added some useful #define's

2001-08-23  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-error-dlg.[ch]: renamed to gnome-db-error-dialog.[ch], as the
	name of the class is GnomeDbErrorDialog

2001-08-22  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-init.c (gnome_db_main_run, gnome_db_main_quit): removed

	* libgnomedb/gnome-db-shortcut.[ch]: re-moved to gnome-db, since they're not
	very useless in a DB-bound widgets library

2001-08-20  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-util.h (gnome_db_new_vpaned_widget): new utility function

	* libgnomedb/gnome-db-shell-component*: removed, since these belong to the front
	end, now in gnome-db/lib

2001-08-20  Rodrigo Moya <rodrigo@gnome-db.org>

	* doc/C/moved reference from gnome-db module

2001-08-19  Rodrigo Moya <rodrigo@gnome-db.org>

	* splitted from gnome-db to have the widgets library as an independent
	package/module

2001-08-18  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-control.[ch]:
	* libgnomedb/gnome-db-shell-component.[ch]: s/GnomeDbControl/GnomeDbShellComponent

2001-08-07  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-combo.c (show_recordset): free the list of strings

	* libgnomedb/gnome-db-login.c (gnome_db_login_new): ditto

2001-08-01  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-combo.c (gnome_db_set_recordset): don't close the old
	recordset, just unref it, and ref the new one

	* libgnomedb/*.c: added some inline documentation

2001-07-30  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-browser.c: removed the frame widget for the object
	detail pane, and made some UI tweaks

2001-07-29  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-designer.c (gnome_db_designer_refresh): use correctly
	the list returned by gda_xml_database_get_tables, which is not a
	xmlNodePtr, but a GList

	* libgnomedb/gnome-db-export.c (run_button_clicked_cb): disable buttons when
	running the export process
	(export_finished_cb, export_cancelled_cb): re-enable buttons

2001-07-28  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-export.c: make it work with the recent changes in the
	GdaExport class

	* libgnomedb/gnome-db-util.c (gnome_db_yes_no_dialog): new function

2001-07-25  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-grid.c (gnome_db_grid_set_recordset): gtk_object_ref
	the given GdaRecordset, so it's now safe to free the recordset 
	after calling gnome_db_grid_set_recordset

	* libgnomedb/gnome-db-dataset.c (gnome_db_dataset_set_recordset): likewise

	* libgnomedb/gnome-db-list.c (gnome_db_list_set_recordset): likewise

	* libgnomedb/gnome-db-entry.c (gnome_db_entry_set_recordset): likewise

	* libgnomedb/gnome-db-label.c (gnome_db_label_set_recordset): likewise

	* libgnomedb/gnome-db-icon-list.c (gnome_db_icon_list_set_recordset): likewise

	* libgnomedb/gnome-db-browser.c: call gda_recordset_free after
	gnome_db_grid_set_recordset

2001-07-24  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-export.c: first working UI version

	* libgnomedb/gnome-db-util.c (gnome_db_new_spin_button_widget): new self
	contained function to create spin buttons

2001-07-18  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-error.c: made the widget to show the error description
	a GtkText

	* libgnomedb/gnome-db-error-dlg.c: don't set size of dialog, and GTK packing

2001-07-16  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-error.[ch]: rework user interface for the GnomeDbError
	widget

	* libgnomedb/gnome-db-error-dlg.[ch]: renamed object class to GnomeDbErrorDialog

2001-07-15  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-browser.c: added support for viewing aggregate functions
	and sequences

	* libgnomedb/gnome-db-shortcut.c (gnome_db_shortcut_realize): set the
	background color

2001-07-07  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-designer.c: connect to the GdaXmlDatabase's "changed"
	signal, and refresh the view on that signal

	* libgnomedb/gnome-db-table-editor.[ch]: new widget class for allowing the
	edition of a table (its columns and settings)

2001-07-05  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-browser.c (gnome_db_browser_show_of_type): new function
	(gnome_db_browser_set_arg):
	(gnome_db_browser_get_arg): GtkArg's

	* libgnomedb/gnome-db-combo.c (gnome_db_combo_destroy): call parent class' destroy
	method
	(gnome_db_combo_set_arg):
	(gnome_db_combo_get_arg): GtkArg's
	

2001-07-04  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-util.c: fixed parameters passed to bug-buddy

	* libgnomedb/gnome-db-login.c: manage correctly last successful connections

	* libgnomedb/gnome-db-control.[ch]:
	  gnome-db-control-corba.[ch]:
	  gnome-db-control-widget.[ch]: IDL namespace changes

2001-07-03  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-window.[ch]: replace all usage of the old
	bonobo-ui-compat functions with the correct XML-based solution.

	* libgnomedb/gnome-db-dsn-config-druid.c (druid_finished_cb): add correctly
	the first parameter to the DSN connection string

2001-06-26  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-grid.c (gnome_db_grid_copy_clipboard): implemented

	* libgnomedb/gnome-db-config.c (gnome_db_config_get_shell_components): CORBA_free
	the list returned by oaf_query

2001-06-20  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-export.[ch]: renamed variable 'export' to 'exp' to
	make GCC 3.0 and C++ compilers happy

2001-06-14  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-control.c: take into account the 2 new IDL methods
	(setOwner and unsetOwner)
	Added 2 new signals for those 2 methods
	Call bonobo_object_construct with the correct CORBA object

	* libgnomedb/gnome-db-control-corba.c (impl_GNOME_DB_Control_setOwner):
	implemented
	(impl_GNOME_DB_Control_unsetOwner): implemented

	* libgnomedb/gnome-db-control-widget.c (gnome_db_control_widget_set_owner):
	implemented
	(gnome_db_control_widget_unset_owner): implemented

2001-06-13  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-export.[ch]: new widget to act as a frontend to the
	new GdaExport class

2001-06-08  Roger Pilkey <rpilkey@magma.ca>

	* libgnomedb/gnome-db-browser.c: removed GAL #include's

2001-06-05  Rodrigo Moya  <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-control-widget.c: proper handling of the destroy stuff

2001-06-01  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-dsn-config-druid.c (druid_finished_cb): add
	";PARAM=VALUE" to DSN string instead of only ";VALUE"

2001-05-18  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-designer.[ch]: made all GnomeDbDesigner's members
	private
	(gnome_db_designer_get_filename): new function
	(gnome_db_designer_set_filename): new function
	(gnome_db_designer_save): new function

2001-05-03  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-control.c (gnome_db_control_get_ui_container): new function
	* libgnomedb/gnome-db-browser.c: remove detail pane when switching between
	notebook tabs
	* libgnomedb/gnome-db-dsn-config-druid.c (druid_finished_cb): only add ";KEY=value"
	to the DSN string if the user actually typed something for each entry

2001-04-27  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-browser.c (show_table_data_cb): implemented function to show
	table's data

2001-04-26  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-log-viewer.c: some UI tweaks

2001-04-23  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-dsn-config-druid.c (gnome_db_dsn_config_druid_init): connect
	to GnomeDruid's "cancel" signal

2001-04-18  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/e-*paned*: imported EPaned widgets from Gal to remove
	that dependency, since we're only using the paned
	widgets. As soon as some "decent" paned widget is
	available in GTK+ or gnome-libs, these files will be
	removed

2001-04-17  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-login.[ch]: rework it to make it simpler to use

2001-04-16  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-control.h: do not include gnome-db-control-corba.h,
	since it's a private file, not to be installed
	* libgnomedb/Makefile.am: also install GnomeDB.h (ORBit-generated),
	needed by gnome-db-control.h
	* libgnomedb/gnome-db-util.c (gnome_db_set_widget_tooltip): only create tooltips
	if 'Show tooltips' option is enabled
	* libgnomedb/gnome-db-config.h: added new configure strings

2001-04-15  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-dsn-config.c: disable "Global" check box until global data
	sources are allowed
	* libgnomedb/gnome-db-util.[ch] (gnome_db_set_widget_tooltip): new function
	to add tooltips to widgets

2001-04-12  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-dsn-config-druid.[ch]: added GnomeDbDsnConfigDruid widget
	for easy addition of new data sources

2001-04-11  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-browser.c: attempt a new look&feel for the browser widget
	* libgnomedb/gnome-db-icon-list.[ch]: improved look
	

2001-04-08  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-control.c, gnome-db-control.h, gnome-db-control-corba.c,
	gnome-db-control-corba.h: changed from BonoboObject to BonoboXObject
	(by Michael Meeks)
	
2001-04-01  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-util.c (gnome_db_load_window_config)
	(gnome_db_save_window_config): use "/apps" prefix for all
	configuration strings

2001-03-30  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-config.[ch] (gnome_db_config_get_saved_sql_queries): new
	function to retrieve the list of saved SQL queries
	Changed config prefix from /gnome-db to /apps/gnome-db
	(gnome_db_config_get_saved_xml_queries): ditto for XML queries
	* libgnomedb/gnome-db-browser.c: new rework, now with a better look&feel,
	and some new options

2001-03-20  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-moniker.[ch]: replaced the use of BonoboMoniker with
	BonoboMonikerSimple

2001-03-18  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/*.h: cleaned up #include mess by only including the files that
	are really needed
	* libgnomedb/gnome-db-print.c: started support for printing
	* libgnomedb/gnome-db-util.c: added Gerhard to list of AUTHORS

2001-03-17  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-help.[ch]: remove this *f@#* useles code which the only
	thing it did was add a dependency on gtkhtml. Will be rewritten
	to use the EBrowser component
	* libgnomedb/gnome-db-control.[ch]: removed as the GnomeDbControl object is
	almost useless: it was a wrapper for the BonoboGenericFactory
	object, but now it's not needed anymore
	* libgnomedb/gnome-db-control-instance.[ch]: moved to gnome-db-control.[ch]
	* libgnomedb/gnome-db-control-corba.[ch], gnome-db.h: adapted to
	GnomeDbControl/GnomeDbControlInstance change

2001-01-03	Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/added GnomeDbEntry widget, which is a data-bound GtkEntry
	* libgnomedb/added GnomeDbLabel widget, which is a data-bound GtkLabel

2000-12-20	Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/impl_GNOME_DB_Control_do*Clipboard: implemented

2000-12-19	Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-control-*: fixed GnomeDB CORBA object interface, thus allowing
	now calls to our custom IDL interface from the BonoboControls

2000-12-17	Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-util.[ch]: added gnome_db_show_message
	* libgnomedb/gnome-db-dsn-config.[ch]: added functions for accessing private
	structure members
	
2000-12-10	Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-login.[ch]: added convenience functions for accessing
	private structure members
	* libgnomedb/gnome-db-login-dlg.[ch]: small code cleanup

2000-12-06	Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-help.[ch]: worked a bit on making the help viewer
	usable

2000-12-03	Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/started GnomeDbMoniker class, for easing the addition
	of monikers

2000-12-02	Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/gnome-db-log-viewer.[ch]: implemented gnome_db_log_viewer_save

2000-11-24	Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomedb/added correct license notices (LGPL) to source files

2000-11-19	Rodrigo Moya <rodrigo@linuxave.net>

	* libgnomedb/changed GnomeDB subdomain to DB

2000-11-18	Rodrigo Moya <rodrigo@linuxave.net>

	* libgnomedb/gnome-db-control*: implemented new do* IDL methods

2000-11-17	Rodrigo Moya <rodrigo@linuxave.net>

	* libgnomedb/gnome-db-control-corba.c: s/GnomeDB_/GNOME_GnomeDB_
	* libgnomedb/gnome-db-control-widget.c: s/GnomeDB_/GNOME_GnomeDB_
	* libgnomedb/gnome-db-control-instance.c: s/GnomeDB_/GNOME_GnomeDB_

2000-11-12	Rodrigo Moya <rodrigo@linuxave.net>

	* libgnomedb/gnome-db-control*: implemented common menu methods
	* libgnomedb/gnome-db-browser: show extra info in dialog
	* libgnomedb/gnome-db-designer: removed paned window

2000-11-01	Rodrigo Moya <rodrigo@linuxave.net>

	* libgnomedb/gnome-db-help.[ch]: added functions for navigating through
	the help viewer's history

2000-10-27	Rodrigo Moya <rodrigo@linuxave.net>

	* libgnomedb/improved printer setup dialog stuff

2000-10-22	Rodrigo Moya <rodrigo@linuxave.net>

	* libgnomedb/small fixes to make at last control activation/deactivation
	work

2000-10-21	Rodrigo Moya <rodrigo@linuxave.net>

	* libgnomedb/reworked the Bonobo menu and toolbar merging.
	* libgnomedb/added bonobo-ui-compat* as a temporary measure
	* libgnomedb/removed the GnomeDbFactory object, not needed anymore
	* libgnomedb/separated GnomeDbControl/ControlInstance in 2
	  different objects

2000-10-17	Rodrigo Moya <rodrigo@linuxave.net>
	* libgnomedb/made basic menu merging. Though, a lot of work must be done
	to insert controls' menus in the right place, and to deactivate
	it correctly.
	
2000-10-15	Rodrigo Moya <rodrigo@linuxave.net>
	* libgnomedb/created ChangeLog

